declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    /**
     * Sets the spacing of the banner
     */
    spacing: {
        type: StringConstructor;
        required: false;
        default: string;
        validator: (value: unknown) => boolean;
    };
    /**
     * Sets the background, text and border colour for the banner
     */
    type: {
        type: StringConstructor;
        required: false;
        default: string;
        validator: (value: unknown) => boolean;
    };
    /**
     * Adds the default icon that is associated to the banner type
     */
    icon: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    /**
     * Title for the banner
     */
    title: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    /**
     * Adds the close button (X)
     */
    closeButton: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    /**
     * Text for primary button
     */
    primaryButtonText: {
        type: StringConstructor;
        required: false;
        default: string;
    };
}>, {}, {
    isMobile: boolean;
}, {
    colorClasses(): string[];
    hoverColor(): string;
    getIcon(): any;
    getMarginRightClasses(): "fx-mr-12" | "fx-mr-16" | "fx-mr-0" | "fx-mr-40";
    getPaddingClasses(): "md:fx-py-12 md:fx-px-16" | "md:fx-py-16 md:fx-px-20" | "md:fx-p-16" | "md:fx-p-20";
    getBorderRadiusClasses(): "md:fx-rounded-md" | "md:fx-rounded-lg";
}, {
    calculateIfMobile(): void;
    primaryClicked(): void;
    closeBanner(): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * Sets the spacing of the banner
     */
    spacing: {
        type: StringConstructor;
        required: false;
        default: string;
        validator: (value: unknown) => boolean;
    };
    /**
     * Sets the background, text and border colour for the banner
     */
    type: {
        type: StringConstructor;
        required: false;
        default: string;
        validator: (value: unknown) => boolean;
    };
    /**
     * Adds the default icon that is associated to the banner type
     */
    icon: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    /**
     * Title for the banner
     */
    title: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    /**
     * Adds the close button (X)
     */
    closeButton: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    /**
     * Text for primary button
     */
    primaryButtonText: {
        type: StringConstructor;
        required: false;
        default: string;
    };
}>> & Readonly<{}>, {
    icon: boolean;
    type: string;
    title: string;
    spacing: string;
    closeButton: boolean;
    primaryButtonText: string;
}, {}, {
    CloseIcon: any;
    AppButton: {
        new (...args: any[]): import("vue").CreateComponentPublicInstanceWithMixins<Readonly<import("@/components/buttons/v3/AppButton/AppButton.vue").ButtonProps> & Readonly<{
            "onButton-clicked"?: () => any;
        }>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
            "button-clicked": () => any;
        }, import("vue").PublicProps, {
            variant: import("../../buttons/v3/AppButton/index.js", { with: { "resolution-mode": "import" } }).ButtonVariants["variant"];
            icon: {
                position?: "left" | "right";
                description: string;
            } | null;
            class: import("vue").HTMLAttributes["class"];
            href: string | null;
            target: string;
            buttonAction: "submit" | "reset" | "button";
            isDisabled: boolean;
            isLoading: boolean;
            buttonType: "icon" | "button";
            buttonSize: import("../../buttons/v3/AppButton/index.js", { with: { "resolution-mode": "import" } }).ButtonVariants["size"];
        }, false, {}, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, {}, any, import("vue").ComponentProvideOptions, {
            P: {};
            B: {};
            D: {};
            C: {};
            M: {};
            Defaults: {};
        }, Readonly<import("@/components/buttons/v3/AppButton/AppButton.vue").ButtonProps> & Readonly<{
            "onButton-clicked"?: () => any;
        }>, {}, {}, {}, {}, {
            variant: import("../../buttons/v3/AppButton/index.js", { with: { "resolution-mode": "import" } }).ButtonVariants["variant"];
            icon: {
                position?: "left" | "right";
                description: string;
            } | null;
            class: import("vue").HTMLAttributes["class"];
            href: string | null;
            target: string;
            buttonAction: "submit" | "reset" | "button";
            isDisabled: boolean;
            isLoading: boolean;
            buttonType: "icon" | "button";
            buttonSize: import("../../buttons/v3/AppButton/index.js", { with: { "resolution-mode": "import" } }).ButtonVariants["size"];
        }>;
        __isFragment?: never;
        __isTeleport?: never;
        __isSuspense?: never;
    } & import("vue").ComponentOptionsBase<Readonly<import("@/components/buttons/v3/AppButton/AppButton.vue").ButtonProps> & Readonly<{
        "onButton-clicked"?: () => any;
    }>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
        "button-clicked": () => any;
    }, string, {
        variant: import("../../buttons/v3/AppButton/index.js", { with: { "resolution-mode": "import" } }).ButtonVariants["variant"];
        icon: {
            position?: "left" | "right";
            description: string;
        } | null;
        class: import("vue").HTMLAttributes["class"];
        href: string | null;
        target: string;
        buttonAction: "submit" | "reset" | "button";
        isDisabled: boolean;
        isLoading: boolean;
        buttonType: "icon" | "button";
        buttonSize: import("../../buttons/v3/AppButton/index.js", { with: { "resolution-mode": "import" } }).ButtonVariants["size"];
    }, {}, string, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, import("vue").ComponentProvideOptions> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & (new () => {
        $slots: Readonly<{
            icon(): any;
            default(): any;
        }> & {
            icon(): any;
            default(): any;
        };
    });
    InfoIcon: any;
    WarningIcon: any;
    NoSymbolIcon: any;
    CelebrateIcon: any;
}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
