declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    /**
     * If the input is disabled
     */
    disabled: {
        type: BooleanConstructor;
        required: false;
    };
    /**
     * Use v-model to bind to this from the parent
     */
    modelValue: {
        type: StringConstructor;
        required: false;
    };
    /**
     * Controls the HTML `name` attribute
     */
    inputName: {
        type: StringConstructor;
        required: false;
    };
    /**
     * Adds an id to the input
     */
    inputId: {
        type: StringConstructor;
        required: true;
    };
    /**
     * Controls the `label` on the input
     */
    inputLabel: {
        type: StringConstructor;
        required: true;
    };
    /**
     * Controls the HTML `auto-complete` attribute
     */
    autoComplete: {
        type: StringConstructor;
        required: false;
    };
    /**
     * Controls the HTML `auto-capitalize` attribute on iOS.<br>
     * To turn off use 'none' since 'off' was deprecated.
     * https://developer.apple.com/library/archive/documentation/AppleApplications/Reference/SafariHTMLRef/Articles/Attributes.html#//apple_ref/doc/uid/TP40008058-autocapitalize
     */
    autoCapitalize: {
        type: StringConstructor;
        required: false;
    };
    /**
     * Controls the HTML `auto-correct` attribute on iOS
     */
    autoCorrect: {
        type: StringConstructor;
        required: false;
    };
    /**
     * Controls the `type` on the input. eg. `type="text"`
     */
    inputType: {
        type: StringConstructor;
        default: string;
    };
    /**
     * Appears below the input to hint to the user about what to fill in
     */
    hintText: {
        type: StringConstructor;
        required: false;
    };
    /**
     * Error text that appears below the input. If this is present, the input goes into an error state. To use custom HTML, use error-slot.
     */
    errorText: {
        type: StringConstructor;
        required: false;
    };
    /**
     * Add in your mask here if you'd like the input to be masked. Follow the patterns here https://vuejs-tips.github.io/vue-the-mask/.
     */
    mask: {
        type: (StringConstructor | ArrayConstructor)[];
        required: false;
        default: string;
    };
    /**
     * Controls whether the output is masked or not. Only used when `mask` is defined.
     */
    outputIsMasked: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    /**
     * Controls the `readonly` html attribute
     */
    readonly: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Add a placeholder to the input
     */
    placeholder: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    /**
     * Size of the input component. Accepted values are 'small' and 'regular'.
     */
    size: {
        type: StringConstructor;
        default: string;
        validator(value: unknown): boolean;
    };
    /**
     * Hides the input label when set to true
     */
    hideLabel: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Shows the error slot
     */
    showErrorSlot: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * is mobile flag
     */
    isMobile: {
        type: BooleanConstructor;
        default: boolean;
    };
}>, {
    maskedInput: {
        unmasked: string;
    };
    options: {
        mask: string | unknown[];
        tokens: {
            A: {
                pattern: RegExp;
                transform: (chr: any) => any;
            };
        };
    };
}, {}, {
    hasError(): boolean;
}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * If the input is disabled
     */
    disabled: {
        type: BooleanConstructor;
        required: false;
    };
    /**
     * Use v-model to bind to this from the parent
     */
    modelValue: {
        type: StringConstructor;
        required: false;
    };
    /**
     * Controls the HTML `name` attribute
     */
    inputName: {
        type: StringConstructor;
        required: false;
    };
    /**
     * Adds an id to the input
     */
    inputId: {
        type: StringConstructor;
        required: true;
    };
    /**
     * Controls the `label` on the input
     */
    inputLabel: {
        type: StringConstructor;
        required: true;
    };
    /**
     * Controls the HTML `auto-complete` attribute
     */
    autoComplete: {
        type: StringConstructor;
        required: false;
    };
    /**
     * Controls the HTML `auto-capitalize` attribute on iOS.<br>
     * To turn off use 'none' since 'off' was deprecated.
     * https://developer.apple.com/library/archive/documentation/AppleApplications/Reference/SafariHTMLRef/Articles/Attributes.html#//apple_ref/doc/uid/TP40008058-autocapitalize
     */
    autoCapitalize: {
        type: StringConstructor;
        required: false;
    };
    /**
     * Controls the HTML `auto-correct` attribute on iOS
     */
    autoCorrect: {
        type: StringConstructor;
        required: false;
    };
    /**
     * Controls the `type` on the input. eg. `type="text"`
     */
    inputType: {
        type: StringConstructor;
        default: string;
    };
    /**
     * Appears below the input to hint to the user about what to fill in
     */
    hintText: {
        type: StringConstructor;
        required: false;
    };
    /**
     * Error text that appears below the input. If this is present, the input goes into an error state. To use custom HTML, use error-slot.
     */
    errorText: {
        type: StringConstructor;
        required: false;
    };
    /**
     * Add in your mask here if you'd like the input to be masked. Follow the patterns here https://vuejs-tips.github.io/vue-the-mask/.
     */
    mask: {
        type: (StringConstructor | ArrayConstructor)[];
        required: false;
        default: string;
    };
    /**
     * Controls whether the output is masked or not. Only used when `mask` is defined.
     */
    outputIsMasked: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    /**
     * Controls the `readonly` html attribute
     */
    readonly: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Add a placeholder to the input
     */
    placeholder: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    /**
     * Size of the input component. Accepted values are 'small' and 'regular'.
     */
    size: {
        type: StringConstructor;
        default: string;
        validator(value: unknown): boolean;
    };
    /**
     * Hides the input label when set to true
     */
    hideLabel: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Shows the error slot
     */
    showErrorSlot: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * is mobile flag
     */
    isMobile: {
        type: BooleanConstructor;
        default: boolean;
    };
}>> & Readonly<{}>, {
    size: string;
    mask: string | unknown[];
    disabled: boolean;
    isMobile: boolean;
    placeholder: string;
    hideLabel: boolean;
    inputType: string;
    outputIsMasked: boolean;
    readonly: boolean;
    showErrorSlot: boolean;
}, {}, {}, {
    maska: any;
}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
