declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    /**
     * item: {
     *    displayName: 'string',
     *    type: 'action' | 'external' | 'divider'
     *    action: onClick | 'https://www.google.ca/some-external-route/'
     *    newWindow: boolean,
     *    itemColor: 'red-100'
     * }
     */
    item: {
        type: ObjectConstructor;
        required: true;
    };
    /**
     * Boolean value that controls if the menu has full width dividers
     * Defaults to false
     */
    hasFullWidthDividers: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    /**
     * Controls thickness of the divider
     * See AppDivider.vue for more information
     */
    dividerThickness: {
        string: number;
        default: string;
        required: false;
        validator: (value: unknown) => boolean;
    };
}>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * item: {
     *    displayName: 'string',
     *    type: 'action' | 'external' | 'divider'
     *    action: onClick | 'https://www.google.ca/some-external-route/'
     *    newWindow: boolean,
     *    itemColor: 'red-100'
     * }
     */
    item: {
        type: ObjectConstructor;
        required: true;
    };
    /**
     * Boolean value that controls if the menu has full width dividers
     * Defaults to false
     */
    hasFullWidthDividers: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    /**
     * Controls thickness of the divider
     * See AppDivider.vue for more information
     */
    dividerThickness: {
        string: number;
        default: string;
        required: false;
        validator: (value: unknown) => boolean;
    };
}>> & Readonly<{}>, {
    hasFullWidthDividers: boolean;
    dividerThickness: string;
}, {}, {
    AppDivider: any;
    AppTextButton: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
        size: {
            type: (StringConstructor | ArrayConstructor)[];
            required: false;
            default: string;
            validator: (prop: unknown) => boolean;
        };
        type: {
            type: StringConstructor;
            required: true;
            validator: (prop: unknown) => boolean;
        };
        icon: {
            type: StringConstructor;
            required: false;
            default: string;
            validator: (prop: unknown) => boolean;
        };
        inline: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        underline: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        color: {
            type: StringConstructor;
            default: any;
            validator: (prop: unknown) => boolean;
            required: false;
        };
    }>, {}, {}, {
        buttonType(): "button" | "a";
        buttonClasses(): string;
        hasIconSlot(): import("vue").Slot<any>;
        iconClasses(): string;
        textClasses(): string;
        sizeClass(): "" | "fx-text-sm" | "fx-text-base" | "fx-text-lg";
        paddingClass(): "" | "fx-py-12 md:fx-py-0" | "fx-py-[10px] md:fx-py-0";
        desktopSizeClass(): "" | "md:fx-text-sm" | "md:fx-text-md" | "md:fx-text-lg";
        iconClass(): "fx-h-[20px] fx-w-[20px]" | "fx-h-[24px] fx-w-[24px]" | "fx-h-[28px] fx-w-[28px]";
        colorClass(): any;
    }, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
        size: {
            type: (StringConstructor | ArrayConstructor)[];
            required: false;
            default: string;
            validator: (prop: unknown) => boolean;
        };
        type: {
            type: StringConstructor;
            required: true;
            validator: (prop: unknown) => boolean;
        };
        icon: {
            type: StringConstructor;
            required: false;
            default: string;
            validator: (prop: unknown) => boolean;
        };
        inline: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        underline: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        color: {
            type: StringConstructor;
            default: any;
            validator: (prop: unknown) => boolean;
            required: false;
        };
    }>> & Readonly<{}>, {
        size: string | unknown[];
        icon: string;
        color: string;
        inline: boolean;
        underline: boolean;
    }, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
