declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    /**
     * Value for the input/datepicker
     */
    modelValue: {
        type: (DateConstructor | StringConstructor | NumberConstructor)[];
    };
    /**
     * Minimum date for the date picker to allow a user to select
     */
    minDate: {
        type: DateConstructor;
        default(): Date;
    };
    /**
     * Label for the AppInput component.
     */
    inputLabel: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    /**
     * Id for the AppInput component.
     */
    inputId: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    /**
     * Name for the AppInput component.
     */
    inputName: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    /**
     * Add a placeholder to the input
     */
    placeholder: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    /**
     * Size of the input component. Accepted values are 'small' and 'regular'.
     */
    size: {
        type: StringConstructor;
        default: string;
        validator(value: unknown): boolean;
    };
    /**
     * Hides the input label when set to true
     */
    hideLabel: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * If the input is disabled
     */
    disabled: {
        type: BooleanConstructor;
        required: false;
    };
    /**
     * Value of the z-index of the calendar, default to 30
     */
    zIndexValue: {
        type: StringConstructor;
        required: false;
        default: string;
    };
}>, {}, {}, {
    cssProps(): {
        '--z-index-value': string;
    };
    hideInput(): boolean;
}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "update:modelValue"[], "update:modelValue", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * Value for the input/datepicker
     */
    modelValue: {
        type: (DateConstructor | StringConstructor | NumberConstructor)[];
    };
    /**
     * Minimum date for the date picker to allow a user to select
     */
    minDate: {
        type: DateConstructor;
        default(): Date;
    };
    /**
     * Label for the AppInput component.
     */
    inputLabel: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    /**
     * Id for the AppInput component.
     */
    inputId: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    /**
     * Name for the AppInput component.
     */
    inputName: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    /**
     * Add a placeholder to the input
     */
    placeholder: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    /**
     * Size of the input component. Accepted values are 'small' and 'regular'.
     */
    size: {
        type: StringConstructor;
        default: string;
        validator(value: unknown): boolean;
    };
    /**
     * Hides the input label when set to true
     */
    hideLabel: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * If the input is disabled
     */
    disabled: {
        type: BooleanConstructor;
        required: false;
    };
    /**
     * Value of the z-index of the calendar, default to 30
     */
    zIndexValue: {
        type: StringConstructor;
        required: false;
        default: string;
    };
}>> & Readonly<{
    "onUpdate:modelValue"?: (...args: any[]) => any;
}>, {
    size: string;
    disabled: boolean;
    inputId: string;
    minDate: Date;
    inputLabel: string;
    inputName: string;
    placeholder: string;
    hideLabel: boolean;
    zIndexValue: string;
}, {}, {
    DatePicker: import("vue").DefineComponent<{
        mode: {
            type: StringConstructor;
            default: string;
        };
        modelValue: {
            type: import("vue").PropType<import("v-calendar/dist/types/src/use/datePicker.js").DatePickerModel>;
        };
        modelModifiers: {
            type: import("vue").PropType<import("v-calendar/dist/types/src/use/datePicker.js").ModelModifiers>;
            default: () => {};
        };
        rules: import("vue").PropType<import("v-calendar/dist/types/src/utils/date/helpers.js").DatePartsRules | "auto">;
        is24hr: BooleanConstructor;
        hideTimeHeader: BooleanConstructor;
        timeAccuracy: {
            type: NumberConstructor;
            default: number;
        };
        isRequired: BooleanConstructor;
        isRange: BooleanConstructor;
        updateOnInput: {
            type: BooleanConstructor;
            default: () => any;
        };
        inputDebounce: {
            type: NumberConstructor;
            default: () => any;
        };
        popover: {
            type: import("vue").PropType<boolean | Partial<import("v-calendar/dist/types/src/utils/popovers.js").PopoverOptions>>;
            default: boolean;
        };
        dragAttribute: import("vue").PropType<Partial<{
            key: string | number;
            hashcode: string;
            content: import("v-calendar/dist/types/src/utils/glyph.js").ContentConfig;
            highlight: import("v-calendar/dist/types/src/utils/glyph.js").HighlightConfig;
            dot: import("v-calendar/dist/types/src/utils/glyph.js").DotConfig;
            bar: import("v-calendar/dist/types/src/utils/glyph.js").BarConfig;
            popover: Partial<{
                label: string;
                visibility: import("v-calendar/dist/types/src/utils/popovers.js").PopoverVisibility;
                placement: import("@popperjs/core/index.js").Placement;
                hideIndicator: boolean;
                isInteractive: boolean;
            }>;
            event: Partial<{
                label: string;
            }>;
            dates: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[];
            customData: any;
            order: number;
            pinPage: boolean;
        }>>;
        selectAttribute: import("vue").PropType<Partial<{
            key: string | number;
            hashcode: string;
            content: import("v-calendar/dist/types/src/utils/glyph.js").ContentConfig;
            highlight: import("v-calendar/dist/types/src/utils/glyph.js").HighlightConfig;
            dot: import("v-calendar/dist/types/src/utils/glyph.js").DotConfig;
            bar: import("v-calendar/dist/types/src/utils/glyph.js").BarConfig;
            popover: Partial<{
                label: string;
                visibility: import("v-calendar/dist/types/src/utils/popovers.js").PopoverVisibility;
                placement: import("@popperjs/core/index.js").Placement;
                hideIndicator: boolean;
                isInteractive: boolean;
            }>;
            event: Partial<{
                label: string;
            }>;
            dates: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[];
            customData: any;
            order: number;
            pinPage: boolean;
        }>>;
        attributes: (ArrayConstructor | ObjectConstructor)[];
        color: {
            type: StringConstructor;
            default: () => any;
        };
        isDark: {
            type: import("vue").PropType<boolean | "system" | import("vue-screen-utils").DarkModeClassConfig>;
            default: () => any;
        };
        firstDayOfWeek: import("vue").PropType<import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek>;
        masks: ObjectConstructor;
        locale: import("vue").PropType<string | import("v-calendar/dist/types/src/utils/locale.js").default | Record<string, any>>;
        timezone: StringConstructor;
        minDate: null;
        maxDate: null;
        disabledDates: null;
    }, {
        slotCtx: {
            showCalendar: boolean;
            datePickerPopoverId: symbol;
            popoverRef: ({
                $: import("vue").ComponentInternalInstance;
                $data: {};
                $props: Partial<{
                    showDelay: number;
                    hideDelay: number;
                }> & Omit<Readonly<import("vue").ExtractPropTypes<{
                    id: {
                        type: (SymbolConstructor | StringConstructor | NumberConstructor)[];
                        required: true;
                    };
                    showDelay: {
                        type: NumberConstructor;
                        default: number;
                    };
                    hideDelay: {
                        type: NumberConstructor;
                        default: number;
                    };
                    boundarySelector: {
                        type: StringConstructor;
                    };
                }>> & {
                    "onBefore-show"?: ((...args: any[]) => any) | undefined;
                    "onAfter-show"?: ((
                    /**
                     * Minimum date for the date picker to allow a user to select
                     */
                    ... /**
                     * Minimum date for the date picker to allow a user to select
                     */args: any[]) => any) | undefined;
                    "onBefore-hide"?: ((...args: any[]) => any) | undefined;
                    "onAfter-hide"?: ((...args: any[]) => any) | undefined;
                } & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "showDelay" | "hideDelay">;
                $attrs: {
                    [x: string]: unknown;
                };
                $refs: {
                    [x: string]: unknown;
                };
                $slots: Readonly<{
                    [name: string]: import("vue").Slot | undefined;
                }>;
                $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null;
                $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null;
                $emit: (event: "before-show" | "after-show" | "before-hide" | "after-hide", ...args: any[]) => void;
                $el: any;
                $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
                    id: {
                        type: (SymbolConstructor | StringConstructor | NumberConstructor)[];
                        required: true;
                    };
                    showDelay: {
                        type: NumberConstructor;
                        default: number;
                    };
                    hideDelay: {
                        type: NumberConstructor;
                        default: number;
                    };
                    boundarySelector: {
                        type: StringConstructor;
                    };
                }>> & {
                    "onBefore-show"?: ((...args: any[]) => any) | undefined;
                    "onAfter-show"?: ((...args: any[]) => any) | undefined;
                    "onBefore-hide"?: ((...args: any[]) => any) | undefined;
                    "onAfter-hide"?: ((...args: any[]) => any) | undefined;
                }, {
                    popoverRef: import("vue").Ref<HTMLElement | undefined>;
                    alignment: import("vue").ComputedRef<"center" | "left" | "right" | "top" | "bottom" | "middle">;
                    hide: (opts?: Partial<import("v-calendar/dist/types/src/utils/popovers.js").PopoverOptions>) => void;
                    setupPopper: () => void;
                    beforeEnter: (el: Element) => void;
                    afterEnter: (el: Element) => void;
                    beforeLeave: (el: Element) => void;
                    afterLeave: (el: Element) => void;
                    onClick: (e: MouseEvent) => void;
                    onMouseOver: () => void;
                    onMouseLeave: () => void;
                    onFocusIn: () => void;
                    onFocusOut: (e: FocusEvent) => void;
                    isVisible: import("vue").Ref<boolean>;
                    target: import("vue").Ref<unknown>;
                    data: import("vue").Ref<any>;
                    transition: import("vue").Ref<string>;
                    placement: import("vue").Ref<import("@popperjs/core/index.js").Placement>;
                    direction: import("vue").Ref<string>;
                    positionFixed: import("vue").Ref<false>;
                    modifiers: import("vue").Ref<any[]>;
                    isInteractive: import("vue").Ref<boolean>;
                    visibility: import("vue").Ref<import("v-calendar/dist/types/src/utils/popovers.js").PopoverVisibility>;
                    isHovered: import("vue").Ref<boolean>;
                    isFocused: import("vue").Ref<boolean>;
                    autoHide: import("vue").Ref<boolean>;
                    force: import("vue").Ref<boolean>;
                }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("before-show" | "after-show" | "before-hide" | "after-hide")[], string, {
                    showDelay: number;
                    hideDelay: number;
                }, {}, string> & {
                    beforeCreate?: ((() => void) | (() => void)[]) | undefined;
                    created?: ((() => void) | (() => void)[]) | undefined;
                    beforeMount?: ((() => void) | (() => void)[]) | undefined;
                    mounted?: ((() => void) | (() => void)[]) | undefined;
                    beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
                    updated?: ((() => void) | (() => void)[]) | undefined;
                    activated?: ((() => void) | (() => void)[]) | undefined;
                    deactivated?: ((() => void) | (() => void)[]) | undefined;
                    beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
                    beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
                    destroyed?: ((() => void) | (() => void)[]) | undefined;
                    unmounted?: ((() => void) | (() => void)[]) | undefined;
                    renderTracked?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
                    renderTriggered?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
                    errorCaptured?: (((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null, info: string) => boolean | void)[]) | undefined;
                };
                $forceUpdate: () => void;
                $nextTick: typeof import("vue").nextTick;
                $watch<T extends string | ((...args: any) => any)>(source: T, cb: T extends (...args: any) => infer R ? (args_0: R, args_1: R) => any : (...args: any) => any, options?: import("vue").WatchOptions<boolean> | undefined): import("vue").WatchStopHandle;
            } & Readonly<import("vue").ExtractPropTypes<{
                id: {
                    type: (SymbolConstructor | StringConstructor | NumberConstructor)[];
                    required: true;
                };
                showDelay: {
                    type: NumberConstructor;
                    default: number;
                };
                hideDelay: {
                    type: NumberConstructor;
                    default: number;
                };
                boundarySelector: {
                    type: StringConstructor;
                };
            }>> & {
                "onBefore-show"?: ((...args: any[]) => any) | undefined;
                "onAfter-show"?: ((...args: any[]) => any) | undefined;
                "onBefore-hide"?: ((...args: any[]) => any) | undefined;
                "onAfter-hide"?: ((...args: any[]) => any) | undefined;
            } & import("vue").ShallowUnwrapRef<{
                popoverRef: import("vue").Ref<HTMLElement | undefined>;
                alignment: import("vue").ComputedRef<"center" | "left" | "right" | "top" | "bottom" | "middle">;
                hide: (opts?: Partial<import("v-calendar/dist/types/src/utils/popovers.js").PopoverOptions>) => void;
                setupPopper: () => void;
                beforeEnter: (el: Element) => void;
                afterEnter: (el: Element) => void;
                beforeLeave: (el: Element) => void;
                afterLeave: (el: Element) => void;
                onClick: (e: MouseEvent) => void;
                onMouseOver: () => void;
                onMouseLeave: () => void;
                onFocusIn: () => void;
                onFocusOut: (e: FocusEvent) => void;
                isVisible: import("vue").Ref<boolean>;
                target: import("vue").Ref<unknown>;
                data: import("vue").Ref<any>;
                transition: import("vue").Ref<string>;
                placement: import("vue").Ref<import("@popperjs/core/index.js").Placement>;
                direction: import("vue").Ref<string>;
                positionFixed: import("vue").Ref<false>;
                modifiers: import("vue").Ref<any[]>;
                isInteractive: import("vue").Ref<boolean>;
                visibility: import("vue").Ref<import("v-calendar/dist/types/src/utils/popovers.js").PopoverVisibility>;
                isHovered: import("vue").Ref<boolean>;
                isFocused: import("vue").Ref<boolean>;
                autoHide: import("vue").Ref<boolean>;
                force: import("vue").Ref<boolean>;
            }> & {} & import("vue").ComponentCustomProperties & {}) | null;
            popoverEvents: Partial<import("v-calendar/dist/types/src/utils/popovers.js").PopoverEventHandlers>;
            calendarRef: ({
                $: import("vue").ComponentInternalInstance;
                $data: {};
                $props: Partial<{
                    view: import("v-calendar/dist/types/src/use/calendar.js").CalendarView;
                    trimWeeks: boolean;
                    titlePosition: import("v-calendar/dist/types/src/utils/page.js").TitlePosition;
                    color: string;
                    isDark: boolean | "system" | import("vue-screen-utils").DarkModeClassConfig;
                    navVisibility: import("v-calendar/dist/types/src/utils/popovers.js").PopoverVisibility;
                    rows: number;
                    columns: number;
                    expanded: boolean;
                    borderless: boolean;
                    transparent: boolean;
                    initialPagePosition: number;
                    disablePageSwipe: boolean;
                }> & Omit<Readonly<import("vue").ExtractPropTypes<{
                    view: {
                        type: import("vue").PropType<import("v-calendar/dist/types/src/use/calendar.js").CalendarView>;
                        default: string;
                        validator(value: string): boolean;
                    };
                    rows: {
                        type: NumberConstructor;
                        default: number;
                    };
                    columns: {
                        type: NumberConstructor;
                        default: number;
                    };
                    step: NumberConstructor;
                    titlePosition: {
                        type: import("vue").PropType<import("v-calendar/dist/types/src/utils/page.js").TitlePosition>;
                        default: () => import("v-calendar/dist/types/src/utils/page.js").TitlePosition;
                    };
                    navVisibility: {
                        type: import("vue").PropType<import("v-calendar/dist/types/src/utils/popovers.js").PopoverVisibility>;
                        default: () => import("v-calendar/dist/types/src/utils/popovers.js").PopoverVisibility;
                    };
                    showWeeknumbers: (BooleanConstructor | StringConstructor)[];
                    showIsoWeeknumbers: (BooleanConstructor | StringConstructor)[];
                    expanded: BooleanConstructor;
                    borderless: BooleanConstructor;
                    transparent: BooleanConstructor;
                    initialPage: import("vue").PropType<import("v-calendar/dist/types/src/utils/page.js").PageAddress>;
                    initialPagePosition: {
                        type: NumberConstructor;
                        default: number;
                    };
                    minPage: import("vue").PropType<import("v-calendar/dist/types/src/utils/page.js").PageAddress>;
                    maxPage: import("vue").PropType<import("v-calendar/dist/types/src/utils/page.js").PageAddress>;
                    transition: import("vue").PropType<import("v-calendar/dist/types/src/use/calendar.js").MoveTransition>;
                    attributes: import("vue").PropType<Partial<{
                        key: string | number;
                        hashcode: string;
                        content: import("v-calendar/dist/types/src/utils/glyph.js").ContentConfig;
                        highlight: import("v-calendar/dist/types/src/utils/glyph.js").HighlightConfig;
                        dot: import("v-calendar/dist/types/src/utils/glyph.js").DotConfig;
                        bar: import("v-calendar/dist/types/src/utils/glyph.js").BarConfig;
                        popover: Partial<{
                            label: string;
                            visibility: import("v-calendar/dist/types/src/utils/popovers.js").PopoverVisibility;
                            placement: import("@popperjs/core/index.js").Placement;
                            hideIndicator: boolean;
                            isInteractive: boolean;
                        }>;
                        event: Partial<{
                            label: string;
                        }>;
                        dates: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[];
                        customData: any;
                        order: number;
                        pinPage: boolean;
                    }>[]>;
                    trimWeeks: BooleanConstructor;
                    disablePageSwipe: BooleanConstructor;
                    color: {
                        type: StringConstructor;
                        default: () => any;
                    };
                    isDark: {
                        type: import("vue").PropType<boolean | "system" | import("vue-screen-utils").DarkModeClassConfig>;
                        default: () => any;
                    };
                    firstDayOfWeek: import("vue").PropType<import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek>;
                    masks: ObjectConstructor;
                    locale: import("vue").PropType<string | import("v-calendar/dist/types/src/utils/locale.js").default | Record<string, any>>;
                    timezone: StringConstructor;
                    minDate: null;
                    maxDate: null;
                    disabledDates: null;
                }>> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "view" | "trimWeeks" | "titlePosition" | "color" | "isDark" | "navVisibility" | "rows" | "columns" | "expanded" | "borderless" | "transparent" | "initialPagePosition" | "disablePageSwipe">;
                $attrs: {
                    [x: string]: unknown;
                };
                $refs: {
                    [x: string]: unknown;
                };
                $slots: Readonly<{
                    [name: string]: import("vue").Slot | undefined;
                }>;
                $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null;
                $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null;
                $emit: (event: string, ...args: any[]) => void;
                $el: any;
                $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
                    view: {
                        type: import("vue").PropType<import("v-calendar/dist/types/src/use/calendar.js").CalendarView>;
                        default: string;
                        validator(value: string): boolean;
                    };
                    rows: {
                        type: NumberConstructor;
                        default: number;
                    };
                    columns: {
                        type: NumberConstructor;
                        default: number;
                    };
                    step: NumberConstructor;
                    titlePosition: {
                        type: import("vue").PropType<import("v-calendar/dist/types/src/utils/page.js").TitlePosition>;
                        default: () => import("v-calendar/dist/types/src/utils/page.js").TitlePosition;
                    };
                    navVisibility: {
                        type: import("vue").PropType<import("v-calendar/dist/types/src/utils/popovers.js").PopoverVisibility>;
                        default: () => import("v-calendar/dist/types/src/utils/popovers.js").PopoverVisibility;
                    };
                    showWeeknumbers: (BooleanConstructor | StringConstructor)[];
                    showIsoWeeknumbers: (BooleanConstructor | StringConstructor)[];
                    expanded: BooleanConstructor;
                    borderless: BooleanConstructor;
                    transparent: BooleanConstructor;
                    initialPage: import("vue").PropType<import("v-calendar/dist/types/src/utils/page.js").PageAddress>;
                    initialPagePosition: {
                        type: NumberConstructor;
                        default: number;
                    };
                    minPage: import("vue").PropType<import("v-calendar/dist/types/src/utils/page.js").PageAddress>;
                    maxPage: import("vue").PropType<import("v-calendar/dist/types/src/utils/page.js").PageAddress>;
                    transition: import("vue").PropType<import("v-calendar/dist/types/src/use/calendar.js").MoveTransition>;
                    attributes: import("vue").PropType<Partial<{
                        key: string | number;
                        hashcode: string;
                        content: import("v-calendar/dist/types/src/utils/glyph.js").ContentConfig;
                        highlight: import("v-calendar/dist/types/src/utils/glyph.js").HighlightConfig;
                        dot: import("v-calendar/dist/types/src/utils/glyph.js").DotConfig;
                        bar: import("v-calendar/dist/types/src/utils/glyph.js").BarConfig;
                        popover: Partial<{
                            label: string;
                            visibility: import("v-calendar/dist/types/src/utils/popovers.js").PopoverVisibility;
                            placement: import("@popperjs/core/index.js").Placement;
                            hideIndicator: boolean;
                            isInteractive: boolean;
                        }>;
                        event: Partial<{
                            label: string;
                        }>;
                        dates: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[];
                        customData: any;
                        order: number;
                        pinPage: boolean;
                    }>[]>;
                    trimWeeks: BooleanConstructor;
                    disablePageSwipe: BooleanConstructor;
                    color: {
                        type: StringConstructor;
                        default: () => any;
                    };
                    isDark: {
                        type: import("vue").PropType<boolean | "system" | import("vue-screen-utils").DarkModeClassConfig>;
                        default: () => any;
                    };
                    firstDayOfWeek: import("vue").PropType<import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek>;
                    masks: ObjectConstructor;
                    locale: import("vue").PropType<string | import("v-calendar/dist/types/src/utils/locale.js").default | Record<string, any>>;
                    timezone: StringConstructor;
                    minDate: null;
                    maxDate: null;
                    disabledDates: null;
                }>>, {
                    emit: ((event: string, ...args: any[]) => void) | ((event: string, ...args: any[]) => void);
                    containerRef: import("vue").Ref<{
                        querySelector: {
                            <K extends keyof HTMLElementTagNameMap>(selectors: K): HTMLElementTagNameMap[K] | null;
                            <K_1 extends keyof SVGElementTagNameMap>(selectors: K_1): SVGElementTagNameMap[K_1] | null;
                            <E extends Element = Element>(selectors: string): E | null;
                        };
                        addEventListener: Function;
                        removeEventListener: Function;
                        dispatchEvent: Function;
                    } | null>;
                    focusedDay: import("vue").Ref<{
                        id: string;
                        position: number;
                        label: string;
                        ariaLabel: string;
                        weekdayPosition: number;
                        weekdayPositionFromEnd: number;
                        weekPosition: number;
                        isoWeeknumber: number;
                        startDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        noonDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        endDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        isToday: boolean;
                        isFirstDay: boolean;
                        isLastDay: boolean;
                        isDisabled: boolean;
                        isFocusable: boolean;
                        isFocused: boolean;
                        inMonth: boolean;
                        inPrevMonth: boolean;
                        inNextMonth: boolean;
                        onTop: boolean;
                        onBottom: boolean;
                        onLeft: boolean;
                        onRight: boolean;
                        classes: (string | Object)[];
                        locale: {
                            id: any;
                            daysInWeek: number;
                            firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                            masks: any;
                            timezone: string | undefined;
                            hourLabels: string[];
                            dayNames: string[];
                            dayNamesShort: string[];
                            dayNamesShorter: string[];
                            dayNamesNarrow: string[];
                            monthNames: string[];
                            monthNamesShort: string[];
                            relativeTimeNames: {
                                day?: string | undefined;
                                week?: string | undefined;
                                month?: string | undefined;
                                year?: string | undefined;
                                days?: string | undefined;
                                weeks?: string | undefined;
                                seconds?: string | undefined;
                                minutes?: string | undefined;
                                hours?: string | undefined;
                                months?: string | undefined;
                                years?: string | undefined;
                                quarter?: string | undefined;
                                quarters?: string | undefined;
                                hour?: string | undefined;
                                minute?: string | undefined;
                                second?: string | undefined;
                            };
                            amPm: [string, string];
                            monthCache: {
                                keys: string[];
                                store: Record<string, import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts>;
                                size: number;
                                createKey: (...args: any[]) => string;
                                createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                get: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            };
                            pageCache: {
                                keys: string[];
                                store: Record<string, import("v-calendar/dist/types/src/utils/page.js").CachedPage>;
                                size: number;
                                createKey: (...args: any[]) => string;
                                createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                get: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                            };
                            formatDate: (date: Date, masks: string | string[]) => string;
                            parseDate: (dateString: string, mask: string | string[]) => Date;
                            toDate: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date;
                            toDateOrNull: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date | null;
                            fromDate: (date: Date | null, { type, mask }?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
                            range: (source: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange;
                            ranges: (ranges: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource | import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[]) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange[];
                            getDateParts: (date: Date) => import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts;
                            getDateFromParts: (parts: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts>) => Date;
                            getDateFromParams: (year: number, month: number, day: number, hours: number, minutes: number, seconds: number, milliseconds: number) => Date;
                            getPage: (config: import("v-calendar/dist/types/src/utils/page.js").PageConfig) => import("v-calendar/dist/types/src/utils/page.js").Page;
                            getMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getThisMonthParts: () => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getPrevMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getNextMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getHourLabels: () => string[];
                            getDayId: (date: Date) => string;
                        };
                        dayIndex: number;
                        day: number;
                        dayFromEnd: number;
                        weekday: number;
                        weekdayOrdinal: number;
                        weekdayOrdinalFromEnd: number;
                        week: number;
                        weekFromEnd: number;
                        weeknumber: number;
                        month: number;
                        year: number;
                        date: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                    } | null>;
                    inTransition: import("vue").Ref<boolean>;
                    navPopoverId: import("vue").Ref<symbol>;
                    dayPopoverId: import("vue").Ref<symbol>;
                    view: import("vue").Ref<import("v-calendar/dist/types/src/use/calendar.js").CalendarView>;
                    pages: import("vue").Ref<{
                        id: string;
                        day?: number | undefined;
                        week?: number | undefined;
                        month: number;
                        year: number;
                        view: import("v-calendar/dist/types/src/utils/page.js").PageView;
                        trimWeeks: boolean;
                        position: number;
                        row: number;
                        rowFromEnd: number;
                        column: number;
                        columnFromEnd: number;
                        showWeeknumbers: boolean;
                        showIsoWeeknumbers: boolean;
                        weeknumberPosition: string;
                        monthTitle: string;
                        weekTitle?: string | undefined;
                        dayTitle?: string | undefined;
                        title: string;
                        titlePosition: import("v-calendar/dist/types/src/utils/page.js").TitlePosition;
                        shortMonthLabel: string;
                        monthLabel: string;
                        shortYearLabel: string;
                        yearLabel: string;
                        monthComps: {
                            firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                            firstDayOfMonth: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            inLeapYear: boolean;
                            firstWeekday: number;
                            numDays: number;
                            numWeeks: number;
                            month: number;
                            year: number;
                            weeknumbers: number[];
                            isoWeeknumbers: number[];
                        };
                        prevMonthComps: {
                            firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                            firstDayOfMonth: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            inLeapYear: boolean;
                            firstWeekday: number;
                            numDays: number;
                            numWeeks: number;
                            month: number;
                            year: number;
                            weeknumbers: number[];
                            isoWeeknumbers: number[];
                        };
                        nextMonthComps: {
                            firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                            firstDayOfMonth: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            inLeapYear: boolean;
                            firstWeekday: number;
                            numDays: number;
                            numWeeks: number;
                            month: number;
                            year: number;
                            weeknumbers: number[];
                            isoWeeknumbers: number[];
                        };
                        days: {
                            id: string;
                            position: number;
                            label: string;
                            ariaLabel: string;
                            weekdayPosition: number;
                            weekdayPositionFromEnd: number;
                            weekPosition: number;
                            isoWeeknumber: number;
                            startDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            noonDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            endDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            isToday: boolean;
                            isFirstDay: boolean;
                            isLastDay: boolean;
                            isDisabled: boolean;
                            isFocusable: boolean;
                            isFocused: boolean;
                            inMonth: boolean;
                            inPrevMonth: boolean;
                            inNextMonth: boolean;
                            onTop: boolean;
                            onBottom: boolean;
                            onLeft: boolean;
                            onRight: boolean;
                            classes: (string | Object)[];
                            locale: {
                                id: any;
                                daysInWeek: number;
                                firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                                masks: any;
                                timezone: string | undefined;
                                hourLabels: string[];
                                dayNames: string[];
                                dayNamesShort: string[];
                                dayNamesShorter: string[];
                                dayNamesNarrow: string[];
                                monthNames: string[];
                                monthNamesShort: string[];
                                relativeTimeNames: {
                                    day?: string | undefined;
                                    week?: string | undefined;
                                    month?: string | undefined;
                                    year?: string | undefined;
                                    days?: string | undefined;
                                    weeks?: string | undefined;
                                    seconds?: string | undefined;
                                    minutes?: string | undefined;
                                    hours?: string | undefined;
                                    months?: string | undefined;
                                    years?: string | undefined;
                                    quarter?: string | undefined;
                                    quarters?: string | undefined;
                                    hour?: string | undefined;
                                    minute?: string | undefined;
                                    second?: string | undefined;
                                };
                                amPm: [string, string];
                                monthCache: {
                                    keys: string[];
                                    store: Record<string, import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts>;
                                    size: number;
                                    createKey: (...args: any[]) => string;
                                    createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    get: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                };
                                pageCache: {
                                    keys: string[];
                                    store: Record<string, import("v-calendar/dist/types/src/utils/page.js").CachedPage>;
                                    size: number;
                                    createKey: (...args: any[]) => string;
                                    createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                    get: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                    getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                };
                                formatDate: (date: Date, masks: string | string[]) => string;
                                parseDate: (dateString: string, mask: string | string[]) => Date;
                                toDate: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date;
                                toDateOrNull: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date | null;
                                fromDate: (date: Date | null, { type, mask }?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
                                range: (source: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange;
                                ranges: (ranges: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource | import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[]) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange[];
                                getDateParts: (date: Date) => import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts;
                                getDateFromParts: (parts: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts>) => Date;
                                getDateFromParams: (year: number, month: number, day: number, hours: number, minutes: number, seconds: number, milliseconds: number) => Date;
                                getPage: (config: import("v-calendar/dist/types/src/utils/page.js").PageConfig) => import("v-calendar/dist/types/src/utils/page.js").Page;
                                getMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getThisMonthParts: () => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getPrevMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getNextMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getHourLabels: () => string[];
                                getDayId: (date: Date) => string;
                            };
                            dayIndex: number;
                            day: number;
                            dayFromEnd: number;
                            weekday: number;
                            weekdayOrdinal: number;
                            weekdayOrdinalFromEnd: number;
                            week: number;
                            weekFromEnd: number;
                            weeknumber: number;
                            month: number;
                            year: number;
                            date: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                        }[];
                        weeks: {
                            id: string;
                            week: number;
                            weekPosition: number;
                            weeknumber: number;
                            isoWeeknumber: number;
                            weeknumberDisplay?: number | undefined;
                            days: {
                                id: string;
                                position: number;
                                label: string;
                                ariaLabel: string;
                                weekdayPosition: number;
                                weekdayPositionFromEnd: number;
                                weekPosition: number;
                                isoWeeknumber: number;
                                startDate: {
                                    toString: () => string;
                                    toDateString: () => string;
                                    toTimeString: () => string;
                                    toLocaleString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    toLocaleDateString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    toLocaleTimeString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    valueOf: () => number;
                                    getTime: () => number;
                                    getFullYear: () => number;
                                    getUTCFullYear: () => number;
                                    getMonth: () => number;
                                    getUTCMonth: () => number;
                                    getDate: () => number;
                                    getUTCDate: () => number;
                                    getDay: () => number;
                                    getUTCDay: () => number;
                                    getHours: () => number;
                                    getUTCHours: () => number;
                                    getMinutes: () => number;
                                    getUTCMinutes: () => number;
                                    getSeconds: () => number;
                                    getUTCSeconds: () => number;
                                    getMilliseconds: () => number;
                                    getUTCMilliseconds: () => number;
                                    getTimezoneOffset: () => number;
                                    setTime: (time: number) => number;
                                    setMilliseconds: (ms: number) => number;
                                    setUTCMilliseconds: (ms: number) => number;
                                    setSeconds: (sec: number, ms?: number | undefined) => number;
                                    setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                    setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                    setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                    setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                    setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                    setDate: (date: number) => number;
                                    setUTCDate: (date: number) => number;
                                    setMonth: (month: number, date?: number | undefined) => number;
                                    setUTCMonth: (month: number, date?: number | undefined) => number;
                                    setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                    setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                    toUTCString: () => string;
                                    toISOString: () => string;
                                    toJSON: (key?: any) => string;
                                    getVarDate: () => VarDate;
                                    [Symbol.toPrimitive]: {
                                        (hint: "default"): string;
                                        (hint: "string"): string;
                                        (hint: "number"): number;
                                        (hint: string): string | number;
                                    };
                                };
                                noonDate: {
                                    toString: () => string;
                                    toDateString: () => string;
                                    toTimeString: () => string;
                                    toLocaleString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    toLocaleDateString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    toLocaleTimeString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    valueOf: () => number;
                                    getTime: () => number;
                                    getFullYear: () => number;
                                    getUTCFullYear: () => number;
                                    getMonth: () => number;
                                    getUTCMonth: () => number;
                                    getDate: () => number;
                                    getUTCDate: () => number;
                                    getDay: () => number;
                                    getUTCDay: () => number;
                                    getHours: () => number;
                                    getUTCHours: () => number;
                                    getMinutes: () => number;
                                    getUTCMinutes: () => number;
                                    getSeconds: () => number;
                                    getUTCSeconds: () => number;
                                    getMilliseconds: () => number;
                                    getUTCMilliseconds: () => number;
                                    getTimezoneOffset: () => number;
                                    setTime: (time: number) => number;
                                    setMilliseconds: (ms: number) => number;
                                    setUTCMilliseconds: (ms: number) => number;
                                    setSeconds: (sec: number, ms?: number | undefined) => number;
                                    setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                    setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                    setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                    setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                    setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                    setDate: (date: number) => number;
                                    setUTCDate: (date: number) => number;
                                    setMonth: (month: number, date?: number | undefined) => number;
                                    setUTCMonth: (month: number, date?: number | undefined) => number;
                                    setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                    setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                    toUTCString: () => string;
                                    toISOString: () => string;
                                    toJSON: (key?: any) => string;
                                    getVarDate: () => VarDate;
                                    [Symbol.toPrimitive]: {
                                        (hint: "default"): string;
                                        (hint: "string"): string;
                                        (hint: "number"): number;
                                        (hint: string): string | number;
                                    };
                                };
                                endDate: {
                                    toString: () => string;
                                    toDateString: () => string;
                                    toTimeString: () => string;
                                    toLocaleString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    toLocaleDateString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    toLocaleTimeString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    valueOf: () => number;
                                    getTime: () => number;
                                    getFullYear: () => number;
                                    getUTCFullYear: () => number;
                                    getMonth: () => number;
                                    getUTCMonth: () => number;
                                    getDate: () => number;
                                    getUTCDate: () => number;
                                    getDay: () => number;
                                    getUTCDay: () => number;
                                    getHours: () => number;
                                    getUTCHours: () => number;
                                    getMinutes: () => number;
                                    getUTCMinutes: () => number;
                                    getSeconds: () => number;
                                    getUTCSeconds: () => number;
                                    getMilliseconds: () => number;
                                    getUTCMilliseconds: () => number;
                                    getTimezoneOffset: () => number;
                                    setTime: (time: number) => number;
                                    setMilliseconds: (ms: number) => number;
                                    setUTCMilliseconds: (ms: number) => number;
                                    setSeconds: (sec: number, ms?: number | undefined) => number;
                                    setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                    setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                    setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                    setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                    setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                    setDate: (date: number) => number;
                                    setUTCDate: (date: number) => number;
                                    setMonth: (month: number, date?: number | undefined) => number;
                                    setUTCMonth: (month: number, date?: number | undefined) => number;
                                    setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                    setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                    toUTCString: () => string;
                                    toISOString: () => string;
                                    toJSON: (key?: any) => string;
                                    getVarDate: () => VarDate;
                                    [Symbol.toPrimitive]: {
                                        (hint: "default"): string;
                                        (hint: "string"): string;
                                        (hint: "number"): number;
                                        (hint: string): string | number;
                                    };
                                };
                                isToday: boolean;
                                isFirstDay: boolean;
                                isLastDay: boolean;
                                isDisabled: boolean;
                                isFocusable: boolean;
                                isFocused: boolean;
                                inMonth: boolean;
                                inPrevMonth: boolean;
                                inNextMonth: boolean;
                                onTop: boolean;
                                onBottom: boolean;
                                onLeft: boolean;
                                onRight: boolean;
                                classes: (string | Object)[];
                                locale: {
                                    id: any;
                                    daysInWeek: number;
                                    firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                                    masks: any;
                                    timezone: string | undefined;
                                    hourLabels: string[];
                                    dayNames: string[];
                                    dayNamesShort: string[];
                                    dayNamesShorter: string[];
                                    dayNamesNarrow: string[];
                                    monthNames: string[];
                                    monthNamesShort: string[];
                                    relativeTimeNames: {
                                        day?: string | undefined;
                                        week?: string | undefined;
                                        month?: string | undefined;
                                        year?: string | undefined;
                                        days?: string | undefined;
                                        weeks?: string | undefined;
                                        seconds?: string | undefined;
                                        minutes?: string | undefined;
                                        hours?: string | undefined;
                                        months?: string | undefined;
                                        years?: string | undefined;
                                        quarter?: string | undefined;
                                        quarters?: string | undefined;
                                        hour?: string | undefined;
                                        minute?: string | undefined;
                                        second?: string | undefined;
                                    };
                                    amPm: [string, string];
                                    monthCache: {
                                        keys: string[];
                                        store: Record<string, import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts>;
                                        size: number;
                                        createKey: (...args: any[]) => string;
                                        createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                        get: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                        getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    };
                                    pageCache: {
                                        keys: string[];
                                        store: Record<string, import("v-calendar/dist/types/src/utils/page.js").CachedPage>;
                                        size: number;
                                        createKey: (...args: any[]) => string;
                                        createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                        get: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                        getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                    };
                                    formatDate: (date: Date, masks: string | string[]) => string;
                                    parseDate: (dateString: string, mask: string | string[]) => Date;
                                    toDate: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date;
                                    toDateOrNull: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date | null;
                                    fromDate: (date: Date | null, { type, mask }?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
                                    range: (source: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange;
                                    ranges: (ranges: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource | import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[]) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange[];
                                    getDateParts: (date: Date) => import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts;
                                    getDateFromParts: (parts: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts>) => Date;
                                    getDateFromParams: (year: number, month: number, day: number, hours: number, minutes: number, seconds: number, milliseconds: number) => Date;
                                    getPage: (config: import("v-calendar/dist/types/src/utils/page.js").PageConfig) => import("v-calendar/dist/types/src/utils/page.js").Page;
                                    getMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    getThisMonthParts: () => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    getPrevMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    getNextMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    getHourLabels: () => string[];
                                    getDayId: (date: Date) => string;
                                };
                                dayIndex: number;
                                day: number;
                                dayFromEnd: number;
                                weekday: number;
                                weekdayOrdinal: number;
                                weekdayOrdinalFromEnd: number;
                                week: number;
                                weekFromEnd: number;
                                weeknumber: number;
                                month: number;
                                year: number;
                                date: {
                                    toString: () => string;
                                    toDateString: () => string;
                                    toTimeString: () => string;
                                    toLocaleString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    toLocaleDateString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    toLocaleTimeString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    valueOf: () => number;
                                    getTime: () => number;
                                    getFullYear: () => number;
                                    getUTCFullYear: () => number;
                                    getMonth: () => number;
                                    getUTCMonth: () => number;
                                    getDate: () => number;
                                    getUTCDate: () => number;
                                    getDay: () => number;
                                    getUTCDay: () => number;
                                    getHours: () => number;
                                    getUTCHours: () => number;
                                    getMinutes: () => number;
                                    getUTCMinutes: () => number;
                                    getSeconds: () => number;
                                    getUTCSeconds: () => number;
                                    getMilliseconds: () => number;
                                    getUTCMilliseconds: () => number;
                                    getTimezoneOffset: () => number;
                                    setTime: (time: number) => number;
                                    setMilliseconds: (ms: number) => number;
                                    setUTCMilliseconds: (ms: number) => number;
                                    setSeconds: (sec: number, ms?: number | undefined) => number;
                                    setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                    setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                    setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                    setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                    setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                    setDate: (date: number) => number;
                                    setUTCDate: (date: number) => number;
                                    setMonth: (month: number, date?: number | undefined) => number;
                                    setUTCMonth: (month: number, date?: number | undefined) => number;
                                    setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                    setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                    toUTCString: () => string;
                                    toISOString: () => string;
                                    toJSON: (key?: any) => string;
                                    getVarDate: () => VarDate;
                                    [Symbol.toPrimitive]: {
                                        (hint: "default"): string;
                                        (hint: "string"): string;
                                        (hint: "number"): number;
                                        (hint: string): string | number;
                                    };
                                };
                            }[];
                            title: string;
                        }[];
                        weekdays: {
                            weekday: number;
                            label: string;
                        }[];
                        viewDays: {
                            id: string;
                            position: number;
                            label: string;
                            ariaLabel: string;
                            weekdayPosition: number;
                            weekdayPositionFromEnd: number;
                            weekPosition: number;
                            isoWeeknumber: number;
                            startDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            noonDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            endDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            isToday: boolean;
                            isFirstDay: boolean;
                            isLastDay: boolean;
                            isDisabled: boolean;
                            isFocusable: boolean;
                            isFocused: boolean;
                            inMonth: boolean;
                            inPrevMonth: boolean;
                            inNextMonth: boolean;
                            onTop: boolean;
                            onBottom: boolean;
                            onLeft: boolean;
                            onRight: boolean;
                            classes: (string | Object)[];
                            locale: {
                                id: any;
                                daysInWeek: number;
                                firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                                masks: any;
                                timezone: string | undefined;
                                hourLabels: string[];
                                dayNames: string[];
                                dayNamesShort: string[];
                                dayNamesShorter: string[];
                                dayNamesNarrow: string[];
                                monthNames: string[];
                                monthNamesShort: string[];
                                relativeTimeNames: {
                                    day?: string | undefined;
                                    week?: string | undefined;
                                    month?: string | undefined;
                                    year?: string | undefined;
                                    days?: string | undefined;
                                    weeks?: string | undefined;
                                    seconds?: string | undefined;
                                    minutes?: string | undefined;
                                    hours?: string | undefined;
                                    months?: string | undefined;
                                    years?: string | undefined;
                                    quarter?: string | undefined;
                                    quarters?: string | undefined;
                                    hour?: string | undefined;
                                    minute?: string | undefined;
                                    second?: string | undefined;
                                };
                                amPm: [string, string];
                                monthCache: {
                                    keys: string[];
                                    store: Record<string, import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts>;
                                    size: number;
                                    createKey: (...args: any[]) => string;
                                    createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    get: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                };
                                pageCache: {
                                    keys: string[];
                                    store: Record<string, import("v-calendar/dist/types/src/utils/page.js").CachedPage>;
                                    size: number;
                                    createKey: (...args: any[]) => string;
                                    createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                    get: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                    getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                };
                                formatDate: (date: Date, masks: string | string[]) => string;
                                parseDate: (dateString: string, mask: string | string[]) => Date;
                                toDate: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date;
                                toDateOrNull: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date | null;
                                fromDate: (date: Date | null, { type, mask }?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
                                range: (source: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange;
                                ranges: (ranges: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource | import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[]) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange[];
                                getDateParts: (date: Date) => import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts;
                                getDateFromParts: (parts: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts>) => Date;
                                getDateFromParams: (year: number, month: number, day: number, hours: number, minutes: number, seconds: number, milliseconds: number) => Date;
                                getPage: (config: import("v-calendar/dist/types/src/utils/page.js").PageConfig) => import("v-calendar/dist/types/src/utils/page.js").Page;
                                getMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getThisMonthParts: () => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getPrevMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getNextMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getHourLabels: () => string[];
                                getDayId: (date: Date) => string;
                            };
                            dayIndex: number;
                            day: number;
                            dayFromEnd: number;
                            weekday: number;
                            weekdayOrdinal: number;
                            weekdayOrdinalFromEnd: number;
                            week: number;
                            weekFromEnd: number;
                            weeknumber: number;
                            month: number;
                            year: number;
                            date: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                        }[];
                        viewWeeks: {
                            id: string;
                            week: number;
                            weekPosition: number;
                            weeknumber: number;
                            isoWeeknumber: number;
                            weeknumberDisplay?: number | undefined;
                            days: {
                                id: string;
                                position: number;
                                label: string;
                                ariaLabel: string;
                                weekdayPosition: number;
                                weekdayPositionFromEnd: number;
                                weekPosition: number;
                                isoWeeknumber: number;
                                startDate: {
                                    toString: () => string;
                                    toDateString: () => string;
                                    toTimeString: () => string;
                                    toLocaleString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    toLocaleDateString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    toLocaleTimeString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    valueOf: () => number;
                                    getTime: () => number;
                                    getFullYear: () => number;
                                    getUTCFullYear: () => number;
                                    getMonth: () => number;
                                    getUTCMonth: () => number;
                                    getDate: () => number;
                                    getUTCDate: () => number;
                                    getDay: () => number;
                                    getUTCDay: () => number;
                                    getHours: () => number;
                                    getUTCHours: () => number;
                                    getMinutes: () => number;
                                    getUTCMinutes: () => number;
                                    getSeconds: () => number;
                                    getUTCSeconds: () => number;
                                    getMilliseconds: () => number;
                                    getUTCMilliseconds: () => number;
                                    getTimezoneOffset: () => number;
                                    setTime: (time: number) => number;
                                    setMilliseconds: (ms: number) => number;
                                    setUTCMilliseconds: (ms: number) => number;
                                    setSeconds: (sec: number, ms?: number | undefined) => number;
                                    setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                    setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                    setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                    setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                    setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                    setDate: (date: number) => number;
                                    setUTCDate: (date: number) => number;
                                    setMonth: (month: number, date?: number | undefined) => number;
                                    setUTCMonth: (month: number, date?: number | undefined) => number;
                                    setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                    setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                    toUTCString: () => string;
                                    toISOString: () => string;
                                    toJSON: (key?: any) => string;
                                    getVarDate: () => VarDate;
                                    [Symbol.toPrimitive]: {
                                        (hint: "default"): string;
                                        (hint: "string"): string;
                                        (hint: "number"): number;
                                        (hint: string): string | number;
                                    };
                                };
                                noonDate: {
                                    toString: () => string;
                                    toDateString: () => string;
                                    toTimeString: () => string;
                                    toLocaleString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    toLocaleDateString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    toLocaleTimeString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    valueOf: () => number;
                                    getTime: () => number;
                                    getFullYear: () => number;
                                    getUTCFullYear: () => number;
                                    getMonth: () => number;
                                    getUTCMonth: () => number;
                                    getDate: () => number;
                                    getUTCDate: () => number;
                                    getDay: () => number;
                                    getUTCDay: () => number;
                                    getHours: () => number;
                                    getUTCHours: () => number;
                                    getMinutes: () => number;
                                    getUTCMinutes: () => number;
                                    getSeconds: () => number;
                                    getUTCSeconds: () => number;
                                    getMilliseconds: () => number;
                                    getUTCMilliseconds: () => number;
                                    getTimezoneOffset: () => number;
                                    setTime: (time: number) => number;
                                    setMilliseconds: (ms: number) => number;
                                    setUTCMilliseconds: (ms: number) => number;
                                    setSeconds: (sec: number, ms?: number | undefined) => number;
                                    setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                    setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                    setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                    setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                    setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                    setDate: (date: number) => number;
                                    setUTCDate: (date: number) => number;
                                    setMonth: (month: number, date?: number | undefined) => number;
                                    setUTCMonth: (month: number, date?: number | undefined) => number;
                                    setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                    setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                    toUTCString: () => string;
                                    toISOString: () => string;
                                    toJSON: (key?: any) => string;
                                    getVarDate: () => VarDate;
                                    [Symbol.toPrimitive]: {
                                        (hint: "default"): string;
                                        (hint: "string"): string;
                                        (hint: "number"): number;
                                        (hint: string): string | number;
                                    };
                                };
                                endDate: {
                                    toString: () => string;
                                    toDateString: () => string;
                                    toTimeString: () => string;
                                    toLocaleString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    toLocaleDateString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    toLocaleTimeString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    valueOf: () => number;
                                    getTime: () => number;
                                    getFullYear: () => number;
                                    getUTCFullYear: () => number;
                                    getMonth: () => number;
                                    getUTCMonth: () => number;
                                    getDate: () => number;
                                    getUTCDate: () => number;
                                    getDay: () => number;
                                    getUTCDay: () => number;
                                    getHours: () => number;
                                    getUTCHours: () => number;
                                    getMinutes: () => number;
                                    getUTCMinutes: () => number;
                                    getSeconds: () => number;
                                    getUTCSeconds: () => number;
                                    getMilliseconds: () => number;
                                    getUTCMilliseconds: () => number;
                                    getTimezoneOffset: () => number;
                                    setTime: (time: number) => number;
                                    setMilliseconds: (ms: number) => number;
                                    setUTCMilliseconds: (ms: number) => number;
                                    setSeconds: (sec: number, ms?: number | undefined) => number;
                                    setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                    setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                    setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                    setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                    setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                    setDate: (date: number) => number;
                                    setUTCDate: (date: number) => number;
                                    setMonth: (month: number, date?: number | undefined) => number;
                                    setUTCMonth: (month: number, date?: number | undefined) => number;
                                    setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                    setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                    toUTCString: () => string;
                                    toISOString: () => string;
                                    toJSON: (key?: any) => string;
                                    getVarDate: () => VarDate;
                                    [Symbol.toPrimitive]: {
                                        (hint: "default"): string;
                                        (hint: "string"): string;
                                        (hint: "number"): number;
                                        (hint: string): string | number;
                                    };
                                };
                                isToday: boolean;
                                isFirstDay: boolean;
                                isLastDay: boolean;
                                isDisabled: boolean;
                                isFocusable: boolean;
                                isFocused: boolean;
                                inMonth: boolean;
                                inPrevMonth: boolean;
                                inNextMonth: boolean;
                                onTop: boolean;
                                onBottom: boolean;
                                onLeft: boolean;
                                onRight: boolean;
                                classes: (string | Object)[];
                                locale: {
                                    id: any;
                                    daysInWeek: number;
                                    firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                                    masks: any;
                                    timezone: string | undefined;
                                    hourLabels: string[];
                                    dayNames: string[];
                                    dayNamesShort: string[];
                                    dayNamesShorter: string[];
                                    dayNamesNarrow: string[];
                                    monthNames: string[];
                                    monthNamesShort: string[];
                                    relativeTimeNames: {
                                        day?: string | undefined;
                                        week?: string | undefined;
                                        month?: string | undefined;
                                        year?: string | undefined;
                                        days?: string | undefined;
                                        weeks?: string | undefined;
                                        seconds?: string | undefined;
                                        minutes?: string | undefined;
                                        hours?: string | undefined;
                                        months?: string | undefined;
                                        years?: string | undefined;
                                        quarter?: string | undefined;
                                        quarters?: string | undefined;
                                        hour?: string | undefined;
                                        minute?: string | undefined;
                                        second?: string | undefined;
                                    };
                                    amPm: [string, string];
                                    monthCache: {
                                        keys: string[];
                                        store: Record<string, import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts>;
                                        size: number;
                                        createKey: (...args: any[]) => string;
                                        createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                        get: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                        getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    };
                                    pageCache: {
                                        keys: string[];
                                        store: Record<string, import("v-calendar/dist/types/src/utils/page.js").CachedPage>;
                                        size: number;
                                        createKey: (...args: any[]) => string;
                                        createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                        get: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                        getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                    };
                                    formatDate: (date: Date, masks: string | string[]) => string;
                                    parseDate: (dateString: string, mask: string | string[]) => Date;
                                    toDate: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date;
                                    toDateOrNull: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date | null;
                                    fromDate: (date: Date | null, { type, mask }?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
                                    range: (source: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange;
                                    ranges: (ranges: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource | import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[]) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange[];
                                    getDateParts: (date: Date) => import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts;
                                    getDateFromParts: (parts: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts>) => Date;
                                    getDateFromParams: (year: number, month: number, day: number, hours: number, minutes: number, seconds: number, milliseconds: number) => Date;
                                    getPage: (config: import("v-calendar/dist/types/src/utils/page.js").PageConfig) => import("v-calendar/dist/types/src/utils/page.js").Page;
                                    getMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    getThisMonthParts: () => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    getPrevMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    getNextMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    getHourLabels: () => string[];
                                    getDayId: (date: Date) => string;
                                };
                                dayIndex: number;
                                day: number;
                                dayFromEnd: number;
                                weekday: number;
                                weekdayOrdinal: number;
                                weekdayOrdinalFromEnd: number;
                                week: number;
                                weekFromEnd: number;
                                weeknumber: number;
                                month: number;
                                year: number;
                                date: {
                                    toString: () => string;
                                    toDateString: () => string;
                                    toTimeString: () => string;
                                    toLocaleString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    toLocaleDateString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    toLocaleTimeString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    valueOf: () => number;
                                    getTime: () => number;
                                    getFullYear: () => number;
                                    getUTCFullYear: () => number;
                                    getMonth: () => number;
                                    getUTCMonth: () => number;
                                    getDate: () => number;
                                    getUTCDate: () => number;
                                    getDay: () => number;
                                    getUTCDay: () => number;
                                    getHours: () => number;
                                    getUTCHours: () => number;
                                    getMinutes: () => number;
                                    getUTCMinutes: () => number;
                                    getSeconds: () => number;
                                    getUTCSeconds: () => number;
                                    getMilliseconds: () => number;
                                    getUTCMilliseconds: () => number;
                                    getTimezoneOffset: () => number;
                                    setTime: (time: number) => number;
                                    setMilliseconds: (ms: number) => number;
                                    setUTCMilliseconds: (ms: number) => number;
                                    setSeconds: (sec: number, ms?: number | undefined) => number;
                                    setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                    setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                    setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                    setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                    setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                    setDate: (date: number) => number;
                                    setUTCDate: (date: number) => number;
                                    setMonth: (month: number, date?: number | undefined) => number;
                                    setUTCMonth: (month: number, date?: number | undefined) => number;
                                    setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                    setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                    toUTCString: () => string;
                                    toISOString: () => string;
                                    toJSON: (key?: any) => string;
                                    getVarDate: () => VarDate;
                                    [Symbol.toPrimitive]: {
                                        (hint: "default"): string;
                                        (hint: "string"): string;
                                        (hint: "number"): number;
                                        (hint: string): string | number;
                                    };
                                };
                            }[];
                            title: string;
                        }[];
                    }[]>;
                    transitionName: import("vue").Ref<string>;
                    theme: import("vue").ComputedRef<import("v-calendar/dist/types/src/utils/theme.js").Theme>;
                    color: import("vue").ComputedRef<string>;
                    displayMode: import("vue").ComputedRef<"light" | "dark">;
                    locale: import("vue").ComputedRef<import("v-calendar/dist/types/src/utils/locale.js").default>;
                    masks: import("vue").ComputedRef<any>;
                    attributes: import("vue").ComputedRef<import("v-calendar/dist/types/src/utils/attribute.js").Attribute[]>;
                    disabledAttribute: import("vue").ComputedRef<import("v-calendar/dist/types/src/utils/attribute.js").Attribute>;
                    disabledDates: import("vue").ComputedRef<import("v-calendar/dist/types/src/utils/date/range.js").DateRange[]>;
                    attributeContext: import("vue").ComputedRef<import("v-calendar/dist/types/src/utils/date/range.js").DateRangeContext>;
                    days: import("vue").ComputedRef<import("v-calendar/dist/types/src/utils/page.js").CalendarDay[]>;
                    dayCells: import("vue").ComputedRef<import("v-calendar/dist/types/src/use/calendar.js").DayCells>;
                    count: import("vue").ComputedRef<number>;
                    step: import("vue").ComputedRef<number>;
                    firstPage: import("vue").ComputedRef<{
                        id: string;
                        day?: number | undefined;
                        week?: number | undefined;
                        month: number;
                        year: number;
                        view: import("v-calendar/dist/types/src/utils/page.js").PageView;
                        trimWeeks: boolean;
                        position: number;
                        row: number;
                        rowFromEnd: number;
                        column: number;
                        columnFromEnd: number;
                        showWeeknumbers: boolean;
                        showIsoWeeknumbers: boolean;
                        weeknumberPosition: string;
                        monthTitle: string;
                        weekTitle?: string | undefined;
                        dayTitle?: string | undefined;
                        title: string;
                        titlePosition: import("v-calendar/dist/types/src/utils/page.js").TitlePosition;
                        shortMonthLabel: string;
                        monthLabel: string;
                        shortYearLabel: string;
                        yearLabel: string;
                        monthComps: {
                            firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                            firstDayOfMonth: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            inLeapYear: boolean;
                            firstWeekday: number;
                            numDays: number;
                            numWeeks: number;
                            month: number;
                            year: number;
                            weeknumbers: number[];
                            isoWeeknumbers: number[];
                        };
                        prevMonthComps: {
                            firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                            firstDayOfMonth: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            inLeapYear: boolean;
                            firstWeekday: number;
                            numDays: number;
                            numWeeks: number;
                            month: number;
                            year: number;
                            weeknumbers: number[];
                            isoWeeknumbers: number[];
                        };
                        nextMonthComps: {
                            firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                            firstDayOfMonth: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            inLeapYear: boolean;
                            firstWeekday: number;
                            numDays: number;
                            numWeeks: number;
                            month: number;
                            year: number;
                            weeknumbers: number[];
                            isoWeeknumbers: number[];
                        };
                        days: {
                            id: string;
                            position: number;
                            label: string;
                            ariaLabel: string;
                            weekdayPosition: number;
                            weekdayPositionFromEnd: number;
                            weekPosition: number;
                            isoWeeknumber: number;
                            startDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            noonDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            endDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            isToday: boolean;
                            isFirstDay: boolean;
                            isLastDay: boolean;
                            isDisabled: boolean;
                            isFocusable: boolean;
                            isFocused: boolean;
                            inMonth: boolean;
                            inPrevMonth: boolean;
                            inNextMonth: boolean;
                            onTop: boolean;
                            onBottom: boolean;
                            onLeft: boolean;
                            onRight: boolean;
                            classes: (string | Object)[];
                            locale: {
                                id: any;
                                daysInWeek: number;
                                firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                                masks: any;
                                timezone: string | undefined;
                                hourLabels: string[];
                                dayNames: string[];
                                dayNamesShort: string[];
                                dayNamesShorter: string[];
                                dayNamesNarrow: string[];
                                monthNames: string[];
                                monthNamesShort: string[];
                                relativeTimeNames: {
                                    day?: string | undefined;
                                    week?: string | undefined;
                                    month?: string | undefined;
                                    year?: string | undefined;
                                    days?: string | undefined;
                                    weeks?: string | undefined;
                                    seconds?: string | undefined;
                                    minutes?: string | undefined;
                                    hours?: string | undefined;
                                    months?: string | undefined;
                                    years?: string | undefined;
                                    quarter?: string | undefined;
                                    quarters?: string | undefined;
                                    hour?: string | undefined;
                                    minute?: string | undefined;
                                    second?: string | undefined;
                                };
                                amPm: [string, string];
                                monthCache: {
                                    keys: string[];
                                    store: Record<string, import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts>;
                                    size: number;
                                    createKey: (...args: any[]) => string;
                                    createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    get: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                };
                                pageCache: {
                                    keys: string[];
                                    store: Record<string, import("v-calendar/dist/types/src/utils/page.js").CachedPage>;
                                    size: number;
                                    createKey: (...args: any[]) => string;
                                    createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                    get: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                    getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                };
                                formatDate: (date: Date, masks: string | string[]) => string;
                                parseDate: (dateString: string, mask: string | string[]) => Date;
                                toDate: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date;
                                toDateOrNull: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date | null;
                                fromDate: (date: Date | null, { type, mask }?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
                                range: (source: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange;
                                ranges: (ranges: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource | import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[]) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange[];
                                getDateParts: (date: Date) => import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts;
                                getDateFromParts: (parts: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts>) => Date;
                                getDateFromParams: (year: number, month: number, day: number, hours: number, minutes: number, seconds: number, milliseconds: number) => Date;
                                getPage: (config: import("v-calendar/dist/types/src/utils/page.js").PageConfig) => import("v-calendar/dist/types/src/utils/page.js").Page;
                                getMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getThisMonthParts: () => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getPrevMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getNextMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getHourLabels: () => string[];
                                getDayId: (date: Date) => string;
                            };
                            dayIndex: number;
                            day: number;
                            dayFromEnd: number;
                            weekday: number;
                            weekdayOrdinal: number;
                            weekdayOrdinalFromEnd: number;
                            week: number;
                            weekFromEnd: number;
                            weeknumber: number;
                            month: number;
                            year: number;
                            date: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                        }[];
                        weeks: {
                            id: string;
                            week: number;
                            weekPosition: number;
                            weeknumber: number;
                            isoWeeknumber: number;
                            weeknumberDisplay?: number | undefined;
                            days: {
                                id: string;
                                position: number;
                                label: string;
                                ariaLabel: string;
                                weekdayPosition: number;
                                weekdayPositionFromEnd: number;
                                weekPosition: number;
                                isoWeeknumber: number;
                                startDate: {
                                    toString: () => string;
                                    toDateString: () => string;
                                    toTimeString: () => string;
                                    toLocaleString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    toLocaleDateString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    toLocaleTimeString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    valueOf: () => number;
                                    getTime: () => number;
                                    getFullYear: () => number;
                                    getUTCFullYear: () => number;
                                    getMonth: () => number;
                                    getUTCMonth: () => number;
                                    getDate: () => number;
                                    getUTCDate: () => number;
                                    getDay: () => number;
                                    getUTCDay: () => number;
                                    getHours: () => number;
                                    getUTCHours: () => number;
                                    getMinutes: () => number;
                                    getUTCMinutes: () => number;
                                    getSeconds: () => number;
                                    getUTCSeconds: () => number;
                                    getMilliseconds: () => number;
                                    getUTCMilliseconds: () => number;
                                    getTimezoneOffset: () => number;
                                    setTime: (time: number) => number;
                                    setMilliseconds: (ms: number) => number;
                                    setUTCMilliseconds: (ms: number) => number;
                                    setSeconds: (sec: number, ms?: number | undefined) => number;
                                    setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                    setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                    setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                    setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                    setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                    setDate: (date: number) => number;
                                    setUTCDate: (date: number) => number;
                                    setMonth: (month: number, date?: number | undefined) => number;
                                    setUTCMonth: (month: number, date?: number | undefined) => number;
                                    setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                    setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                    toUTCString: () => string;
                                    toISOString: () => string;
                                    toJSON: (key?: any) => string;
                                    getVarDate: () => VarDate;
                                    [Symbol.toPrimitive]: {
                                        (hint: "default"): string;
                                        (hint: "string"): string;
                                        (hint: "number"): number;
                                        (hint: string): string | number;
                                    };
                                };
                                noonDate: {
                                    toString: () => string;
                                    toDateString: () => string;
                                    toTimeString: () => string;
                                    toLocaleString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    toLocaleDateString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    toLocaleTimeString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    valueOf: () => number;
                                    getTime: () => number;
                                    getFullYear: () => number;
                                    getUTCFullYear: () => number;
                                    getMonth: () => number;
                                    getUTCMonth: () => number;
                                    getDate: () => number;
                                    getUTCDate: () => number;
                                    getDay: () => number;
                                    getUTCDay: () => number;
                                    getHours: () => number;
                                    getUTCHours: () => number;
                                    getMinutes: () => number;
                                    getUTCMinutes: () => number;
                                    getSeconds: () => number;
                                    getUTCSeconds: () => number;
                                    getMilliseconds: () => number;
                                    getUTCMilliseconds: () => number;
                                    getTimezoneOffset: () => number;
                                    setTime: (time: number) => number;
                                    setMilliseconds: (ms: number) => number;
                                    setUTCMilliseconds: (ms: number) => number;
                                    setSeconds: (sec: number, ms?: number | undefined) => number;
                                    setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                    setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                    setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                    setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                    setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                    setDate: (date: number) => number;
                                    setUTCDate: (date: number) => number;
                                    setMonth: (month: number, date?: number | undefined) => number;
                                    setUTCMonth: (month: number, date?: number | undefined) => number;
                                    setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                    setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                    toUTCString: () => string;
                                    toISOString: () => string;
                                    toJSON: (key?: any) => string;
                                    getVarDate: () => VarDate;
                                    [Symbol.toPrimitive]: {
                                        (hint: "default"): string;
                                        (hint: "string"): string;
                                        (hint: "number"): number;
                                        (hint: string): string | number;
                                    };
                                };
                                endDate: {
                                    toString: () => string;
                                    toDateString: () => string;
                                    toTimeString: () => string;
                                    toLocaleString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    toLocaleDateString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    toLocaleTimeString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    valueOf: () => number;
                                    getTime: () => number;
                                    getFullYear: () => number;
                                    getUTCFullYear: () => number;
                                    getMonth: () => number;
                                    getUTCMonth: () => number;
                                    getDate: () => number;
                                    getUTCDate: () => number;
                                    getDay: () => number;
                                    getUTCDay: () => number;
                                    getHours: () => number;
                                    getUTCHours: () => number;
                                    getMinutes: () => number;
                                    getUTCMinutes: () => number;
                                    getSeconds: () => number;
                                    getUTCSeconds: () => number;
                                    getMilliseconds: () => number;
                                    getUTCMilliseconds: () => number;
                                    getTimezoneOffset: () => number;
                                    setTime: (time: number) => number;
                                    setMilliseconds: (ms: number) => number;
                                    setUTCMilliseconds: (ms: number) => number;
                                    setSeconds: (sec: number, ms?: number | undefined) => number;
                                    setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                    setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                    setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                    setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                    setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                    setDate: (date: number) => number;
                                    setUTCDate: (date: number) => number;
                                    setMonth: (month: number, date?: number | undefined) => number;
                                    setUTCMonth: (month: number, date?: number | undefined) => number;
                                    setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                    setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                    toUTCString: () => string;
                                    toISOString: () => string;
                                    toJSON: (key?: any) => string;
                                    getVarDate: () => VarDate;
                                    [Symbol.toPrimitive]: {
                                        (hint: "default"): string;
                                        (hint: "string"): string;
                                        (hint: "number"): number;
                                        (hint: string): string | number;
                                    };
                                };
                                isToday: boolean;
                                isFirstDay: boolean;
                                isLastDay: boolean;
                                isDisabled: boolean;
                                isFocusable: boolean;
                                isFocused: boolean;
                                inMonth: boolean;
                                inPrevMonth: boolean;
                                inNextMonth: boolean;
                                onTop: boolean;
                                onBottom: boolean;
                                onLeft: boolean;
                                onRight: boolean;
                                classes: (string | Object)[];
                                locale: {
                                    id: any;
                                    daysInWeek: number;
                                    firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                                    masks: any;
                                    timezone: string | undefined;
                                    hourLabels: string[];
                                    dayNames: string[];
                                    dayNamesShort: string[];
                                    dayNamesShorter: string[];
                                    dayNamesNarrow: string[];
                                    monthNames: string[];
                                    monthNamesShort: string[];
                                    relativeTimeNames: {
                                        day?: string | undefined;
                                        week?: string | undefined;
                                        month?: string | undefined;
                                        year?: string | undefined;
                                        days?: string | undefined;
                                        weeks?: string | undefined;
                                        seconds?: string | undefined;
                                        minutes?: string | undefined;
                                        hours?: string | undefined;
                                        months?: string | undefined;
                                        years?: string | undefined;
                                        quarter?: string | undefined;
                                        quarters?: string | undefined;
                                        hour?: string | undefined;
                                        minute?: string | undefined;
                                        second?: string | undefined;
                                    };
                                    amPm: [string, string];
                                    monthCache: {
                                        keys: string[];
                                        store: Record<string, import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts>;
                                        size: number;
                                        createKey: (...args: any[]) => string;
                                        createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                        get: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                        getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    };
                                    pageCache: {
                                        keys: string[];
                                        store: Record<string, import("v-calendar/dist/types/src/utils/page.js").CachedPage>;
                                        size: number;
                                        createKey: (...args: any[]) => string;
                                        createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                        get: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                        getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                    };
                                    formatDate: (date: Date, masks: string | string[]) => string;
                                    parseDate: (dateString: string, mask: string | string[]) => Date;
                                    toDate: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date;
                                    toDateOrNull: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date | null;
                                    fromDate: (date: Date | null, { type, mask }?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
                                    range: (source: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange;
                                    ranges: (ranges: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource | import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[]) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange[];
                                    getDateParts: (date: Date) => import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts;
                                    getDateFromParts: (parts: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts>) => Date;
                                    getDateFromParams: (year: number, month: number, day: number, hours: number, minutes: number, seconds: number, milliseconds: number) => Date;
                                    getPage: (config: import("v-calendar/dist/types/src/utils/page.js").PageConfig) => import("v-calendar/dist/types/src/utils/page.js").Page;
                                    getMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    getThisMonthParts: () => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    getPrevMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    getNextMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    getHourLabels: () => string[];
                                    getDayId: (date: Date) => string;
                                };
                                dayIndex: number;
                                day: number;
                                dayFromEnd: number;
                                weekday: number;
                                weekdayOrdinal: number;
                                weekdayOrdinalFromEnd: number;
                                week: number;
                                weekFromEnd: number;
                                weeknumber: number;
                                month: number;
                                year: number;
                                date: {
                                    toString: () => string;
                                    toDateString: () => string;
                                    toTimeString: () => string;
                                    toLocaleString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    toLocaleDateString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    toLocaleTimeString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    valueOf: () => number;
                                    getTime: () => number;
                                    getFullYear: () => number;
                                    getUTCFullYear: () => number;
                                    getMonth: () => number;
                                    getUTCMonth: () => number;
                                    getDate: () => number;
                                    getUTCDate: () => number;
                                    getDay: () => number;
                                    getUTCDay: () => number;
                                    getHours: () => number;
                                    getUTCHours: () => number;
                                    getMinutes: () => number;
                                    getUTCMinutes: () => number;
                                    getSeconds: () => number;
                                    getUTCSeconds: () => number;
                                    getMilliseconds: () => number;
                                    getUTCMilliseconds: () => number;
                                    getTimezoneOffset: () => number;
                                    setTime: (time: number) => number;
                                    setMilliseconds: (ms: number) => number;
                                    setUTCMilliseconds: (ms: number) => number;
                                    setSeconds: (sec: number, ms?: number | undefined) => number;
                                    setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                    setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                    setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                    setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                    setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                    setDate: (date: number) => number;
                                    setUTCDate: (date: number) => number;
                                    setMonth: (month: number, date?: number | undefined) => number;
                                    setUTCMonth: (month: number, date?: number | undefined) => number;
                                    setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                    setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                    toUTCString: () => string;
                                    toISOString: () => string;
                                    toJSON: (key?: any) => string;
                                    getVarDate: () => VarDate;
                                    [Symbol.toPrimitive]: {
                                        (hint: "default"): string;
                                        (hint: "string"): string;
                                        (hint: "number"): number;
                                        (hint: string): string | number;
                                    };
                                };
                            }[];
                            title: string;
                        }[];
                        weekdays: {
                            weekday: number;
                            label: string;
                        }[];
                        viewDays: {
                            id: string;
                            position: number;
                            label: string;
                            ariaLabel: string;
                            weekdayPosition: number;
                            weekdayPositionFromEnd: number;
                            weekPosition: number;
                            isoWeeknumber: number;
                            startDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            noonDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            endDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            isToday: boolean;
                            isFirstDay: boolean;
                            isLastDay: boolean;
                            isDisabled: boolean;
                            isFocusable: boolean;
                            isFocused: boolean;
                            inMonth: boolean;
                            inPrevMonth: boolean;
                            inNextMonth: boolean;
                            onTop: boolean;
                            onBottom: boolean;
                            onLeft: boolean;
                            onRight: boolean;
                            classes: (string | Object)[];
                            locale: {
                                id: any;
                                daysInWeek: number;
                                firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                                masks: any;
                                timezone: string | undefined;
                                hourLabels: string[];
                                dayNames: string[];
                                dayNamesShort: string[];
                                dayNamesShorter: string[];
                                dayNamesNarrow: string[];
                                monthNames: string[];
                                monthNamesShort: string[];
                                relativeTimeNames: {
                                    day?: string | undefined;
                                    week?: string | undefined;
                                    month?: string | undefined;
                                    year?: string | undefined;
                                    days?: string | undefined;
                                    weeks?: string | undefined;
                                    seconds?: string | undefined;
                                    minutes?: string | undefined;
                                    hours?: string | undefined;
                                    months?: string | undefined;
                                    years?: string | undefined;
                                    quarter?: string | undefined;
                                    quarters?: string | undefined;
                                    hour?: string | undefined;
                                    minute?: string | undefined;
                                    second?: string | undefined;
                                };
                                amPm: [string, string];
                                monthCache: {
                                    keys: string[];
                                    store: Record<string, import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts>;
                                    size: number;
                                    createKey: (...args: any[]) => string;
                                    createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    get: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                };
                                pageCache: {
                                    keys: string[];
                                    store: Record<string, import("v-calendar/dist/types/src/utils/page.js").CachedPage>;
                                    size: number;
                                    createKey: (...args: any[]) => string;
                                    createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                    get: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                    getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                };
                                formatDate: (date: Date, masks: string | string[]) => string;
                                parseDate: (dateString: string, mask: string | string[]) => Date;
                                toDate: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date;
                                toDateOrNull: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date | null;
                                fromDate: (date: Date | null, { type, mask }?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
                                range: (source: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange;
                                ranges: (ranges: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource | import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[]) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange[];
                                getDateParts: (date: Date) => import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts;
                                getDateFromParts: (parts: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts>) => Date;
                                getDateFromParams: (year: number, month: number, day: number, hours: number, minutes: number, seconds: number, milliseconds: number) => Date;
                                getPage: (config: import("v-calendar/dist/types/src/utils/page.js").PageConfig) => import("v-calendar/dist/types/src/utils/page.js").Page;
                                getMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getThisMonthParts: () => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getPrevMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getNextMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getHourLabels: () => string[];
                                getDayId: (date: Date) => string;
                            };
                            dayIndex: number;
                            day: number;
                            dayFromEnd: number;
                            weekday: number;
                            weekdayOrdinal: number;
                            weekdayOrdinalFromEnd: number;
                            week: number;
                            weekFromEnd: number;
                            weeknumber: number;
                            month: number;
                            year: number;
                            date: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                        }[];
                        viewWeeks: {
                            id: string;
                            week: number;
                            weekPosition: number;
                            weeknumber: number;
                            isoWeeknumber: number;
                            weeknumberDisplay?: number | undefined;
                            days: {
                                id: string;
                                position: number;
                                label: string;
                                ariaLabel: string;
                                weekdayPosition: number;
                                weekdayPositionFromEnd: number;
                                weekPosition: number;
                                isoWeeknumber: number;
                                startDate: {
                                    toString: () => string;
                                    toDateString: () => string;
                                    toTimeString: () => string;
                                    toLocaleString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    toLocaleDateString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    toLocaleTimeString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    valueOf: () => number;
                                    getTime: () => number;
                                    getFullYear: () => number;
                                    getUTCFullYear: () => number;
                                    getMonth: () => number;
                                    getUTCMonth: () => number;
                                    getDate: () => number;
                                    getUTCDate: () => number;
                                    getDay: () => number;
                                    getUTCDay: () => number;
                                    getHours: () => number;
                                    getUTCHours: () => number;
                                    getMinutes: () => number;
                                    getUTCMinutes: () => number;
                                    getSeconds: () => number;
                                    getUTCSeconds: () => number;
                                    getMilliseconds: () => number;
                                    getUTCMilliseconds: () => number;
                                    getTimezoneOffset: () => number;
                                    setTime: (time: number) => number;
                                    setMilliseconds: (ms: number) => number;
                                    setUTCMilliseconds: (ms: number) => number;
                                    setSeconds: (sec: number, ms?: number | undefined) => number;
                                    setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                    setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                    setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                    setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                    setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                    setDate: (date: number) => number;
                                    setUTCDate: (date: number) => number;
                                    setMonth: (month: number, date?: number | undefined) => number;
                                    setUTCMonth: (month: number, date?: number | undefined) => number;
                                    setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                    setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                    toUTCString: () => string;
                                    toISOString: () => string;
                                    toJSON: (key?: any) => string;
                                    getVarDate: () => VarDate;
                                    [Symbol.toPrimitive]: {
                                        (hint: "default"): string;
                                        (hint: "string"): string;
                                        (hint: "number"): number;
                                        (hint: string): string | number;
                                    };
                                };
                                noonDate: {
                                    toString: () => string;
                                    toDateString: () => string;
                                    toTimeString: () => string;
                                    toLocaleString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    toLocaleDateString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    toLocaleTimeString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    valueOf: () => number;
                                    getTime: () => number;
                                    getFullYear: () => number;
                                    getUTCFullYear: () => number;
                                    getMonth: () => number;
                                    getUTCMonth: () => number;
                                    getDate: () => number;
                                    getUTCDate: () => number;
                                    getDay: () => number;
                                    getUTCDay: () => number;
                                    getHours: () => number;
                                    getUTCHours: () => number;
                                    getMinutes: () => number;
                                    getUTCMinutes: () => number;
                                    getSeconds: () => number;
                                    getUTCSeconds: () => number;
                                    getMilliseconds: () => number;
                                    getUTCMilliseconds: () => number;
                                    getTimezoneOffset: () => number;
                                    setTime: (time: number) => number;
                                    setMilliseconds: (ms: number) => number;
                                    setUTCMilliseconds: (ms: number) => number;
                                    setSeconds: (sec: number, ms?: number | undefined) => number;
                                    setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                    setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                    setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                    setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                    setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                    setDate: (date: number) => number;
                                    setUTCDate: (date: number) => number;
                                    setMonth: (month: number, date?: number | undefined) => number;
                                    setUTCMonth: (month: number, date?: number | undefined) => number;
                                    setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                    setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                    toUTCString: () => string;
                                    toISOString: () => string;
                                    toJSON: (key?: any) => string;
                                    getVarDate: () => VarDate;
                                    [Symbol.toPrimitive]: {
                                        (hint: "default"): string;
                                        (hint: "string"): string;
                                        (hint: "number"): number;
                                        (hint: string): string | number;
                                    };
                                };
                                endDate: {
                                    toString: () => string;
                                    toDateString: () => string;
                                    toTimeString: () => string;
                                    toLocaleString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    toLocaleDateString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    toLocaleTimeString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    valueOf: () => number;
                                    getTime: () => number;
                                    getFullYear: () => number;
                                    getUTCFullYear: () => number;
                                    getMonth: () => number;
                                    getUTCMonth: () => number;
                                    getDate: () => number;
                                    getUTCDate: () => number;
                                    getDay: () => number;
                                    getUTCDay: () => number;
                                    getHours: () => number;
                                    getUTCHours: () => number;
                                    getMinutes: () => number;
                                    getUTCMinutes: () => number;
                                    getSeconds: () => number;
                                    getUTCSeconds: () => number;
                                    getMilliseconds: () => number;
                                    getUTCMilliseconds: () => number;
                                    getTimezoneOffset: () => number;
                                    setTime: (time: number) => number;
                                    setMilliseconds: (ms: number) => number;
                                    setUTCMilliseconds: (ms: number) => number;
                                    setSeconds: (sec: number, ms?: number | undefined) => number;
                                    setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                    setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                    setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                    setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                    setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                    setDate: (date: number) => number;
                                    setUTCDate: (date: number) => number;
                                    setMonth: (month: number, date?: number | undefined) => number;
                                    setUTCMonth: (month: number, date?: number | undefined) => number;
                                    setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                    setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                    toUTCString: () => string;
                                    toISOString: () => string;
                                    toJSON: (key?: any) => string;
                                    getVarDate: () => VarDate;
                                    [Symbol.toPrimitive]: {
                                        (hint: "default"): string;
                                        (hint: "string"): string;
                                        (hint: "number"): number;
                                        (hint: string): string | number;
                                    };
                                };
                                isToday: boolean;
                                isFirstDay: boolean;
                                isLastDay: boolean;
                                isDisabled: boolean;
                                isFocusable: boolean;
                                isFocused: boolean;
                                inMonth: boolean;
                                inPrevMonth: boolean;
                                inNextMonth: boolean;
                                onTop: boolean;
                                onBottom: boolean;
                                onLeft: boolean;
                                onRight: boolean;
                                classes: (string | Object)[];
                                locale: {
                                    id: any;
                                    daysInWeek: number;
                                    firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                                    masks: any;
                                    timezone: string | undefined;
                                    hourLabels: string[];
                                    dayNames: string[];
                                    dayNamesShort: string[];
                                    dayNamesShorter: string[];
                                    dayNamesNarrow: string[];
                                    monthNames: string[];
                                    monthNamesShort: string[];
                                    relativeTimeNames: {
                                        day?: string | undefined;
                                        week?: string | undefined;
                                        month?: string | undefined;
                                        year?: string | undefined;
                                        days?: string | undefined;
                                        weeks?: string | undefined;
                                        seconds?: string | undefined;
                                        minutes?: string | undefined;
                                        hours?: string | undefined;
                                        months?: string | undefined;
                                        years?: string | undefined;
                                        quarter?: string | undefined;
                                        quarters?: string | undefined;
                                        hour?: string | undefined;
                                        minute?: string | undefined;
                                        second?: string | undefined;
                                    };
                                    amPm: [string, string];
                                    monthCache: {
                                        keys: string[];
                                        store: Record<string, import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts>;
                                        size: number;
                                        createKey: (...args: any[]) => string;
                                        createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                        get: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                        getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    };
                                    pageCache: {
                                        keys: string[];
                                        store: Record<string, import("v-calendar/dist/types/src/utils/page.js").CachedPage>;
                                        size: number;
                                        createKey: (...args: any[]) => string;
                                        createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                        get: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                        getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                    };
                                    formatDate: (date: Date, masks: string | string[]) => string;
                                    parseDate: (dateString: string, mask: string | string[]) => Date;
                                    toDate: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date;
                                    toDateOrNull: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date | null;
                                    fromDate: (date: Date | null, { type, mask }?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
                                    range: (source: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange;
                                    ranges: (ranges: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource | import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[]) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange[];
                                    getDateParts: (date: Date) => import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts;
                                    getDateFromParts: (parts: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts>) => Date;
                                    getDateFromParams: (year: number, month: number, day: number, hours: number, minutes: number, seconds: number, milliseconds: number) => Date;
                                    getPage: (config: import("v-calendar/dist/types/src/utils/page.js").PageConfig) => import("v-calendar/dist/types/src/utils/page.js").Page;
                                    getMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    getThisMonthParts: () => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    getPrevMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    getNextMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    getHourLabels: () => string[];
                                    getDayId: (date: Date) => string;
                                };
                                dayIndex: number;
                                day: number;
                                dayFromEnd: number;
                                weekday: number;
                                weekdayOrdinal: number;
                                weekdayOrdinalFromEnd: number;
                                week: number;
                                weekFromEnd: number;
                                weeknumber: number;
                                month: number;
                                year: number;
                                date: {
                                    toString: () => string;
                                    toDateString: () => string;
                                    toTimeString: () => string;
                                    toLocaleString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    toLocaleDateString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    toLocaleTimeString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    valueOf: () => number;
                                    getTime: () => number;
                                    getFullYear: () => number;
                                    getUTCFullYear: () => number;
                                    getMonth: () => number;
                                    getUTCMonth: () => number;
                                    getDate: () => number;
                                    getUTCDate: () => number;
                                    getDay: () => number;
                                    getUTCDay: () => number;
                                    getHours: () => number;
                                    getUTCHours: () => number;
                                    getMinutes: () => number;
                                    getUTCMinutes: () => number;
                                    getSeconds: () => number;
                                    getUTCSeconds: () => number;
                                    getMilliseconds: () => number;
                                    getUTCMilliseconds: () => number;
                                    getTimezoneOffset: () => number;
                                    setTime: (time: number) => number;
                                    setMilliseconds: (ms: number) => number;
                                    setUTCMilliseconds: (ms: number) => number;
                                    setSeconds: (sec: number, ms?: number | undefined) => number;
                                    setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                    setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                    setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                    setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                    setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                    setDate: (date: number) => number;
                                    setUTCDate: (date: number) => number;
                                    setMonth: (month: number, date?: number | undefined) => number;
                                    setUTCMonth: (month: number, date?: number | undefined) => number;
                                    setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                    setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                    toUTCString: () => string;
                                    toISOString: () => string;
                                    toJSON: (key?: any) => string;
                                    getVarDate: () => VarDate;
                                    [Symbol.toPrimitive]: {
                                        (hint: "default"): string;
                                        (hint: "string"): string;
                                        (hint: "number"): number;
                                        (hint: string): string | number;
                                    };
                                };
                            }[];
                            title: string;
                        }[];
                    } | null>;
                    lastPage: import("vue").ComputedRef<{
                        id: string;
                        day?: number | undefined;
                        week?: number | undefined;
                        month: number;
                        year: number;
                        view: import("v-calendar/dist/types/src/utils/page.js").PageView;
                        trimWeeks: boolean;
                        position: number;
                        row: number;
                        rowFromEnd: number;
                        column: number;
                        columnFromEnd: number;
                        showWeeknumbers: boolean;
                        showIsoWeeknumbers: boolean;
                        weeknumberPosition: string;
                        monthTitle: string;
                        weekTitle?: string | undefined;
                        dayTitle?: string | undefined;
                        title: string;
                        titlePosition: import("v-calendar/dist/types/src/utils/page.js").TitlePosition;
                        shortMonthLabel: string;
                        monthLabel: string;
                        shortYearLabel: string;
                        yearLabel: string;
                        monthComps: {
                            firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                            firstDayOfMonth: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            inLeapYear: boolean;
                            firstWeekday: number;
                            numDays: number;
                            numWeeks: number;
                            month: number;
                            year: number;
                            weeknumbers: number[];
                            isoWeeknumbers: number[];
                        };
                        prevMonthComps: {
                            firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                            firstDayOfMonth: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            inLeapYear: boolean;
                            firstWeekday: number;
                            numDays: number;
                            numWeeks: number;
                            month: number;
                            year: number;
                            weeknumbers: number[];
                            isoWeeknumbers: number[];
                        };
                        nextMonthComps: {
                            firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                            firstDayOfMonth: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            inLeapYear: boolean;
                            firstWeekday: number;
                            numDays: number;
                            numWeeks: number;
                            month: number;
                            year: number;
                            weeknumbers: number[];
                            isoWeeknumbers: number[];
                        };
                        days: {
                            id: string;
                            position: number;
                            label: string;
                            ariaLabel: string;
                            weekdayPosition: number;
                            weekdayPositionFromEnd: number;
                            weekPosition: number;
                            isoWeeknumber: number;
                            startDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            noonDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            endDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            isToday: boolean;
                            isFirstDay: boolean;
                            isLastDay: boolean;
                            isDisabled: boolean;
                            isFocusable: boolean;
                            isFocused: boolean;
                            inMonth: boolean;
                            inPrevMonth: boolean;
                            inNextMonth: boolean;
                            onTop: boolean;
                            onBottom: boolean;
                            onLeft: boolean;
                            onRight: boolean;
                            classes: (string | Object)[];
                            locale: {
                                id: any;
                                daysInWeek: number;
                                firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                                masks: any;
                                timezone: string | undefined;
                                hourLabels: string[];
                                dayNames: string[];
                                dayNamesShort: string[];
                                dayNamesShorter: string[];
                                dayNamesNarrow: string[];
                                monthNames: string[];
                                monthNamesShort: string[];
                                relativeTimeNames: {
                                    day?: string | undefined;
                                    week?: string | undefined;
                                    month?: string | undefined;
                                    year?: string | undefined;
                                    days?: string | undefined;
                                    weeks?: string | undefined;
                                    seconds?: string | undefined;
                                    minutes?: string | undefined;
                                    hours?: string | undefined;
                                    months?: string | undefined;
                                    years?: string | undefined;
                                    quarter?: string | undefined;
                                    quarters?: string | undefined;
                                    hour?: string | undefined;
                                    minute?: string | undefined;
                                    second?: string | undefined;
                                };
                                amPm: [string, string];
                                monthCache: {
                                    keys: string[];
                                    store: Record<string, import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts>;
                                    size: number;
                                    createKey: (...args: any[]) => string;
                                    createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    get: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                };
                                pageCache: {
                                    keys: string[];
                                    store: Record<string, import("v-calendar/dist/types/src/utils/page.js").CachedPage>;
                                    size: number;
                                    createKey: (...args: any[]) => string;
                                    createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                    get: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                    getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                };
                                formatDate: (date: Date, masks: string | string[]) => string;
                                parseDate: (dateString: string, mask: string | string[]) => Date;
                                toDate: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date;
                                toDateOrNull: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date | null;
                                fromDate: (date: Date | null, { type, mask }?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
                                range: (source: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange;
                                ranges: (ranges: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource | import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[]) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange[];
                                getDateParts: (date: Date) => import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts;
                                getDateFromParts: (parts: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts>) => Date;
                                getDateFromParams: (year: number, month: number, day: number, hours: number, minutes: number, seconds: number, milliseconds: number) => Date;
                                getPage: (config: import("v-calendar/dist/types/src/utils/page.js").PageConfig) => import("v-calendar/dist/types/src/utils/page.js").Page;
                                getMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getThisMonthParts: () => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getPrevMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getNextMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getHourLabels: () => string[];
                                getDayId: (date: Date) => string;
                            };
                            dayIndex: number;
                            day: number;
                            dayFromEnd: number;
                            weekday: number;
                            weekdayOrdinal: number;
                            weekdayOrdinalFromEnd: number;
                            week: number;
                            weekFromEnd: number;
                            weeknumber: number;
                            month: number;
                            year: number;
                            date: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                        }[];
                        weeks: {
                            id: string;
                            week: number;
                            weekPosition: number;
                            weeknumber: number;
                            isoWeeknumber: number;
                            weeknumberDisplay?: number | undefined;
                            days: {
                                id: string;
                                position: number;
                                label: string;
                                ariaLabel: string;
                                weekdayPosition: number;
                                weekdayPositionFromEnd: number;
                                weekPosition: number;
                                isoWeeknumber: number;
                                startDate: {
                                    toString: () => string;
                                    toDateString: () => string;
                                    toTimeString: () => string;
                                    toLocaleString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    toLocaleDateString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    toLocaleTimeString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    valueOf: () => number;
                                    getTime: () => number;
                                    getFullYear: () => number;
                                    getUTCFullYear: () => number;
                                    getMonth: () => number;
                                    getUTCMonth: () => number;
                                    getDate: () => number;
                                    getUTCDate: () => number;
                                    getDay: () => number;
                                    getUTCDay: () => number;
                                    getHours: () => number;
                                    getUTCHours: () => number;
                                    getMinutes: () => number;
                                    getUTCMinutes: () => number;
                                    getSeconds: () => number;
                                    getUTCSeconds: () => number;
                                    getMilliseconds: () => number;
                                    getUTCMilliseconds: () => number;
                                    getTimezoneOffset: () => number;
                                    setTime: (time: number) => number;
                                    setMilliseconds: (ms: number) => number;
                                    setUTCMilliseconds: (ms: number) => number;
                                    setSeconds: (sec: number, ms?: number | undefined) => number;
                                    setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                    setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                    setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                    setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                    setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                    setDate: (date: number) => number;
                                    setUTCDate: (date: number) => number;
                                    setMonth: (month: number, date?: number | undefined) => number;
                                    setUTCMonth: (month: number, date?: number | undefined) => number;
                                    setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                    setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                    toUTCString: () => string;
                                    toISOString: () => string;
                                    toJSON: (key?: any) => string;
                                    getVarDate: () => VarDate;
                                    [Symbol.toPrimitive]: {
                                        (hint: "default"): string;
                                        (hint: "string"): string;
                                        (hint: "number"): number;
                                        (hint: string): string | number;
                                    };
                                };
                                noonDate: {
                                    toString: () => string;
                                    toDateString: () => string;
                                    toTimeString: () => string;
                                    toLocaleString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    toLocaleDateString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    toLocaleTimeString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    valueOf: () => number;
                                    getTime: () => number;
                                    getFullYear: () => number;
                                    getUTCFullYear: () => number;
                                    getMonth: () => number;
                                    getUTCMonth: () => number;
                                    getDate: () => number;
                                    getUTCDate: () => number;
                                    getDay: () => number;
                                    getUTCDay: () => number;
                                    getHours: () => number;
                                    getUTCHours: () => number;
                                    getMinutes: () => number;
                                    getUTCMinutes: () => number;
                                    getSeconds: () => number;
                                    getUTCSeconds: () => number;
                                    getMilliseconds: () => number;
                                    getUTCMilliseconds: () => number;
                                    getTimezoneOffset: () => number;
                                    setTime: (time: number) => number;
                                    setMilliseconds: (ms: number) => number;
                                    setUTCMilliseconds: (ms: number) => number;
                                    setSeconds: (sec: number, ms?: number | undefined) => number;
                                    setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                    setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                    setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                    setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                    setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                    setDate: (date: number) => number;
                                    setUTCDate: (date: number) => number;
                                    setMonth: (month: number, date?: number | undefined) => number;
                                    setUTCMonth: (month: number, date?: number | undefined) => number;
                                    setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                    setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                    toUTCString: () => string;
                                    toISOString: () => string;
                                    toJSON: (key?: any) => string;
                                    getVarDate: () => VarDate;
                                    [Symbol.toPrimitive]: {
                                        (hint: "default"): string;
                                        (hint: "string"): string;
                                        (hint: "number"): number;
                                        (hint: string): string | number;
                                    };
                                };
                                endDate: {
                                    toString: () => string;
                                    toDateString: () => string;
                                    toTimeString: () => string;
                                    toLocaleString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    toLocaleDateString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    toLocaleTimeString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    valueOf: () => number;
                                    getTime: () => number;
                                    getFullYear: () => number;
                                    getUTCFullYear: () => number;
                                    getMonth: () => number;
                                    getUTCMonth: () => number;
                                    getDate: () => number;
                                    getUTCDate: () => number;
                                    getDay: () => number;
                                    getUTCDay: () => number;
                                    getHours: () => number;
                                    getUTCHours: () => number;
                                    getMinutes: () => number;
                                    getUTCMinutes: () => number;
                                    getSeconds: () => number;
                                    getUTCSeconds: () => number;
                                    getMilliseconds: () => number;
                                    getUTCMilliseconds: () => number;
                                    getTimezoneOffset: () => number;
                                    setTime: (time: number) => number;
                                    setMilliseconds: (ms: number) => number;
                                    setUTCMilliseconds: (ms: number) => number;
                                    setSeconds: (sec: number, ms?: number | undefined) => number;
                                    setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                    setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                    setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                    setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                    setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                    setDate: (date: number) => number;
                                    setUTCDate: (date: number) => number;
                                    setMonth: (month: number, date?: number | undefined) => number;
                                    setUTCMonth: (month: number, date?: number | undefined) => number;
                                    setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                    setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                    toUTCString: () => string;
                                    toISOString: () => string;
                                    toJSON: (key?: any) => string;
                                    getVarDate: () => VarDate;
                                    [Symbol.toPrimitive]: {
                                        (hint: "default"): string;
                                        (hint: "string"): string;
                                        (hint: "number"): number;
                                        (hint: string): string | number;
                                    };
                                };
                                isToday: boolean;
                                isFirstDay: boolean;
                                isLastDay: boolean;
                                isDisabled: boolean;
                                isFocusable: boolean;
                                isFocused: boolean;
                                inMonth: boolean;
                                inPrevMonth: boolean;
                                inNextMonth: boolean;
                                onTop: boolean;
                                onBottom: boolean;
                                onLeft: boolean;
                                onRight: boolean;
                                classes: (string | Object)[];
                                locale: {
                                    id: any;
                                    daysInWeek: number;
                                    firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                                    masks: any;
                                    timezone: string | undefined;
                                    hourLabels: string[];
                                    dayNames: string[];
                                    dayNamesShort: string[];
                                    dayNamesShorter: string[];
                                    dayNamesNarrow: string[];
                                    monthNames: string[];
                                    monthNamesShort: string[];
                                    relativeTimeNames: {
                                        day?: string | undefined;
                                        week?: string | undefined;
                                        month?: string | undefined;
                                        year?: string | undefined;
                                        days?: string | undefined;
                                        weeks?: string | undefined;
                                        seconds?: string | undefined;
                                        minutes?: string | undefined;
                                        hours?: string | undefined;
                                        months?: string | undefined;
                                        years?: string | undefined;
                                        quarter?: string | undefined;
                                        quarters?: string | undefined;
                                        hour?: string | undefined;
                                        minute?: string | undefined;
                                        second?: string | undefined;
                                    };
                                    amPm: [string, string];
                                    monthCache: {
                                        keys: string[];
                                        store: Record<string, import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts>;
                                        size: number;
                                        createKey: (...args: any[]) => string;
                                        createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                        get: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                        getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    };
                                    pageCache: {
                                        keys: string[];
                                        store: Record<string, import("v-calendar/dist/types/src/utils/page.js").CachedPage>;
                                        size: number;
                                        createKey: (...args: any[]) => string;
                                        createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                        get: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                        getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                    };
                                    formatDate: (date: Date, masks: string | string[]) => string;
                                    parseDate: (dateString: string, mask: string | string[]) => Date;
                                    toDate: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date;
                                    toDateOrNull: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date | null;
                                    fromDate: (date: Date | null, { type, mask }?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
                                    range: (source: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange;
                                    ranges: (ranges: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource | import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[]) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange[];
                                    getDateParts: (date: Date) => import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts;
                                    getDateFromParts: (parts: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts>) => Date;
                                    getDateFromParams: (year: number, month: number, day: number, hours: number, minutes: number, seconds: number, milliseconds: number) => Date;
                                    getPage: (config: import("v-calendar/dist/types/src/utils/page.js").PageConfig) => import("v-calendar/dist/types/src/utils/page.js").Page;
                                    getMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    getThisMonthParts: () => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    getPrevMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    getNextMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    getHourLabels: () => string[];
                                    getDayId: (date: Date) => string;
                                };
                                dayIndex: number;
                                day: number;
                                dayFromEnd: number;
                                weekday: number;
                                weekdayOrdinal: number;
                                weekdayOrdinalFromEnd: number;
                                week: number;
                                weekFromEnd: number;
                                weeknumber: number;
                                month: number;
                                year: number;
                                date: {
                                    toString: () => string;
                                    toDateString: () => string;
                                    toTimeString: () => string;
                                    toLocaleString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    toLocaleDateString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    toLocaleTimeString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    valueOf: () => number;
                                    getTime: () => number;
                                    getFullYear: () => number;
                                    getUTCFullYear: () => number;
                                    getMonth: () => number;
                                    getUTCMonth: () => number;
                                    getDate: () => number;
                                    getUTCDate: () => number;
                                    getDay: () => number;
                                    getUTCDay: () => number;
                                    getHours: () => number;
                                    getUTCHours: () => number;
                                    getMinutes: () => number;
                                    getUTCMinutes: () => number;
                                    getSeconds: () => number;
                                    getUTCSeconds: () => number;
                                    getMilliseconds: () => number;
                                    getUTCMilliseconds: () => number;
                                    getTimezoneOffset: () => number;
                                    setTime: (time: number) => number;
                                    setMilliseconds: (ms: number) => number;
                                    setUTCMilliseconds: (ms: number) => number;
                                    setSeconds: (sec: number, ms?: number | undefined) => number;
                                    setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                    setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                    setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                    setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                    setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                    setDate: (date: number) => number;
                                    setUTCDate: (date: number) => number;
                                    setMonth: (month: number, date?: number | undefined) => number;
                                    setUTCMonth: (month: number, date?: number | undefined) => number;
                                    setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                    setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                    toUTCString: () => string;
                                    toISOString: () => string;
                                    toJSON: (key?: any) => string;
                                    getVarDate: () => VarDate;
                                    [Symbol.toPrimitive]: {
                                        (hint: "default"): string;
                                        (hint: "string"): string;
                                        (hint: "number"): number;
                                        (hint: string): string | number;
                                    };
                                };
                            }[];
                            title: string;
                        }[];
                        weekdays: {
                            weekday: number;
                            label: string;
                        }[];
                        viewDays: {
                            id: string;
                            position: number;
                            label: string;
                            ariaLabel: string;
                            weekdayPosition: number;
                            weekdayPositionFromEnd: number;
                            weekPosition: number;
                            isoWeeknumber: number;
                            startDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            noonDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            endDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            isToday: boolean;
                            isFirstDay: boolean;
                            isLastDay: boolean;
                            isDisabled: boolean;
                            isFocusable: boolean;
                            isFocused: boolean;
                            inMonth: boolean;
                            inPrevMonth: boolean;
                            inNextMonth: boolean;
                            onTop: boolean;
                            onBottom: boolean;
                            onLeft: boolean;
                            onRight: boolean;
                            classes: (string | Object)[];
                            locale: {
                                id: any;
                                daysInWeek: number;
                                firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                                masks: any;
                                timezone: string | undefined;
                                hourLabels: string[];
                                dayNames: string[];
                                dayNamesShort: string[];
                                dayNamesShorter: string[];
                                dayNamesNarrow: string[];
                                monthNames: string[];
                                monthNamesShort: string[];
                                relativeTimeNames: {
                                    day?: string | undefined;
                                    week?: string | undefined;
                                    month?: string | undefined;
                                    year?: string | undefined;
                                    days?: string | undefined;
                                    weeks?: string | undefined;
                                    seconds?: string | undefined;
                                    minutes?: string | undefined;
                                    hours?: string | undefined;
                                    months?: string | undefined;
                                    years?: string | undefined;
                                    quarter?: string | undefined;
                                    quarters?: string | undefined;
                                    hour?: string | undefined;
                                    minute?: string | undefined;
                                    second?: string | undefined;
                                };
                                amPm: [string, string];
                                monthCache: {
                                    keys: string[];
                                    store: Record<string, import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts>;
                                    size: number;
                                    createKey: (...args: any[]) => string;
                                    createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    get: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                };
                                pageCache: {
                                    keys: string[];
                                    store: Record<string, import("v-calendar/dist/types/src/utils/page.js").CachedPage>;
                                    size: number;
                                    createKey: (...args: any[]) => string;
                                    createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                    get: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                    getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                };
                                formatDate: (date: Date, masks: string | string[]) => string;
                                parseDate: (dateString: string, mask: string | string[]) => Date;
                                toDate: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date;
                                toDateOrNull: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date | null;
                                fromDate: (date: Date | null, { type, mask }?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
                                range: (source: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange;
                                ranges: (ranges: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource | import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[]) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange[];
                                getDateParts: (date: Date) => import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts;
                                getDateFromParts: (parts: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts>) => Date;
                                getDateFromParams: (year: number, month: number, day: number, hours: number, minutes: number, seconds: number, milliseconds: number) => Date;
                                getPage: (config: import("v-calendar/dist/types/src/utils/page.js").PageConfig) => import("v-calendar/dist/types/src/utils/page.js").Page;
                                getMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getThisMonthParts: () => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getPrevMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getNextMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getHourLabels: () => string[];
                                getDayId: (date: Date) => string;
                            };
                            dayIndex: number;
                            day: number;
                            dayFromEnd: number;
                            weekday: number;
                            weekdayOrdinal: number;
                            weekdayOrdinalFromEnd: number;
                            week: number;
                            weekFromEnd: number;
                            weeknumber: number;
                            month: number;
                            year: number;
                            date: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                        }[];
                        viewWeeks: {
                            id: string;
                            week: number;
                            weekPosition: number;
                            weeknumber: number;
                            isoWeeknumber: number;
                            weeknumberDisplay?: number | undefined;
                            days: {
                                id: string;
                                position: number;
                                label: string;
                                ariaLabel: string;
                                weekdayPosition: number;
                                weekdayPositionFromEnd: number;
                                weekPosition: number;
                                isoWeeknumber: number;
                                startDate: {
                                    toString: () => string;
                                    toDateString: () => string;
                                    toTimeString: () => string;
                                    toLocaleString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    toLocaleDateString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    toLocaleTimeString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    valueOf: () => number;
                                    getTime: () => number;
                                    getFullYear: () => number;
                                    getUTCFullYear: () => number;
                                    getMonth: () => number;
                                    getUTCMonth: () => number;
                                    getDate: () => number;
                                    getUTCDate: () => number;
                                    getDay: () => number;
                                    getUTCDay: () => number;
                                    getHours: () => number;
                                    getUTCHours: () => number;
                                    getMinutes: () => number;
                                    getUTCMinutes: () => number;
                                    getSeconds: () => number;
                                    getUTCSeconds: () => number;
                                    getMilliseconds: () => number;
                                    getUTCMilliseconds: () => number;
                                    getTimezoneOffset: () => number;
                                    setTime: (time: number) => number;
                                    setMilliseconds: (ms: number) => number;
                                    setUTCMilliseconds: (ms: number) => number;
                                    setSeconds: (sec: number, ms?: number | undefined) => number;
                                    setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                    setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                    setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                    setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                    setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                    setDate: (date: number) => number;
                                    setUTCDate: (date: number) => number;
                                    setMonth: (month: number, date?: number | undefined) => number;
                                    setUTCMonth: (month: number, date?: number | undefined) => number;
                                    setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                    setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                    toUTCString: () => string;
                                    toISOString: () => string;
                                    toJSON: (key?: any) => string;
                                    getVarDate: () => VarDate;
                                    [Symbol.toPrimitive]: {
                                        (hint: "default"): string;
                                        (hint: "string"): string;
                                        (hint: "number"): number;
                                        (hint: string): string | number;
                                    };
                                };
                                noonDate: {
                                    toString: () => string;
                                    toDateString: () => string;
                                    toTimeString: () => string;
                                    toLocaleString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    toLocaleDateString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    toLocaleTimeString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    valueOf: () => number;
                                    getTime: () => number;
                                    getFullYear: () => number;
                                    getUTCFullYear: () => number;
                                    getMonth: () => number;
                                    getUTCMonth: () => number;
                                    getDate: () => number;
                                    getUTCDate: () => number;
                                    getDay: () => number;
                                    getUTCDay: () => number;
                                    getHours: () => number;
                                    getUTCHours: () => number;
                                    getMinutes: () => number;
                                    getUTCMinutes: () => number;
                                    getSeconds: () => number;
                                    getUTCSeconds: () => number;
                                    getMilliseconds: () => number;
                                    getUTCMilliseconds: () => number;
                                    getTimezoneOffset: () => number;
                                    setTime: (time: number) => number;
                                    setMilliseconds: (ms: number) => number;
                                    setUTCMilliseconds: (ms: number) => number;
                                    setSeconds: (sec: number, ms?: number | undefined) => number;
                                    setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                    setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                    setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                    setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                    setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                    setDate: (date: number) => number;
                                    setUTCDate: (date: number) => number;
                                    setMonth: (month: number, date?: number | undefined) => number;
                                    setUTCMonth: (month: number, date?: number | undefined) => number;
                                    setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                    setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                    toUTCString: () => string;
                                    toISOString: () => string;
                                    toJSON: (key?: any) => string;
                                    getVarDate: () => VarDate;
                                    [Symbol.toPrimitive]: {
                                        (hint: "default"): string;
                                        (hint: "string"): string;
                                        (hint: "number"): number;
                                        (hint: string): string | number;
                                    };
                                };
                                endDate: {
                                    toString: () => string;
                                    toDateString: () => string;
                                    toTimeString: () => string;
                                    toLocaleString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    toLocaleDateString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    toLocaleTimeString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    valueOf: () => number;
                                    getTime: () => number;
                                    getFullYear: () => number;
                                    getUTCFullYear: () => number;
                                    getMonth: () => number;
                                    getUTCMonth: () => number;
                                    getDate: () => number;
                                    getUTCDate: () => number;
                                    getDay: () => number;
                                    getUTCDay: () => number;
                                    getHours: () => number;
                                    getUTCHours: () => number;
                                    getMinutes: () => number;
                                    getUTCMinutes: () => number;
                                    getSeconds: () => number;
                                    getUTCSeconds: () => number;
                                    getMilliseconds: () => number;
                                    getUTCMilliseconds: () => number;
                                    getTimezoneOffset: () => number;
                                    setTime: (time: number) => number;
                                    setMilliseconds: (ms: number) => number;
                                    setUTCMilliseconds: (ms: number) => number;
                                    setSeconds: (sec: number, ms?: number | undefined) => number;
                                    setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                    setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                    setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                    setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                    setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                    setDate: (date: number) => number;
                                    setUTCDate: (date: number) => number;
                                    setMonth: (month: number, date?: number | undefined) => number;
                                    setUTCMonth: (month: number, date?: number | undefined) => number;
                                    setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                    setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                    toUTCString: () => string;
                                    toISOString: () => string;
                                    toJSON: (key?: any) => string;
                                    getVarDate: () => VarDate;
                                    [Symbol.toPrimitive]: {
                                        (hint: "default"): string;
                                        (hint: "string"): string;
                                        (hint: "number"): number;
                                        (hint: string): string | number;
                                    };
                                };
                                isToday: boolean;
                                isFirstDay: boolean;
                                isLastDay: boolean;
                                isDisabled: boolean;
                                isFocusable: boolean;
                                isFocused: boolean;
                                inMonth: boolean;
                                inPrevMonth: boolean;
                                inNextMonth: boolean;
                                onTop: boolean;
                                onBottom: boolean;
                                onLeft: boolean;
                                onRight: boolean;
                                classes: (string | Object)[];
                                locale: {
                                    id: any;
                                    daysInWeek: number;
                                    firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                                    masks: any;
                                    timezone: string | undefined;
                                    hourLabels: string[];
                                    dayNames: string[];
                                    dayNamesShort: string[];
                                    dayNamesShorter: string[];
                                    dayNamesNarrow: string[];
                                    monthNames: string[];
                                    monthNamesShort: string[];
                                    relativeTimeNames: {
                                        day?: string | undefined;
                                        week?: string | undefined;
                                        month?: string | undefined;
                                        year?: string | undefined;
                                        days?: string | undefined;
                                        weeks?: string | undefined;
                                        seconds?: string | undefined;
                                        minutes?: string | undefined;
                                        hours?: string | undefined;
                                        months?: string | undefined;
                                        years?: string | undefined;
                                        quarter?: string | undefined;
                                        quarters?: string | undefined;
                                        hour?: string | undefined;
                                        minute?: string | undefined;
                                        second?: string | undefined;
                                    };
                                    amPm: [string, string];
                                    monthCache: {
                                        keys: string[];
                                        store: Record<string, import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts>;
                                        size: number;
                                        createKey: (...args: any[]) => string;
                                        createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                        get: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                        getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    };
                                    pageCache: {
                                        keys: string[];
                                        store: Record<string, import("v-calendar/dist/types/src/utils/page.js").CachedPage>;
                                        size: number;
                                        createKey: (...args: any[]) => string;
                                        createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                        get: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                        getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                    };
                                    formatDate: (date: Date, masks: string | string[]) => string;
                                    parseDate: (dateString: string, mask: string | string[]) => Date;
                                    toDate: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date;
                                    toDateOrNull: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date | null;
                                    fromDate: (date: Date | null, { type, mask }?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
                                    range: (source: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange;
                                    ranges: (ranges: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource | import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[]) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange[];
                                    getDateParts: (date: Date) => import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts;
                                    getDateFromParts: (parts: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts>) => Date;
                                    getDateFromParams: (year: number, month: number, day: number, hours: number, minutes: number, seconds: number, milliseconds: number) => Date;
                                    getPage: (config: import("v-calendar/dist/types/src/utils/page.js").PageConfig) => import("v-calendar/dist/types/src/utils/page.js").Page;
                                    getMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    getThisMonthParts: () => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    getPrevMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    getNextMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    getHourLabels: () => string[];
                                    getDayId: (date: Date) => string;
                                };
                                dayIndex: number;
                                day: number;
                                dayFromEnd: number;
                                weekday: number;
                                weekdayOrdinal: number;
                                weekdayOrdinalFromEnd: number;
                                week: number;
                                weekFromEnd: number;
                                weeknumber: number;
                                month: number;
                                year: number;
                                date: {
                                    toString: () => string;
                                    toDateString: () => string;
                                    toTimeString: () => string;
                                    toLocaleString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    toLocaleDateString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    toLocaleTimeString: {
                                        (): string;
                                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    };
                                    valueOf: () => number;
                                    getTime: () => number;
                                    getFullYear: () => number;
                                    getUTCFullYear: () => number;
                                    getMonth: () => number;
                                    getUTCMonth: () => number;
                                    getDate: () => number;
                                    getUTCDate: () => number;
                                    getDay: () => number;
                                    getUTCDay: () => number;
                                    getHours: () => number;
                                    getUTCHours: () => number;
                                    getMinutes: () => number;
                                    getUTCMinutes: () => number;
                                    getSeconds: () => number;
                                    getUTCSeconds: () => number;
                                    getMilliseconds: () => number;
                                    getUTCMilliseconds: () => number;
                                    getTimezoneOffset: () => number;
                                    setTime: (time: number) => number;
                                    setMilliseconds: (ms: number) => number;
                                    setUTCMilliseconds: (ms: number) => number;
                                    setSeconds: (sec: number, ms?: number | undefined) => number;
                                    setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                    setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                    setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                    setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                    setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                    setDate: (date: number) => number;
                                    setUTCDate: (date: number) => number;
                                    setMonth: (month: number, date?: number | undefined) => number;
                                    setUTCMonth: (month: number, date?: number | undefined) => number;
                                    setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                    setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                    toUTCString: () => string;
                                    toISOString: () => string;
                                    toJSON: (key?: any) => string;
                                    getVarDate: () => VarDate;
                                    [Symbol.toPrimitive]: {
                                        (hint: "default"): string;
                                        (hint: "string"): string;
                                        (hint: "number"): number;
                                        (hint: string): string | number;
                                    };
                                };
                            }[];
                            title: string;
                        }[];
                    } | null>;
                    canMovePrev: import("vue").ComputedRef<boolean>;
                    canMoveNext: import("vue").ComputedRef<boolean>;
                    minPage: import("vue").ComputedRef<import("v-calendar/dist/types/src/utils/page.js").PageAddress | null>;
                    maxPage: import("vue").ComputedRef<import("v-calendar/dist/types/src/utils/page.js").PageAddress | null>;
                    isMonthly: import("vue").ComputedRef<boolean>;
                    isWeekly: import("vue").ComputedRef<boolean>;
                    isDaily: import("vue").ComputedRef<boolean>;
                    navVisibility: import("vue").ComputedRef<import("v-calendar/dist/types/src/utils/popovers.js").PopoverVisibility>;
                    showWeeknumbers: import("vue").ComputedRef<boolean>;
                    showIsoWeeknumbers: import("vue").ComputedRef<boolean>;
                    getDateAddress: (date: import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource) => import("v-calendar/dist/types/src/utils/page.js").PageAddress;
                    canMove: (target: import("v-calendar/dist/types/src/use/calendar.js").MoveTarget, opts?: Partial<import("v-calendar/dist/types/src/use/calendar.js").MoveOptions>) => boolean;
                    canMoveBy: (pages: number, opts?: Partial<import("v-calendar/dist/types/src/use/calendar.js").MoveOptions>) => boolean;
                    move: (target: import("v-calendar/dist/types/src/use/calendar.js").MoveTarget, opts?: Partial<import("v-calendar/dist/types/src/use/calendar.js").MoveOptions>) => Promise<boolean>;
                    moveBy: (pages: number, opts?: Partial<import("v-calendar/dist/types/src/use/calendar.js").MoveOptions>) => Promise<boolean>;
                    movePrev: () => Promise<boolean>;
                    moveNext: () => Promise<boolean>;
                    onTransitionBeforeEnter: () => void;
                    onTransitionAfterEnter: () => void;
                    tryFocusDate: (date: Date) => boolean;
                    focusDate: (date: Date, opts?: Partial<import("v-calendar/dist/types/src/use/calendar.js").MoveOptions>) => Promise<boolean>;
                    onKeydown: (event: KeyboardEvent) => void;
                    onDayKeydown: (day: import("v-calendar/dist/types/src/utils/page.js").CalendarDay, event: KeyboardEvent) => void;
                    onDayClick: (day: import("v-calendar/dist/types/src/utils/page.js").CalendarDay, event: MouseEvent) => void;
                    onDayMouseenter: (day: import("v-calendar/dist/types/src/utils/page.js").CalendarDay, event: MouseEvent) => void;
                    onDayMouseleave: (day: import("v-calendar/dist/types/src/utils/page.js").CalendarDay, event: MouseEvent) => void;
                    onDayFocusin: (day: import("v-calendar/dist/types/src/utils/page.js").CalendarDay, event: FocusEvent | null) => void;
                    onDayFocusout: (day: import("v-calendar/dist/types/src/utils/page.js").CalendarDay, event: FocusEvent) => void;
                    onWeeknumberClick: (week: import("v-calendar/dist/types/src/utils/page.js").CalendarWeek, event: MouseEvent) => void;
                }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, {
                    view: import("v-calendar/dist/types/src/use/calendar.js").CalendarView;
                    trimWeeks: boolean;
                    titlePosition: import("v-calendar/dist/types/src/utils/page.js").TitlePosition;
                    color: string;
                    isDark: boolean | "system" | import("vue-screen-utils").DarkModeClassConfig;
                    navVisibility: import("v-calendar/dist/types/src/utils/popovers.js").PopoverVisibility;
                    rows: number;
                    columns: number;
                    expanded: boolean;
                    borderless: boolean;
                    transparent: boolean;
                    initialPagePosition: number;
                    disablePageSwipe: boolean;
                }, {}, string> & {
                    beforeCreate?: ((() => void) | (() => void)[]) | undefined;
                    created?: ((() => void) | (() => void)[]) | undefined;
                    beforeMount?: ((() => void) | (() => void)[]) | undefined;
                    mounted?: ((() => void) | (() => void)[]) | undefined;
                    beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
                    updated?: ((() => void) | (() => void)[]) | undefined;
                    activated?: ((() => void) | (() => void)[]) | undefined;
                    deactivated?: ((() => void) | (() => void)[]) | undefined;
                    beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
                    beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
                    destroyed?: ((() => void) | (() => void)[]) | undefined;
                    unmounted?: ((() => void) | (() => void)[]) | undefined;
                    renderTracked?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
                    renderTriggered?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
                    errorCaptured?: (((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null, info: string) => boolean | void)[]) | undefined;
                };
                $forceUpdate: () => void;
                $nextTick: typeof import("vue").nextTick;
                $watch<T extends string | ((...args: any) => any)>(source: T, cb: T extends (...args: any) => infer R ? (args_0: R, args_1: R) => any : (...args: any) => any, options?: import("vue").WatchOptions<boolean> | undefined): import("vue").WatchStopHandle;
            } & Readonly<import("vue").ExtractPropTypes<{
                view: {
                    type: import("vue").PropType<import("v-calendar/dist/types/src/use/calendar.js").CalendarView>;
                    default: string;
                    validator(value: string): boolean;
                };
                rows: {
                    type: NumberConstructor;
                    default: number;
                };
                columns: {
                    type: NumberConstructor;
                    default: number;
                };
                step: NumberConstructor;
                titlePosition: {
                    type: import("vue").PropType<import("v-calendar/dist/types/src/utils/page.js").TitlePosition>;
                    default: () => import("v-calendar/dist/types/src/utils/page.js").TitlePosition;
                };
                navVisibility: {
                    type: import("vue").PropType<import("v-calendar/dist/types/src/utils/popovers.js").PopoverVisibility>;
                    default: () => import("v-calendar/dist/types/src/utils/popovers.js").PopoverVisibility;
                };
                showWeeknumbers: (BooleanConstructor | StringConstructor)[];
                showIsoWeeknumbers: (BooleanConstructor | StringConstructor)[];
                expanded: BooleanConstructor;
                borderless: BooleanConstructor;
                transparent: BooleanConstructor;
                initialPage: import("vue").PropType<import("v-calendar/dist/types/src/utils/page.js").PageAddress>;
                initialPagePosition: {
                    type: NumberConstructor;
                    default: number;
                };
                minPage: import("vue").PropType<import("v-calendar/dist/types/src/utils/page.js").PageAddress>;
                maxPage: import("vue").PropType<import("v-calendar/dist/types/src/utils/page.js").PageAddress>;
                transition: import("vue").PropType<import("v-calendar/dist/types/src/use/calendar.js").MoveTransition>;
                attributes: import("vue").PropType<Partial<{
                    key: string | number;
                    hashcode: string;
                    content: import("v-calendar/dist/types/src/utils/glyph.js").ContentConfig;
                    highlight: import("v-calendar/dist/types/src/utils/glyph.js").HighlightConfig;
                    dot: import("v-calendar/dist/types/src/utils/glyph.js").DotConfig;
                    bar: import("v-calendar/dist/types/src/utils/glyph.js").BarConfig;
                    popover: Partial<{
                        label: string;
                        visibility: import("v-calendar/dist/types/src/utils/popovers.js").PopoverVisibility;
                        placement: import("@popperjs/core/index.js").Placement;
                        hideIndicator: boolean;
                        isInteractive: boolean;
                    }>;
                    event: Partial<{
                        label: string;
                    }>;
                    dates: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[];
                    customData: any;
                    order: number;
                    pinPage: boolean;
                }>[]>;
                trimWeeks: BooleanConstructor;
                disablePageSwipe: BooleanConstructor;
                color: {
                    type: StringConstructor;
                    default: () => any;
                };
                isDark: {
                    type: import("vue").PropType<boolean | "system" | import("vue-screen-utils").DarkModeClassConfig>;
                    default: () => any;
                };
                firstDayOfWeek: import("vue").PropType<import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek>;
                masks: ObjectConstructor;
                locale: import("vue").PropType<string | import("v-calendar/dist/types/src/utils/locale.js").default | Record<string, any>>;
                timezone: StringConstructor;
                minDate: null;
                maxDate: null;
                disabledDates: null;
            }>> & import("vue").ShallowUnwrapRef<{
                emit: ((event: string, ...args: any[]) => void) | ((event: string, ...args: any[]) => void);
                containerRef: import("vue").Ref<{
                    querySelector: {
                        <K extends keyof HTMLElementTagNameMap>(selectors: K): HTMLElementTagNameMap[K] | null;
                        <K_1 extends keyof SVGElementTagNameMap>(selectors: K_1): SVGElementTagNameMap[K_1] | null;
                        <E extends Element = Element>(selectors: string): E | null;
                    };
                    addEventListener: Function;
                    removeEventListener: Function;
                    dispatchEvent: Function;
                } | null>;
                focusedDay: import("vue").Ref<{
                    id: string;
                    position: number;
                    label: string;
                    ariaLabel: string;
                    weekdayPosition: number;
                    weekdayPositionFromEnd: number;
                    weekPosition: number;
                    isoWeeknumber: number;
                    startDate: {
                        toString: () => string;
                        toDateString: () => string;
                        toTimeString: () => string;
                        toLocaleString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleDateString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleTimeString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        valueOf: () => number;
                        getTime: () => number;
                        getFullYear: () => number;
                        getUTCFullYear: () => number;
                        getMonth: () => number;
                        getUTCMonth: () => number;
                        getDate: () => number;
                        getUTCDate: () => number;
                        getDay: () => number;
                        getUTCDay: () => number;
                        getHours: () => number;
                        getUTCHours: () => number;
                        getMinutes: () => number;
                        getUTCMinutes: () => number;
                        getSeconds: () => number;
                        getUTCSeconds: () => number;
                        getMilliseconds: () => number;
                        getUTCMilliseconds: () => number;
                        getTimezoneOffset: () => number;
                        setTime: (time: number) => number;
                        setMilliseconds: (ms: number) => number;
                        setUTCMilliseconds: (ms: number) => number;
                        setSeconds: (sec: number, ms?: number | undefined) => number;
                        setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                        setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setDate: (date: number) => number;
                        setUTCDate: (date: number) => number;
                        setMonth: (month: number, date?: number | undefined) => number;
                        setUTCMonth: (month: number, date?: number | undefined) => number;
                        setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        toUTCString: () => string;
                        toISOString: () => string;
                        toJSON: (key?: any) => string;
                        getVarDate: () => VarDate;
                        [Symbol.toPrimitive]: {
                            (hint: "default"): string;
                            (hint: "string"): string;
                            (hint: "number"): number;
                            (hint: string): string | number;
                        };
                    };
                    noonDate: {
                        toString: () => string;
                        toDateString: () => string;
                        toTimeString: () => string;
                        toLocaleString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleDateString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleTimeString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        valueOf: () => number;
                        getTime: () => number;
                        getFullYear: () => number;
                        getUTCFullYear: () => number;
                        getMonth: () => number;
                        getUTCMonth: () => number;
                        getDate: () => number;
                        getUTCDate: () => number;
                        getDay: () => number;
                        getUTCDay: () => number;
                        getHours: () => number;
                        getUTCHours: () => number;
                        getMinutes: () => number;
                        getUTCMinutes: () => number;
                        getSeconds: () => number;
                        getUTCSeconds: () => number;
                        getMilliseconds: () => number;
                        getUTCMilliseconds: () => number;
                        getTimezoneOffset: () => number;
                        setTime: (time: number) => number;
                        setMilliseconds: (ms: number) => number;
                        setUTCMilliseconds: (ms: number) => number;
                        setSeconds: (sec: number, ms?: number | undefined) => number;
                        setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                        setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setDate: (date: number) => number;
                        setUTCDate: (date: number) => number;
                        setMonth: (month: number, date?: number | undefined) => number;
                        setUTCMonth: (month: number, date?: number | undefined) => number;
                        setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        toUTCString: () => string;
                        toISOString: () => string;
                        toJSON: (key?: any) => string;
                        getVarDate: () => VarDate;
                        [Symbol.toPrimitive]: {
                            (hint: "default"): string;
                            (hint: "string"): string;
                            (hint: "number"): number;
                            (hint: string): string | number;
                        };
                    };
                    endDate: {
                        toString: () => string;
                        toDateString: () => string;
                        toTimeString: () => string;
                        toLocaleString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleDateString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleTimeString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        valueOf: () => number;
                        getTime: () => number;
                        getFullYear: () => number;
                        getUTCFullYear: () => number;
                        getMonth: () => number;
                        getUTCMonth: () => number;
                        getDate: () => number;
                        getUTCDate: () => number;
                        getDay: () => number;
                        getUTCDay: () => number;
                        getHours: () => number;
                        getUTCHours: () => number;
                        getMinutes: () => number;
                        getUTCMinutes: () => number;
                        getSeconds: () => number;
                        getUTCSeconds: () => number;
                        getMilliseconds: () => number;
                        getUTCMilliseconds: () => number;
                        getTimezoneOffset: () => number;
                        setTime: (time: number) => number;
                        setMilliseconds: (ms: number) => number;
                        setUTCMilliseconds: (ms: number) => number;
                        setSeconds: (sec: number, ms?: number | undefined) => number;
                        setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                        setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setDate: (date: number) => number;
                        setUTCDate: (date: number) => number;
                        setMonth: (month: number, date?: number | undefined) => number;
                        setUTCMonth: (month: number, date?: number | undefined) => number;
                        setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        toUTCString: () => string;
                        toISOString: () => string;
                        toJSON: (key?: any) => string;
                        getVarDate: () => VarDate;
                        [Symbol.toPrimitive]: {
                            (hint: "default"): string;
                            (hint: "string"): string;
                            (hint: "number"): number;
                            (hint: string): string | number;
                        };
                    };
                    isToday: boolean;
                    isFirstDay: boolean;
                    isLastDay: boolean;
                    isDisabled: boolean;
                    isFocusable: boolean;
                    isFocused: boolean;
                    inMonth: boolean;
                    inPrevMonth: boolean;
                    inNextMonth: boolean;
                    onTop: boolean;
                    onBottom: boolean;
                    onLeft: boolean;
                    onRight: boolean;
                    classes: (string | Object)[];
                    locale: {
                        id: any;
                        daysInWeek: number;
                        firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                        masks: any;
                        timezone: string | undefined;
                        hourLabels: string[];
                        dayNames: string[];
                        dayNamesShort: string[];
                        dayNamesShorter: string[];
                        dayNamesNarrow: string[];
                        monthNames: string[];
                        monthNamesShort: string[];
                        relativeTimeNames: {
                            day?: string | undefined;
                            week?: string | undefined;
                            month?: string | undefined;
                            year?: string | undefined;
                            days?: string | undefined;
                            weeks?: string | undefined;
                            seconds?: string | undefined;
                            minutes?: string | undefined;
                            hours?: string | undefined;
                            months?: string | undefined;
                            years?: string | undefined;
                            quarter?: string | undefined;
                            quarters?: string | undefined;
                            hour?: string | undefined;
                            minute?: string | undefined;
                            second?: string | undefined;
                        };
                        amPm: [string, string];
                        monthCache: {
                            keys: string[];
                            store: Record<string, import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts>;
                            size: number;
                            createKey: (...args: any[]) => string;
                            createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            get: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                        };
                        pageCache: {
                            keys: string[];
                            store: Record<string, import("v-calendar/dist/types/src/utils/page.js").CachedPage>;
                            size: number;
                            createKey: (...args: any[]) => string;
                            createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                            get: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                            getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                        };
                        formatDate: (date: Date, masks: string | string[]) => string;
                        parseDate: (dateString: string, mask: string | string[]) => Date;
                        toDate: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date;
                        toDateOrNull: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date | null;
                        fromDate: (date: Date | null, { type, mask }?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
                        range: (source: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange;
                        ranges: (ranges: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource | import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[]) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange[];
                        getDateParts: (date: Date) => import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts;
                        getDateFromParts: (parts: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts>) => Date;
                        getDateFromParams: (year: number, month: number, day: number, hours: number, minutes: number, seconds: number, milliseconds: number) => Date;
                        getPage: (config: import("v-calendar/dist/types/src/utils/page.js").PageConfig) => import("v-calendar/dist/types/src/utils/page.js").Page;
                        getMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                        getThisMonthParts: () => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                        getPrevMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                        getNextMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                        getHourLabels: () => string[];
                        getDayId: (date: Date) => string;
                    };
                    dayIndex: number;
                    day: number;
                    dayFromEnd: number;
                    weekday: number;
                    weekdayOrdinal: number;
                    weekdayOrdinalFromEnd: number;
                    week: number;
                    weekFromEnd: number;
                    weeknumber: number;
                    month: number;
                    year: number;
                    date: {
                        toString: () => string;
                        toDateString: () => string;
                        toTimeString: () => string;
                        toLocaleString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleDateString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleTimeString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        valueOf: () => number;
                        getTime: () => number;
                        getFullYear: () => number;
                        getUTCFullYear: () => number;
                        getMonth: () => number;
                        getUTCMonth: () => number;
                        getDate: () => number;
                        getUTCDate: () => number;
                        getDay: () => number;
                        getUTCDay: () => number;
                        getHours: () => number;
                        getUTCHours: () => number;
                        getMinutes: () => number;
                        getUTCMinutes: () => number;
                        getSeconds: () => number;
                        getUTCSeconds: () => number;
                        getMilliseconds: () => number;
                        getUTCMilliseconds: () => number;
                        getTimezoneOffset: () => number;
                        setTime: (time: number) => number;
                        setMilliseconds: (ms: number) => number;
                        setUTCMilliseconds: (ms: number) => number;
                        setSeconds: (sec: number, ms?: number | undefined) => number;
                        setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                        setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setDate: (date: number) => number;
                        setUTCDate: (date: number) => number;
                        setMonth: (month: number, date?: number | undefined) => number;
                        setUTCMonth: (month: number, date?: number | undefined) => number;
                        setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        toUTCString: () => string;
                        toISOString: () => string;
                        toJSON: (key?: any) => string;
                        getVarDate: () => VarDate;
                        [Symbol.toPrimitive]: {
                            (hint: "default"): string;
                            (hint: "string"): string;
                            (hint: "number"): number;
                            (hint: string): string | number;
                        };
                    };
                } | null>;
                inTransition: import("vue").Ref<boolean>;
                navPopoverId: import("vue").Ref<symbol>;
                dayPopoverId: import("vue").Ref<symbol>;
                view: import("vue").Ref<import("v-calendar/dist/types/src/use/calendar.js").CalendarView>;
                pages: import("vue").Ref<{
                    id: string;
                    day?: number | undefined;
                    week?: number | undefined;
                    month: number;
                    year: number;
                    view: import("v-calendar/dist/types/src/utils/page.js").PageView;
                    trimWeeks: boolean;
                    position: number;
                    row: number;
                    rowFromEnd: number;
                    column: number;
                    columnFromEnd: number;
                    showWeeknumbers: boolean;
                    showIsoWeeknumbers: boolean;
                    weeknumberPosition: string;
                    monthTitle: string;
                    weekTitle?: string | undefined;
                    dayTitle?: string | undefined;
                    title: string;
                    titlePosition: import("v-calendar/dist/types/src/utils/page.js").TitlePosition;
                    shortMonthLabel: string;
                    monthLabel: string;
                    shortYearLabel: string;
                    yearLabel: string;
                    monthComps: {
                        firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                        firstDayOfMonth: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        inLeapYear: boolean;
                        firstWeekday: number;
                        numDays: number;
                        numWeeks: number;
                        month: number;
                        year: number;
                        weeknumbers: number[];
                        isoWeeknumbers: number[];
                    };
                    prevMonthComps: {
                        firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                        firstDayOfMonth: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        inLeapYear: boolean;
                        firstWeekday: number;
                        numDays: number;
                        numWeeks: number;
                        month: number;
                        year: number;
                        weeknumbers: number[];
                        isoWeeknumbers: number[];
                    };
                    nextMonthComps: {
                        firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                        firstDayOfMonth: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        inLeapYear: boolean;
                        firstWeekday: number;
                        numDays: number;
                        numWeeks: number;
                        month: number;
                        year: number;
                        weeknumbers: number[];
                        isoWeeknumbers: number[];
                    };
                    days: {
                        id: string;
                        position: number;
                        label: string;
                        ariaLabel: string;
                        weekdayPosition: number;
                        weekdayPositionFromEnd: number;
                        weekPosition: number;
                        isoWeeknumber: number;
                        startDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        noonDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        endDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        isToday: boolean;
                        isFirstDay: boolean;
                        isLastDay: boolean;
                        isDisabled: boolean;
                        isFocusable: boolean;
                        isFocused: boolean;
                        inMonth: boolean;
                        inPrevMonth: boolean;
                        inNextMonth: boolean;
                        onTop: boolean;
                        onBottom: boolean;
                        onLeft: boolean;
                        onRight: boolean;
                        classes: (string | Object)[];
                        locale: {
                            id: any;
                            daysInWeek: number;
                            firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                            masks: any;
                            timezone: string | undefined;
                            hourLabels: string[];
                            dayNames: string[];
                            dayNamesShort: string[];
                            dayNamesShorter: string[];
                            dayNamesNarrow: string[];
                            monthNames: string[];
                            monthNamesShort: string[];
                            relativeTimeNames: {
                                day?: string | undefined;
                                week?: string | undefined;
                                month?: string | undefined;
                                year?: string | undefined;
                                days?: string | undefined;
                                weeks?: string | undefined;
                                seconds?: string | undefined;
                                minutes?: string | undefined;
                                hours?: string | undefined;
                                months?: string | undefined;
                                years?: string | undefined;
                                quarter?: string | undefined;
                                quarters?: string | undefined;
                                hour?: string | undefined;
                                minute?: string | undefined;
                                second?: string | undefined;
                            };
                            amPm: [string, string];
                            monthCache: {
                                keys: string[];
                                store: Record<string, import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts>;
                                size: number;
                                createKey: (...args: any[]) => string;
                                createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                get: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            };
                            pageCache: {
                                keys: string[];
                                store: Record<string, import("v-calendar/dist/types/src/utils/page.js").CachedPage>;
                                size: number;
                                createKey: (...args: any[]) => string;
                                createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                get: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                            };
                            formatDate: (date: Date, masks: string | string[]) => string;
                            parseDate: (dateString: string, mask: string | string[]) => Date;
                            toDate: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date;
                            toDateOrNull: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date | null;
                            fromDate: (date: Date | null, { type, mask }?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
                            range: (source: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange;
                            ranges: (ranges: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource | import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[]) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange[];
                            getDateParts: (date: Date) => import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts;
                            getDateFromParts: (parts: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts>) => Date;
                            getDateFromParams: (year: number, month: number, day: number, hours: number, minutes: number, seconds: number, milliseconds: number) => Date;
                            getPage: (config: import("v-calendar/dist/types/src/utils/page.js").PageConfig) => import("v-calendar/dist/types/src/utils/page.js").Page;
                            getMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getThisMonthParts: () => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getPrevMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getNextMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getHourLabels: () => string[];
                            getDayId: (date: Date) => string;
                        };
                        dayIndex: number;
                        day: number;
                        dayFromEnd: number;
                        weekday: number;
                        weekdayOrdinal: number;
                        weekdayOrdinalFromEnd: number;
                        week: number;
                        weekFromEnd: number;
                        weeknumber: number;
                        month: number;
                        year: number;
                        date: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                    }[];
                    weeks: {
                        id: string;
                        week: number;
                        weekPosition: number;
                        weeknumber: number;
                        isoWeeknumber: number;
                        weeknumberDisplay?: number | undefined;
                        days: {
                            id: string;
                            position: number;
                            label: string;
                            ariaLabel: string;
                            weekdayPosition: number;
                            weekdayPositionFromEnd: number;
                            weekPosition: number;
                            isoWeeknumber: number;
                            startDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            noonDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            endDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            isToday: boolean;
                            isFirstDay: boolean;
                            isLastDay: boolean;
                            isDisabled: boolean;
                            isFocusable: boolean;
                            isFocused: boolean;
                            inMonth: boolean;
                            inPrevMonth: boolean;
                            inNextMonth: boolean;
                            onTop: boolean;
                            onBottom: boolean;
                            onLeft: boolean;
                            onRight: boolean;
                            classes: (string | Object)[];
                            locale: {
                                id: any;
                                daysInWeek: number;
                                firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                                masks: any;
                                timezone: string | undefined;
                                hourLabels: string[];
                                dayNames: string[];
                                dayNamesShort: string[];
                                dayNamesShorter: string[];
                                dayNamesNarrow: string[];
                                monthNames: string[];
                                monthNamesShort: string[];
                                relativeTimeNames: {
                                    day?: string | undefined;
                                    week?: string | undefined;
                                    month?: string | undefined;
                                    year?: string | undefined;
                                    days?: string | undefined;
                                    weeks?: string | undefined;
                                    seconds?: string | undefined;
                                    minutes?: string | undefined;
                                    hours?: string | undefined;
                                    months?: string | undefined;
                                    years?: string | undefined;
                                    quarter?: string | undefined;
                                    quarters?: string | undefined;
                                    hour?: string | undefined;
                                    minute?: string | undefined;
                                    second?: string | undefined;
                                };
                                amPm: [string, string];
                                monthCache: {
                                    keys: string[];
                                    store: Record<string, import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts>;
                                    size: number;
                                    createKey: (...args: any[]) => string;
                                    createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    get: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                };
                                pageCache: {
                                    keys: string[];
                                    store: Record<string, import("v-calendar/dist/types/src/utils/page.js").CachedPage>;
                                    size: number;
                                    createKey: (...args: any[]) => string;
                                    createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                    get: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                    getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                };
                                formatDate: (date: Date, masks: string | string[]) => string;
                                parseDate: (dateString: string, mask: string | string[]) => Date;
                                toDate: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date;
                                toDateOrNull: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date | null;
                                fromDate: (date: Date | null, { type, mask }?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
                                range: (source: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange;
                                ranges: (ranges: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource | import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[]) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange[];
                                getDateParts: (date: Date) => import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts;
                                getDateFromParts: (parts: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts>) => Date;
                                getDateFromParams: (year: number, month: number, day: number, hours: number, minutes: number, seconds: number, milliseconds: number) => Date;
                                getPage: (config: import("v-calendar/dist/types/src/utils/page.js").PageConfig) => import("v-calendar/dist/types/src/utils/page.js").Page;
                                getMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getThisMonthParts: () => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getPrevMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getNextMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getHourLabels: () => string[];
                                getDayId: (date: Date) => string;
                            };
                            dayIndex: number;
                            day: number;
                            dayFromEnd: number;
                            weekday: number;
                            weekdayOrdinal: number;
                            weekdayOrdinalFromEnd: number;
                            week: number;
                            weekFromEnd: number;
                            weeknumber: number;
                            month: number;
                            year: number;
                            date: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                        }[];
                        title: string;
                    }[];
                    weekdays: {
                        weekday: number;
                        label: string;
                    }[];
                    viewDays: {
                        id: string;
                        position: number;
                        label: string;
                        ariaLabel: string;
                        weekdayPosition: number;
                        weekdayPositionFromEnd: number;
                        weekPosition: number;
                        isoWeeknumber: number;
                        startDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        noonDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        endDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        isToday: boolean;
                        isFirstDay: boolean;
                        isLastDay: boolean;
                        isDisabled: boolean;
                        isFocusable: boolean;
                        isFocused: boolean;
                        inMonth: boolean;
                        inPrevMonth: boolean;
                        inNextMonth: boolean;
                        onTop: boolean;
                        onBottom: boolean;
                        onLeft: boolean;
                        onRight: boolean;
                        classes: (string | Object)[];
                        locale: {
                            id: any;
                            daysInWeek: number;
                            firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                            masks: any;
                            timezone: string | undefined;
                            hourLabels: string[];
                            dayNames: string[];
                            dayNamesShort: string[];
                            dayNamesShorter: string[];
                            dayNamesNarrow: string[];
                            monthNames: string[];
                            monthNamesShort: string[];
                            relativeTimeNames: {
                                day?: string | undefined;
                                week?: string | undefined;
                                month?: string | undefined;
                                year?: string | undefined;
                                days?: string | undefined;
                                weeks?: string | undefined;
                                seconds?: string | undefined;
                                minutes?: string | undefined;
                                hours?: string | undefined;
                                months?: string | undefined;
                                years?: string | undefined;
                                quarter?: string | undefined;
                                quarters?: string | undefined;
                                hour?: string | undefined;
                                minute?: string | undefined;
                                second?: string | undefined;
                            };
                            amPm: [string, string];
                            monthCache: {
                                keys: string[];
                                store: Record<string, import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts>;
                                size: number;
                                createKey: (...args: any[]) => string;
                                createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                get: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            };
                            pageCache: {
                                keys: string[];
                                store: Record<string, import("v-calendar/dist/types/src/utils/page.js").CachedPage>;
                                size: number;
                                createKey: (...args: any[]) => string;
                                createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                get: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                            };
                            formatDate: (date: Date, masks: string | string[]) => string;
                            parseDate: (dateString: string, mask: string | string[]) => Date;
                            toDate: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date;
                            toDateOrNull: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date | null;
                            fromDate: (date: Date | null, { type, mask }?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
                            range: (source: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange;
                            ranges: (ranges: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource | import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[]) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange[];
                            getDateParts: (date: Date) => import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts;
                            getDateFromParts: (parts: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts>) => Date;
                            getDateFromParams: (year: number, month: number, day: number, hours: number, minutes: number, seconds: number, milliseconds: number) => Date;
                            getPage: (config: import("v-calendar/dist/types/src/utils/page.js").PageConfig) => import("v-calendar/dist/types/src/utils/page.js").Page;
                            getMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getThisMonthParts: () => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getPrevMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getNextMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getHourLabels: () => string[];
                            getDayId: (date: Date) => string;
                        };
                        dayIndex: number;
                        day: number;
                        dayFromEnd: number;
                        weekday: number;
                        weekdayOrdinal: number;
                        weekdayOrdinalFromEnd: number;
                        week: number;
                        weekFromEnd: number;
                        weeknumber: number;
                        month: number;
                        year: number;
                        date: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                    }[];
                    viewWeeks: {
                        id: string;
                        week: number;
                        weekPosition: number;
                        weeknumber: number;
                        isoWeeknumber: number;
                        weeknumberDisplay?: number | undefined;
                        days: {
                            id: string;
                            position: number;
                            label: string;
                            ariaLabel: string;
                            weekdayPosition: number;
                            weekdayPositionFromEnd: number;
                            weekPosition: number;
                            isoWeeknumber: number;
                            startDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            noonDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            endDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            isToday: boolean;
                            isFirstDay: boolean;
                            isLastDay: boolean;
                            isDisabled: boolean;
                            isFocusable: boolean;
                            isFocused: boolean;
                            inMonth: boolean;
                            inPrevMonth: boolean;
                            inNextMonth: boolean;
                            onTop: boolean;
                            onBottom: boolean;
                            onLeft: boolean;
                            onRight: boolean;
                            classes: (string | Object)[];
                            locale: {
                                id: any;
                                daysInWeek: number;
                                firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                                masks: any;
                                timezone: string | undefined;
                                hourLabels: string[];
                                dayNames: string[];
                                dayNamesShort: string[];
                                dayNamesShorter: string[];
                                dayNamesNarrow: string[];
                                monthNames: string[];
                                monthNamesShort: string[];
                                relativeTimeNames: {
                                    day?: string | undefined;
                                    week?: string | undefined;
                                    month?: string | undefined;
                                    year?: string | undefined;
                                    days?: string | undefined;
                                    weeks?: string | undefined;
                                    seconds?: string | undefined;
                                    minutes?: string | undefined;
                                    hours?: string | undefined;
                                    months?: string | undefined;
                                    years?: string | undefined;
                                    quarter?: string | undefined;
                                    quarters?: string | undefined;
                                    hour?: string | undefined;
                                    minute?: string | undefined;
                                    second?: string | undefined;
                                };
                                amPm: [string, string];
                                monthCache: {
                                    keys: string[];
                                    store: Record<string, import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts>;
                                    size: number;
                                    createKey: (...args: any[]) => string;
                                    createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    get: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                };
                                pageCache: {
                                    keys: string[];
                                    store: Record<string, import("v-calendar/dist/types/src/utils/page.js").CachedPage>;
                                    size: number;
                                    createKey: (...args: any[]) => string;
                                    createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                    get: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                    getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                };
                                formatDate: (date: Date, masks: string | string[]) => string;
                                parseDate: (dateString: string, mask: string | string[]) => Date;
                                toDate: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date;
                                toDateOrNull: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date | null;
                                fromDate: (date: Date | null, { type, mask }?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
                                range: (source: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange;
                                ranges: (ranges: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource | import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[]) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange[];
                                getDateParts: (date: Date) => import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts;
                                getDateFromParts: (parts: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts>) => Date;
                                getDateFromParams: (year: number, month: number, day: number, hours: number, minutes: number, seconds: number, milliseconds: number) => Date;
                                getPage: (config: import("v-calendar/dist/types/src/utils/page.js").PageConfig) => import("v-calendar/dist/types/src/utils/page.js").Page;
                                getMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getThisMonthParts: () => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getPrevMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getNextMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getHourLabels: () => string[];
                                getDayId: (date: Date) => string;
                            };
                            dayIndex: number;
                            day: number;
                            dayFromEnd: number;
                            weekday: number;
                            weekdayOrdinal: number;
                            weekdayOrdinalFromEnd: number;
                            week: number;
                            weekFromEnd: number;
                            weeknumber: number;
                            month: number;
                            year: number;
                            date: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                        }[];
                        title: string;
                    }[];
                }[]>;
                transitionName: import("vue").Ref<string>;
                theme: import("vue").ComputedRef<import("v-calendar/dist/types/src/utils/theme.js").Theme>;
                color: import("vue").ComputedRef<string>;
                displayMode: import("vue").ComputedRef<"light" | "dark">;
                locale: import("vue").ComputedRef<import("v-calendar/dist/types/src/utils/locale.js").default>;
                masks: import("vue").ComputedRef<any>;
                attributes: import("vue").ComputedRef<import("v-calendar/dist/types/src/utils/attribute.js").Attribute[]>;
                disabledAttribute: import("vue").ComputedRef<import("v-calendar/dist/types/src/utils/attribute.js").Attribute>;
                disabledDates: import("vue").ComputedRef<import("v-calendar/dist/types/src/utils/date/range.js").DateRange[]>;
                attributeContext: import("vue").ComputedRef<import("v-calendar/dist/types/src/utils/date/range.js").DateRangeContext>;
                days: import("vue").ComputedRef<import("v-calendar/dist/types/src/utils/page.js").CalendarDay[]>;
                dayCells: import("vue").ComputedRef<import("v-calendar/dist/types/src/use/calendar.js").DayCells>;
                count: import("vue").ComputedRef<number>;
                step: import("vue").ComputedRef<number>;
                firstPage: import("vue").ComputedRef<{
                    id: string;
                    day?: number | undefined;
                    week?: number | undefined;
                    month: number;
                    year: number;
                    view: import("v-calendar/dist/types/src/utils/page.js").PageView;
                    trimWeeks: boolean;
                    position: number;
                    row: number;
                    rowFromEnd: number;
                    column: number;
                    columnFromEnd: number;
                    showWeeknumbers: boolean;
                    showIsoWeeknumbers: boolean;
                    weeknumberPosition: string;
                    monthTitle: string;
                    weekTitle?: string | undefined;
                    dayTitle?: string | undefined;
                    title: string;
                    titlePosition: import("v-calendar/dist/types/src/utils/page.js").TitlePosition;
                    shortMonthLabel: string;
                    monthLabel: string;
                    shortYearLabel: string;
                    yearLabel: string;
                    monthComps: {
                        firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                        firstDayOfMonth: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        inLeapYear: boolean;
                        firstWeekday: number;
                        numDays: number;
                        numWeeks: number;
                        month: number;
                        year: number;
                        weeknumbers: number[];
                        isoWeeknumbers: number[];
                    };
                    prevMonthComps: {
                        firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                        firstDayOfMonth: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        inLeapYear: boolean;
                        firstWeekday: number;
                        numDays: number;
                        numWeeks: number;
                        month: number;
                        year: number;
                        weeknumbers: number[];
                        isoWeeknumbers: number[];
                    };
                    nextMonthComps: {
                        firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                        firstDayOfMonth: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        inLeapYear: boolean;
                        firstWeekday: number;
                        numDays: number;
                        numWeeks: number;
                        month: number;
                        year: number;
                        weeknumbers: number[];
                        isoWeeknumbers: number[];
                    };
                    days: {
                        id: string;
                        position: number;
                        label: string;
                        ariaLabel: string;
                        weekdayPosition: number;
                        weekdayPositionFromEnd: number;
                        weekPosition: number;
                        isoWeeknumber: number;
                        startDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        noonDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        endDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        isToday: boolean;
                        isFirstDay: boolean;
                        isLastDay: boolean;
                        isDisabled: boolean;
                        isFocusable: boolean;
                        isFocused: boolean;
                        inMonth: boolean;
                        inPrevMonth: boolean;
                        inNextMonth: boolean;
                        onTop: boolean;
                        onBottom: boolean;
                        onLeft: boolean;
                        onRight: boolean;
                        classes: (string | Object)[];
                        locale: {
                            id: any;
                            daysInWeek: number;
                            firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                            masks: any;
                            timezone: string | undefined;
                            hourLabels: string[];
                            dayNames: string[];
                            dayNamesShort: string[];
                            dayNamesShorter: string[];
                            dayNamesNarrow: string[];
                            monthNames: string[];
                            monthNamesShort: string[];
                            relativeTimeNames: {
                                day?: string | undefined;
                                week?: string | undefined;
                                month?: string | undefined;
                                year?: string | undefined;
                                days?: string | undefined;
                                weeks?: string | undefined;
                                seconds?: string | undefined;
                                minutes?: string | undefined;
                                hours?: string | undefined;
                                months?: string | undefined;
                                years?: string | undefined;
                                quarter?: string | undefined;
                                quarters?: string | undefined;
                                hour?: string | undefined;
                                minute?: string | undefined;
                                second?: string | undefined;
                            };
                            amPm: [string, string];
                            monthCache: {
                                keys: string[];
                                store: Record<string, import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts>;
                                size: number;
                                createKey: (...args: any[]) => string;
                                createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                get: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            };
                            pageCache: {
                                keys: string[];
                                store: Record<string, import("v-calendar/dist/types/src/utils/page.js").CachedPage>;
                                size: number;
                                createKey: (...args: any[]) => string;
                                createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                get: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                            };
                            formatDate: (date: Date, masks: string | string[]) => string;
                            parseDate: (dateString: string, mask: string | string[]) => Date;
                            toDate: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date;
                            toDateOrNull: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date | null;
                            fromDate: (date: Date | null, { type, mask }?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
                            range: (source: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange;
                            ranges: (ranges: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource | import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[]) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange[];
                            getDateParts: (date: Date) => import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts;
                            getDateFromParts: (parts: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts>) => Date;
                            getDateFromParams: (year: number, month: number, day: number, hours: number, minutes: number, seconds: number, milliseconds: number) => Date;
                            getPage: (config: import("v-calendar/dist/types/src/utils/page.js").PageConfig) => import("v-calendar/dist/types/src/utils/page.js").Page;
                            getMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getThisMonthParts: () => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getPrevMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getNextMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getHourLabels: () => string[];
                            getDayId: (date: Date) => string;
                        };
                        dayIndex: number;
                        day: number;
                        dayFromEnd: number;
                        weekday: number;
                        weekdayOrdinal: number;
                        weekdayOrdinalFromEnd: number;
                        week: number;
                        weekFromEnd: number;
                        weeknumber: number;
                        month: number;
                        year: number;
                        date: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                    }[];
                    weeks: {
                        id: string;
                        week: number;
                        weekPosition: number;
                        weeknumber: number;
                        isoWeeknumber: number;
                        weeknumberDisplay?: number | undefined;
                        days: {
                            id: string;
                            position: number;
                            label: string;
                            ariaLabel: string;
                            weekdayPosition: number;
                            weekdayPositionFromEnd: number;
                            weekPosition: number;
                            isoWeeknumber: number;
                            startDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            noonDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            endDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            isToday: boolean;
                            isFirstDay: boolean;
                            isLastDay: boolean;
                            isDisabled: boolean;
                            isFocusable: boolean;
                            isFocused: boolean;
                            inMonth: boolean;
                            inPrevMonth: boolean;
                            inNextMonth: boolean;
                            onTop: boolean;
                            onBottom: boolean;
                            onLeft: boolean;
                            onRight: boolean;
                            classes: (string | Object)[];
                            locale: {
                                id: any;
                                daysInWeek: number;
                                firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                                masks: any;
                                timezone: string | undefined;
                                hourLabels: string[];
                                dayNames: string[];
                                dayNamesShort: string[];
                                dayNamesShorter: string[];
                                dayNamesNarrow: string[];
                                monthNames: string[];
                                monthNamesShort: string[];
                                relativeTimeNames: {
                                    day?: string | undefined;
                                    week?: string | undefined;
                                    month?: string | undefined;
                                    year?: string | undefined;
                                    days?: string | undefined;
                                    weeks?: string | undefined;
                                    seconds?: string | undefined;
                                    minutes?: string | undefined;
                                    hours?: string | undefined;
                                    months?: string | undefined;
                                    years?: string | undefined;
                                    quarter?: string | undefined;
                                    quarters?: string | undefined;
                                    hour?: string | undefined;
                                    minute?: string | undefined;
                                    second?: string | undefined;
                                };
                                amPm: [string, string];
                                monthCache: {
                                    keys: string[];
                                    store: Record<string, import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts>;
                                    size: number;
                                    createKey: (...args: any[]) => string;
                                    createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    get: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                };
                                pageCache: {
                                    keys: string[];
                                    store: Record<string, import("v-calendar/dist/types/src/utils/page.js").CachedPage>;
                                    size: number;
                                    createKey: (...args: any[]) => string;
                                    createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                    get: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                    getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                };
                                formatDate: (date: Date, masks: string | string[]) => string;
                                parseDate: (dateString: string, mask: string | string[]) => Date;
                                toDate: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date;
                                toDateOrNull: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date | null;
                                fromDate: (date: Date | null, { type, mask }?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
                                range: (source: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange;
                                ranges: (ranges: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource | import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[]) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange[];
                                getDateParts: (date: Date) => import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts;
                                getDateFromParts: (parts: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts>) => Date;
                                getDateFromParams: (year: number, month: number, day: number, hours: number, minutes: number, seconds: number, milliseconds: number) => Date;
                                getPage: (config: import("v-calendar/dist/types/src/utils/page.js").PageConfig) => import("v-calendar/dist/types/src/utils/page.js").Page;
                                getMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getThisMonthParts: () => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getPrevMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getNextMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getHourLabels: () => string[];
                                getDayId: (date: Date) => string;
                            };
                            dayIndex: number;
                            day: number;
                            dayFromEnd: number;
                            weekday: number;
                            weekdayOrdinal: number;
                            weekdayOrdinalFromEnd: number;
                            week: number;
                            weekFromEnd: number;
                            weeknumber: number;
                            month: number;
                            year: number;
                            date: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                        }[];
                        title: string;
                    }[];
                    weekdays: {
                        weekday: number;
                        label: string;
                    }[];
                    viewDays: {
                        id: string;
                        position: number;
                        label: string;
                        ariaLabel: string;
                        weekdayPosition: number;
                        weekdayPositionFromEnd: number;
                        weekPosition: number;
                        isoWeeknumber: number;
                        startDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        noonDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        endDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        isToday: boolean;
                        isFirstDay: boolean;
                        isLastDay: boolean;
                        isDisabled: boolean;
                        isFocusable: boolean;
                        isFocused: boolean;
                        inMonth: boolean;
                        inPrevMonth: boolean;
                        inNextMonth: boolean;
                        onTop: boolean;
                        onBottom: boolean;
                        onLeft: boolean;
                        onRight: boolean;
                        classes: (string | Object)[];
                        locale: {
                            id: any;
                            daysInWeek: number;
                            firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                            masks: any;
                            timezone: string | undefined;
                            hourLabels: string[];
                            dayNames: string[];
                            dayNamesShort: string[];
                            dayNamesShorter: string[];
                            dayNamesNarrow: string[];
                            monthNames: string[];
                            monthNamesShort: string[];
                            relativeTimeNames: {
                                day?: string | undefined;
                                week?: string | undefined;
                                month?: string | undefined;
                                year?: string | undefined;
                                days?: string | undefined;
                                weeks?: string | undefined;
                                seconds?: string | undefined;
                                minutes?: string | undefined;
                                hours?: string | undefined;
                                months?: string | undefined;
                                years?: string | undefined;
                                quarter?: string | undefined;
                                quarters?: string | undefined;
                                hour?: string | undefined;
                                minute?: string | undefined;
                                second?: string | undefined;
                            };
                            amPm: [string, string];
                            monthCache: {
                                keys: string[];
                                store: Record<string, import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts>;
                                size: number;
                                createKey: (...args: any[]) => string;
                                createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                get: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            };
                            pageCache: {
                                keys: string[];
                                store: Record<string, import("v-calendar/dist/types/src/utils/page.js").CachedPage>;
                                size: number;
                                createKey: (...args: any[]) => string;
                                createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                get: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                            };
                            formatDate: (date: Date, masks: string | string[]) => string;
                            parseDate: (dateString: string, mask: string | string[]) => Date;
                            toDate: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date;
                            toDateOrNull: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date | null;
                            fromDate: (date: Date | null, { type, mask }?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
                            range: (source: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange;
                            ranges: (ranges: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource | import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[]) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange[];
                            getDateParts: (date: Date) => import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts;
                            getDateFromParts: (parts: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts>) => Date;
                            getDateFromParams: (year: number, month: number, day: number, hours: number, minutes: number, seconds: number, milliseconds: number) => Date;
                            getPage: (config: import("v-calendar/dist/types/src/utils/page.js").PageConfig) => import("v-calendar/dist/types/src/utils/page.js").Page;
                            getMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getThisMonthParts: () => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getPrevMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getNextMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getHourLabels: () => string[];
                            getDayId: (date: Date) => string;
                        };
                        dayIndex: number;
                        day: number;
                        dayFromEnd: number;
                        weekday: number;
                        weekdayOrdinal: number;
                        weekdayOrdinalFromEnd: number;
                        week: number;
                        weekFromEnd: number;
                        weeknumber: number;
                        month: number;
                        year: number;
                        date: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                    }[];
                    viewWeeks: {
                        id: string;
                        week: number;
                        weekPosition: number;
                        weeknumber: number;
                        isoWeeknumber: number;
                        weeknumberDisplay?: number | undefined;
                        days: {
                            id: string;
                            position: number;
                            label: string;
                            ariaLabel: string;
                            weekdayPosition: number;
                            weekdayPositionFromEnd: number;
                            weekPosition: number;
                            isoWeeknumber: number;
                            startDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            noonDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            endDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            isToday: boolean;
                            isFirstDay: boolean;
                            isLastDay: boolean;
                            isDisabled: boolean;
                            isFocusable: boolean;
                            isFocused: boolean;
                            inMonth: boolean;
                            inPrevMonth: boolean;
                            inNextMonth: boolean;
                            onTop: boolean;
                            onBottom: boolean;
                            onLeft: boolean;
                            onRight: boolean;
                            classes: (string | Object)[];
                            locale: {
                                id: any;
                                daysInWeek: number;
                                firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                                masks: any;
                                timezone: string | undefined;
                                hourLabels: string[];
                                dayNames: string[];
                                dayNamesShort: string[];
                                dayNamesShorter: string[];
                                dayNamesNarrow: string[];
                                monthNames: string[];
                                monthNamesShort: string[];
                                relativeTimeNames: {
                                    day?: string | undefined;
                                    week?: string | undefined;
                                    month?: string | undefined;
                                    year?: string | undefined;
                                    days?: string | undefined;
                                    weeks?: string | undefined;
                                    seconds?: string | undefined;
                                    minutes?: string | undefined;
                                    hours?: string | undefined;
                                    months?: string | undefined;
                                    years?: string | undefined;
                                    quarter?: string | undefined;
                                    quarters?: string | undefined;
                                    hour?: string | undefined;
                                    minute?: string | undefined;
                                    second?: string | undefined;
                                };
                                amPm: [string, string];
                                monthCache: {
                                    keys: string[];
                                    store: Record<string, import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts>;
                                    size: number;
                                    createKey: (...args: any[]) => string;
                                    createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    get: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                };
                                pageCache: {
                                    keys: string[];
                                    store: Record<string, import("v-calendar/dist/types/src/utils/page.js").CachedPage>;
                                    size: number;
                                    createKey: (...args: any[]) => string;
                                    createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                    get: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                    getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                };
                                formatDate: (date: Date, masks: string | string[]) => string;
                                parseDate: (dateString: string, mask: string | string[]) => Date;
                                toDate: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date;
                                toDateOrNull: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date | null;
                                fromDate: (date: Date | null, { type, mask }?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
                                range: (source: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange;
                                ranges: (ranges: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource | import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[]) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange[];
                                getDateParts: (date: Date) => import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts;
                                getDateFromParts: (parts: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts>) => Date;
                                getDateFromParams: (year: number, month: number, day: number, hours: number, minutes: number, seconds: number, milliseconds: number) => Date;
                                getPage: (config: import("v-calendar/dist/types/src/utils/page.js").PageConfig) => import("v-calendar/dist/types/src/utils/page.js").Page;
                                getMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getThisMonthParts: () => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getPrevMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getNextMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getHourLabels: () => string[];
                                getDayId: (date: Date) => string;
                            };
                            dayIndex: number;
                            day: number;
                            dayFromEnd: number;
                            weekday: number;
                            weekdayOrdinal: number;
                            weekdayOrdinalFromEnd: number;
                            week: number;
                            weekFromEnd: number;
                            weeknumber: number;
                            month: number;
                            year: number;
                            date: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                        }[];
                        title: string;
                    }[];
                } | null>;
                lastPage: import("vue").ComputedRef<{
                    id: string;
                    day?: number | undefined;
                    week?: number | undefined;
                    month: number;
                    year: number;
                    view: import("v-calendar/dist/types/src/utils/page.js").PageView;
                    trimWeeks: boolean;
                    position: number;
                    row: number;
                    rowFromEnd: number;
                    column: number;
                    columnFromEnd: number;
                    showWeeknumbers: boolean;
                    showIsoWeeknumbers: boolean;
                    weeknumberPosition: string;
                    monthTitle: string;
                    weekTitle?: string | undefined;
                    dayTitle?: string | undefined;
                    title: string;
                    titlePosition: import("v-calendar/dist/types/src/utils/page.js").TitlePosition;
                    shortMonthLabel: string;
                    monthLabel: string;
                    shortYearLabel: string;
                    yearLabel: string;
                    monthComps: {
                        firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                        firstDayOfMonth: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        inLeapYear: boolean;
                        firstWeekday: number;
                        numDays: number;
                        numWeeks: number;
                        month: number;
                        year: number;
                        weeknumbers: number[];
                        isoWeeknumbers: number[];
                    };
                    prevMonthComps: {
                        firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                        firstDayOfMonth: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        inLeapYear: boolean;
                        firstWeekday: number;
                        numDays: number;
                        numWeeks: number;
                        month: number;
                        year: number;
                        weeknumbers: number[];
                        isoWeeknumbers: number[];
                    };
                    nextMonthComps: {
                        firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                        firstDayOfMonth: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        inLeapYear: boolean;
                        firstWeekday: number;
                        numDays: number;
                        numWeeks: number;
                        month: number;
                        year: number;
                        weeknumbers: number[];
                        isoWeeknumbers: number[];
                    };
                    days: {
                        id: string;
                        position: number;
                        label: string;
                        ariaLabel: string;
                        weekdayPosition: number;
                        weekdayPositionFromEnd: number;
                        weekPosition: number;
                        isoWeeknumber: number;
                        startDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        noonDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        endDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        isToday: boolean;
                        isFirstDay: boolean;
                        isLastDay: boolean;
                        isDisabled: boolean;
                        isFocusable: boolean;
                        isFocused: boolean;
                        inMonth: boolean;
                        inPrevMonth: boolean;
                        inNextMonth: boolean;
                        onTop: boolean;
                        onBottom: boolean;
                        onLeft: boolean;
                        onRight: boolean;
                        classes: (string | Object)[];
                        locale: {
                            id: any;
                            daysInWeek: number;
                            firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                            masks: any;
                            timezone: string | undefined;
                            hourLabels: string[];
                            dayNames: string[];
                            dayNamesShort: string[];
                            dayNamesShorter: string[];
                            dayNamesNarrow: string[];
                            monthNames: string[];
                            monthNamesShort: string[];
                            relativeTimeNames: {
                                day?: string | undefined;
                                week?: string | undefined;
                                month?: string | undefined;
                                year?: string | undefined;
                                days?: string | undefined;
                                weeks?: string | undefined;
                                seconds?: string | undefined;
                                minutes?: string | undefined;
                                hours?: string | undefined;
                                months?: string | undefined;
                                years?: string | undefined;
                                quarter?: string | undefined;
                                quarters?: string | undefined;
                                hour?: string | undefined;
                                minute?: string | undefined;
                                second?: string | undefined;
                            };
                            amPm: [string, string];
                            monthCache: {
                                keys: string[];
                                store: Record<string, import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts>;
                                size: number;
                                createKey: (...args: any[]) => string;
                                createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                get: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            };
                            pageCache: {
                                keys: string[];
                                store: Record<string, import("v-calendar/dist/types/src/utils/page.js").CachedPage>;
                                size: number;
                                createKey: (...args: any[]) => string;
                                createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                get: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                            };
                            formatDate: (date: Date, masks: string | string[]) => string;
                            parseDate: (dateString: string, mask: string | string[]) => Date;
                            toDate: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date;
                            toDateOrNull: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date | null;
                            fromDate: (date: Date | null, { type, mask }?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
                            range: (source: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange;
                            ranges: (ranges: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource | import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[]) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange[];
                            getDateParts: (date: Date) => import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts;
                            getDateFromParts: (parts: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts>) => Date;
                            getDateFromParams: (year: number, month: number, day: number, hours: number, minutes: number, seconds: number, milliseconds: number) => Date;
                            getPage: (config: import("v-calendar/dist/types/src/utils/page.js").PageConfig) => import("v-calendar/dist/types/src/utils/page.js").Page;
                            getMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getThisMonthParts: () => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getPrevMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getNextMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getHourLabels: () => string[];
                            getDayId: (date: Date) => string;
                        };
                        dayIndex: number;
                        day: number;
                        dayFromEnd: number;
                        weekday: number;
                        weekdayOrdinal: number;
                        weekdayOrdinalFromEnd: number;
                        week: number;
                        weekFromEnd: number;
                        weeknumber: number;
                        month: number;
                        year: number;
                        date: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                    }[];
                    weeks: {
                        id: string;
                        week: number;
                        weekPosition: number;
                        weeknumber: number;
                        isoWeeknumber: number;
                        weeknumberDisplay?: number | undefined;
                        days: {
                            id: string;
                            position: number;
                            label: string;
                            ariaLabel: string;
                            weekdayPosition: number;
                            weekdayPositionFromEnd: number;
                            weekPosition: number;
                            isoWeeknumber: number;
                            startDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            noonDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            endDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            isToday: boolean;
                            isFirstDay: boolean;
                            isLastDay: boolean;
                            isDisabled: boolean;
                            isFocusable: boolean;
                            isFocused: boolean;
                            inMonth: boolean;
                            inPrevMonth: boolean;
                            inNextMonth: boolean;
                            onTop: boolean;
                            onBottom: boolean;
                            onLeft: boolean;
                            onRight: boolean;
                            classes: (string | Object)[];
                            locale: {
                                id: any;
                                daysInWeek: number;
                                firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                                masks: any;
                                timezone: string | undefined;
                                hourLabels: string[];
                                dayNames: string[];
                                dayNamesShort: string[];
                                dayNamesShorter: string[];
                                dayNamesNarrow: string[];
                                monthNames: string[];
                                monthNamesShort: string[];
                                relativeTimeNames: {
                                    day?: string | undefined;
                                    week?: string | undefined;
                                    month?: string | undefined;
                                    year?: string | undefined;
                                    days?: string | undefined;
                                    weeks?: string | undefined;
                                    seconds?: string | undefined;
                                    minutes?: string | undefined;
                                    hours?: string | undefined;
                                    months?: string | undefined;
                                    years?: string | undefined;
                                    quarter?: string | undefined;
                                    quarters?: string | undefined;
                                    hour?: string | undefined;
                                    minute?: string | undefined;
                                    second?: string | undefined;
                                };
                                amPm: [string, string];
                                monthCache: {
                                    keys: string[];
                                    store: Record<string, import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts>;
                                    size: number;
                                    createKey: (...args: any[]) => string;
                                    createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    get: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                };
                                pageCache: {
                                    keys: string[];
                                    store: Record<string, import("v-calendar/dist/types/src/utils/page.js").CachedPage>;
                                    size: number;
                                    createKey: (...args: any[]) => string;
                                    createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                    get: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                    getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                };
                                formatDate: (date: Date, masks: string | string[]) => string;
                                parseDate: (dateString: string, mask: string | string[]) => Date;
                                toDate: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date;
                                toDateOrNull: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date | null;
                                fromDate: (date: Date | null, { type, mask }?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
                                range: (source: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange;
                                ranges: (ranges: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource | import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[]) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange[];
                                getDateParts: (date: Date) => import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts;
                                getDateFromParts: (parts: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts>) => Date;
                                getDateFromParams: (year: number, month: number, day: number, hours: number, minutes: number, seconds: number, milliseconds: number) => Date;
                                getPage: (config: import("v-calendar/dist/types/src/utils/page.js").PageConfig) => import("v-calendar/dist/types/src/utils/page.js").Page;
                                getMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getThisMonthParts: () => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getPrevMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getNextMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getHourLabels: () => string[];
                                getDayId: (date: Date) => string;
                            };
                            dayIndex: number;
                            day: number;
                            dayFromEnd: number;
                            weekday: number;
                            weekdayOrdinal: number;
                            weekdayOrdinalFromEnd: number;
                            week: number;
                            weekFromEnd: number;
                            weeknumber: number;
                            month: number;
                            year: number;
                            date: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                        }[];
                        title: string;
                    }[];
                    weekdays: {
                        weekday: number;
                        label: string;
                    }[];
                    viewDays: {
                        id: string;
                        position: number;
                        label: string;
                        ariaLabel: string;
                        weekdayPosition: number;
                        weekdayPositionFromEnd: number;
                        weekPosition: number;
                        isoWeeknumber: number;
                        startDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        noonDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        endDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        isToday: boolean;
                        isFirstDay: boolean;
                        isLastDay: boolean;
                        isDisabled: boolean;
                        isFocusable: boolean;
                        isFocused: boolean;
                        inMonth: boolean;
                        inPrevMonth: boolean;
                        inNextMonth: boolean;
                        onTop: boolean;
                        onBottom: boolean;
                        onLeft: boolean;
                        onRight: boolean;
                        classes: (string | Object)[];
                        locale: {
                            id: any;
                            daysInWeek: number;
                            firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                            masks: any;
                            timezone: string | undefined;
                            hourLabels: string[];
                            dayNames: string[];
                            dayNamesShort: string[];
                            dayNamesShorter: string[];
                            dayNamesNarrow: string[];
                            monthNames: string[];
                            monthNamesShort: string[];
                            relativeTimeNames: {
                                day?: string | undefined;
                                week?: string | undefined;
                                month?: string | undefined;
                                year?: string | undefined;
                                days?: string | undefined;
                                weeks?: string | undefined;
                                seconds?: string | undefined;
                                minutes?: string | undefined;
                                hours?: string | undefined;
                                months?: string | undefined;
                                years?: string | undefined;
                                quarter?: string | undefined;
                                quarters?: string | undefined;
                                hour?: string | undefined;
                                minute?: string | undefined;
                                second?: string | undefined;
                            };
                            amPm: [string, string];
                            monthCache: {
                                keys: string[];
                                store: Record<string, import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts>;
                                size: number;
                                createKey: (...args: any[]) => string;
                                createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                get: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            };
                            pageCache: {
                                keys: string[];
                                store: Record<string, import("v-calendar/dist/types/src/utils/page.js").CachedPage>;
                                size: number;
                                createKey: (...args: any[]) => string;
                                createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                get: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                            };
                            formatDate: (date: Date, masks: string | string[]) => string;
                            parseDate: (dateString: string, mask: string | string[]) => Date;
                            toDate: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date;
                            toDateOrNull: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date | null;
                            fromDate: (date: Date | null, { type, mask }?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
                            range: (source: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange;
                            ranges: (ranges: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource | import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[]) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange[];
                            getDateParts: (date: Date) => import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts;
                            getDateFromParts: (parts: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts>) => Date;
                            getDateFromParams: (year: number, month: number, day: number, hours: number, minutes: number, seconds: number, milliseconds: number) => Date;
                            getPage: (config: import("v-calendar/dist/types/src/utils/page.js").PageConfig) => import("v-calendar/dist/types/src/utils/page.js").Page;
                            getMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getThisMonthParts: () => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getPrevMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getNextMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getHourLabels: () => string[];
                            getDayId: (date: Date) => string;
                        };
                        dayIndex: number;
                        day: number;
                        dayFromEnd: number;
                        weekday: number;
                        weekdayOrdinal: number;
                        weekdayOrdinalFromEnd: number;
                        week: number;
                        weekFromEnd: number;
                        weeknumber: number;
                        month: number;
                        year: number;
                        date: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                    }[];
                    viewWeeks: {
                        id: string;
                        week: number;
                        weekPosition: number;
                        weeknumber: number;
                        isoWeeknumber: number;
                        weeknumberDisplay?: number | undefined;
                        days: {
                            id: string;
                            position: number;
                            label: string;
                            ariaLabel: string;
                            weekdayPosition: number;
                            weekdayPositionFromEnd: number;
                            weekPosition: number;
                            isoWeeknumber: number;
                            startDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            noonDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            endDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            isToday: boolean;
                            isFirstDay: boolean;
                            isLastDay: boolean;
                            isDisabled: boolean;
                            isFocusable: boolean;
                            isFocused: boolean;
                            inMonth: boolean;
                            inPrevMonth: boolean;
                            inNextMonth: boolean;
                            onTop: boolean;
                            onBottom: boolean;
                            onLeft: boolean;
                            onRight: boolean;
                            classes: (string | Object)[];
                            locale: {
                                id: any;
                                daysInWeek: number;
                                firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                                masks: any;
                                timezone: string | undefined;
                                hourLabels: string[];
                                dayNames: string[];
                                dayNamesShort: string[];
                                dayNamesShorter: string[];
                                dayNamesNarrow: string[];
                                monthNames: string[];
                                monthNamesShort: string[];
                                relativeTimeNames: {
                                    day?: string | undefined;
                                    week?: string | undefined;
                                    month?: string | undefined;
                                    year?: string | undefined;
                                    days?: string | undefined;
                                    weeks?: string | undefined;
                                    seconds?: string | undefined;
                                    minutes?: string | undefined;
                                    hours?: string | undefined;
                                    months?: string | undefined;
                                    years?: string | undefined;
                                    quarter?: string | undefined;
                                    quarters?: string | undefined;
                                    hour?: string | undefined;
                                    minute?: string | undefined;
                                    second?: string | undefined;
                                };
                                amPm: [string, string];
                                monthCache: {
                                    keys: string[];
                                    store: Record<string, import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts>;
                                    size: number;
                                    createKey: (...args: any[]) => string;
                                    createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    get: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                };
                                pageCache: {
                                    keys: string[];
                                    store: Record<string, import("v-calendar/dist/types/src/utils/page.js").CachedPage>;
                                    size: number;
                                    createKey: (...args: any[]) => string;
                                    createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                    get: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                    getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                };
                                formatDate: (date: Date, masks: string | string[]) => string;
                                parseDate: (dateString: string, mask: string | string[]) => Date;
                                toDate: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date;
                                toDateOrNull: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date | null;
                                fromDate: (date: Date | null, { type, mask }?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
                                range: (source: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange;
                                ranges: (ranges: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource | import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[]) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange[];
                                getDateParts: (date: Date) => import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts;
                                getDateFromParts: (parts: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts>) => Date;
                                getDateFromParams: (year: number, month: number, day: number, hours: number, minutes: number, seconds: number, milliseconds: number) => Date;
                                getPage: (config: import("v-calendar/dist/types/src/utils/page.js").PageConfig) => import("v-calendar/dist/types/src/utils/page.js").Page;
                                getMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getThisMonthParts: () => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getPrevMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getNextMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getHourLabels: () => string[];
                                getDayId: (date: Date) => string;
                            };
                            dayIndex: number;
                            day: number;
                            dayFromEnd: number;
                            weekday: number;
                            weekdayOrdinal: number;
                            weekdayOrdinalFromEnd: number;
                            week: number;
                            weekFromEnd: number;
                            weeknumber: number;
                            month: number;
                            year: number;
                            date: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                        }[];
                        title: string;
                    }[];
                } | null>;
                canMovePrev: import("vue").ComputedRef<boolean>;
                canMoveNext: import("vue").ComputedRef<boolean>;
                minPage: import("vue").ComputedRef<import("v-calendar/dist/types/src/utils/page.js").PageAddress | null>;
                maxPage: import("vue").ComputedRef<import("v-calendar/dist/types/src/utils/page.js").PageAddress | null>;
                isMonthly: import("vue").ComputedRef<boolean>;
                isWeekly: import("vue").ComputedRef<boolean>;
                isDaily: import("vue").ComputedRef<boolean>;
                navVisibility: import("vue").ComputedRef<import("v-calendar/dist/types/src/utils/popovers.js").PopoverVisibility>;
                showWeeknumbers: import("vue").ComputedRef<boolean>;
                showIsoWeeknumbers: import("vue").ComputedRef<boolean>;
                getDateAddress: (date: import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource) => import("v-calendar/dist/types/src/utils/page.js").PageAddress;
                canMove: (target: import("v-calendar/dist/types/src/use/calendar.js").MoveTarget, opts?: Partial<import("v-calendar/dist/types/src/use/calendar.js").MoveOptions>) => boolean;
                canMoveBy: (pages: number, opts?: Partial<import("v-calendar/dist/types/src/use/calendar.js").MoveOptions>) => boolean;
                move: (target: import("v-calendar/dist/types/src/use/calendar.js").MoveTarget, opts?: Partial<import("v-calendar/dist/types/src/use/calendar.js").MoveOptions>) => Promise<boolean>;
                moveBy: (pages: number, opts?: Partial<import("v-calendar/dist/types/src/use/calendar.js").MoveOptions>) => Promise<boolean>;
                movePrev: () => Promise<boolean>;
                moveNext: () => Promise<boolean>;
                onTransitionBeforeEnter: () => void;
                onTransitionAfterEnter: () => void;
                tryFocusDate: (date: Date) => boolean;
                focusDate: (date: Date, opts?: Partial<import("v-calendar/dist/types/src/use/calendar.js").MoveOptions>) => Promise<boolean>;
                onKeydown: (event: KeyboardEvent) => void;
                onDayKeydown: (day: import("v-calendar/dist/types/src/utils/page.js").CalendarDay, event: KeyboardEvent) => void;
                onDayClick: (day: import("v-calendar/dist/types/src/utils/page.js").CalendarDay, event: MouseEvent) => void;
                onDayMouseenter: (day: import("v-calendar/dist/types/src/utils/page.js").CalendarDay, event: MouseEvent) => void;
                onDayMouseleave: (day: import("v-calendar/dist/types/src/utils/page.js").CalendarDay, event: MouseEvent) => void;
                onDayFocusin: (day: import("v-calendar/dist/types/src/utils/page.js").CalendarDay, event: FocusEvent | null) => void;
                onDayFocusout: (day: import("v-calendar/dist/types/src/utils/page.js").CalendarDay, event: FocusEvent) => void;
                onWeeknumberClick: (week: import("v-calendar/dist/types/src/utils/page.js").CalendarWeek, event: MouseEvent) => void;
            }> & {} & import("vue").ComponentCustomProperties & {}) | null;
            isRange: boolean;
            isTimeMode: boolean;
            isDateTimeMode: boolean;
            is24hr: boolean;
            hideTimeHeader: boolean;
            timeAccuracy: number;
            isDragging: boolean;
            inputValue: string | {
                start: string;
                end: string;
            };
            inputEvents: {
                click?: ((e: MouseEvent) => void) | undefined;
                mousemove?: ((e: MouseEvent) => void) | undefined;
                mouseleave?: ((e: MouseEvent) => void) | undefined;
                focusin?: ((e: MouseEvent) => void) | undefined;
                focusout?: ((e: MouseEvent) => void) | undefined;
                input: (e: InputEvent) => void;
                change: (e: InputEvent) => void;
                keyup: (e: KeyboardEvent) => void;
            } | {
                start: {
                    click?: ((e: MouseEvent) => void) | undefined;
                    mousemove?: ((e: MouseEvent) => void) | undefined;
                    mouseleave?: ((e: MouseEvent) => void) | undefined;
                    focusin?: ((e: MouseEvent) => void) | undefined;
                    focusout?: ((e: MouseEvent) => void) | undefined;
                    input: (e: InputEvent) => void;
                    change: (e: InputEvent) => void;
                    keyup: (e: KeyboardEvent) => void;
                };
                end: {
                    click?: ((e: MouseEvent) => void) | undefined;
                    mousemove?: ((e: MouseEvent) => void) | undefined;
                    mouseleave?: ((e: MouseEvent) => void) | undefined;
                    focusin?: ((e: MouseEvent) => void) | undefined;
                    focusout?: ((e: MouseEvent) => void) | undefined;
                    input: (e: InputEvent) => void;
                    change: (e: InputEvent) => void;
                    keyup: (e: KeyboardEvent) => void;
                };
            };
            dateParts: (import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null)[];
            attributes: any[];
            rules: import("v-calendar/dist/types/src/utils/date/helpers.js").DatePartsRules[];
            move: (target: import("v-calendar/dist/types/src/use/calendar.js").MoveTarget, opts?: Partial<import("v-calendar/dist/types/src/use/calendar.js").MoveOptions>) => Promise<boolean>;
            moveBy: (pages: number, opts?: Partial<import("v-calendar/dist/types/src/use/calendar.js").MoveOptions>) => Promise<boolean>;
            moveToValue: (target: import("v-calendar/dist/types/src/use/datePicker.js").ValueTarget, opts?: Partial<import("v-calendar/dist/types/src/use/calendar.js").MoveOptions>) => Promise<boolean>;
            updateValue: (value: any, opts?: Partial<import("v-calendar/dist/types/src/use/datePicker.js").UpdateOptions>) => Promise<string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | {
                start: string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
                end: string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
            } | null>;
            showPopover: (opts?: Partial<import("v-calendar/dist/types/src/utils/popovers.js").PopoverOptions>) => void;
            hidePopover: (opts?: Partial<import("v-calendar/dist/types/src/utils/popovers.js").PopoverOptions>) => void;
            togglePopover: (opts: Partial<import("v-calendar/dist/types/src/utils/popovers.js").PopoverOptions>) => void;
            onDayClick: (day: import("v-calendar/dist/types/src/utils/page.js").CalendarDay, event: MouseEvent) => void;
            onDayKeydown: (day: import("v-calendar/dist/types/src/utils/page.js").CalendarDay, event: KeyboardEvent) => void;
            onDayMouseEnter: (day: import("v-calendar/dist/types/src/utils/page.js").CalendarDay, event: MouseEvent) => void;
            onPopoverBeforeShow: (el: HTMLElement) => void;
            onPopoverAfterShow: (el: HTMLElement) => void;
            onPopoverBeforeHide: (el: HTMLElement) => void;
            onPopoverAfterHide: (el: HTMLElement) => void;
            color: string;
            isDark: boolean | "system" | import("vue-screen-utils").DarkModeClassConfig;
            displayMode: "light" | "dark";
            theme: import("v-calendar/dist/types/src/utils/theme.js").Theme;
            locale: import("v-calendar/dist/types/src/utils/locale.js").default;
            masks: any;
            minDate: any;
            maxDate: any;
            disabledDates: import("v-calendar/dist/types/src/utils/date/range.js").DateRange[];
            disabledAttribute: import("v-calendar/dist/types/src/utils/attribute.js").Attribute;
        };
        showCalendar: import("vue").Ref<boolean>;
        datePickerPopoverId: import("vue").Ref<symbol>;
        popoverRef: import("vue").Ref<({
            $: import("vue").ComponentInternalInstance;
            $data: {};
            $props: Partial<{
                showDelay: number;
                hideDelay: number;
            }> & Omit<Readonly<import("vue").ExtractPropTypes<{
                id: {
                    type: (SymbolConstructor | StringConstructor | NumberConstructor)[];
                    required: true;
                };
                showDelay: {
                    type: NumberConstructor;
                    default: number;
                };
                hideDelay: {
                    type: NumberConstructor;
                    default: number;
                };
                boundarySelector: {
                    type: StringConstructor;
                };
            }>> & {
                "onBefore-show"?: ((...args: any[]) => any) | undefined;
                "onAfter-show"?: ((...args: any[]) => any) | undefined;
                "onBefore-hide"?: ((...args: any[]) => any) | undefined;
                "onAfter-hide"?: ((...args: any[]) => any) | undefined;
            } & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "showDelay" | "hideDelay">;
            $attrs: {
                [x: string]: unknown;
            };
            $refs: {
                [x: string]: unknown;
            };
            $slots: Readonly<{
                [name: string]: import("vue").Slot | undefined;
            }>;
            $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null;
            $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null;
            $emit: (event: "before-show" | "after-show" | "before-hide" | "after-hide", ...args: any[]) => void;
            $el: any;
            $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
                id: {
                    type: (SymbolConstructor | StringConstructor | NumberConstructor)[];
                    required: true;
                };
                showDelay: {
                    type: NumberConstructor;
                    default: number;
                };
                hideDelay: {
                    type: NumberConstructor;
                    default: number;
                };
                boundarySelector: {
                    type: StringConstructor;
                };
            }>> & {
                "onBefore-show"?: ((...args: any[]) => any) | undefined;
                "onAfter-show"?: ((...args: any[]) => any) | undefined;
                "onBefore-hide"?: ((...args: any[]) => any) | undefined;
                "onAfter-hide"?: ((...args: any[]) => any) | undefined;
            }, {
                popoverRef: import("vue").Ref<HTMLElement | undefined>;
                alignment: import("vue").ComputedRef<"center" | "left" | "right" | "top" | "bottom" | "middle">;
                hide: (opts?: Partial<import("v-calendar/dist/types/src/utils/popovers.js").PopoverOptions>) => void;
                setupPopper: () => void;
                beforeEnter: (el: Element) => void;
                afterEnter: (el: Element) => void;
                beforeLeave: (el: Element) => void;
                afterLeave: (el: Element) => void;
                onClick: (e: MouseEvent) => void;
                onMouseOver: () => void;
                onMouseLeave: () => void;
                onFocusIn: () => void;
                onFocusOut: (e: FocusEvent) => void;
                isVisible: import("vue").Ref<boolean>;
                target: import("vue").Ref<unknown>;
                data: import("vue").Ref<any>;
                transition: import("vue").Ref<string>;
                placement: import("vue").Ref<import("@popperjs/core/index.js").Placement>;
                direction: import("vue").Ref<string>;
                positionFixed: import("vue").Ref<false>;
                modifiers: import("vue").Ref<any[]>;
                isInteractive: import("vue").Ref<boolean>;
                visibility: import("vue").Ref<import("v-calendar/dist/types/src/utils/popovers.js").PopoverVisibility>;
                isHovered: import("vue").Ref<boolean>;
                isFocused: import("vue").Ref<boolean>;
                autoHide: import("vue").Ref<boolean>;
                force: import("vue").Ref<boolean>;
            }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("before-show" | "after-show" | "before-hide" | "after-hide")[], string, {
                showDelay: number;
                hideDelay: number;
            }, {}, string> & {
                beforeCreate?: ((() => void) | (() => void)[]) | undefined;
                created?: ((() => void) | (() => void)[]) | undefined;
                beforeMount?: ((() => void) | (() => void)[]) | undefined;
                mounted?: ((() => void) | (() => void)[]) | undefined;
                beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
                updated?: ((() => void) | (() => void)[]) | undefined;
                activated?: ((() => void) | (() => void)[]) | undefined;
                deactivated?: ((() => void) | (() => void)[]) | undefined;
                beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
                beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
                destroyed?: ((() => void) | (() => void)[]) | undefined;
                unmounted?: ((() => void) | (() => void)[]) | undefined;
                renderTracked?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
                renderTriggered?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
                errorCaptured?: (((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null, info: string) => boolean | void)[]) | undefined;
            };
            $forceUpdate: () => void;
            $nextTick: typeof import("vue").nextTick;
            $watch<T extends string | ((...args: any) => any)>(source: T, cb: T extends (...args: any) => infer R ? (args_0: R, args_1: R) => any : (...args: any) => any, options?: import("vue").WatchOptions<boolean> | undefined): import("vue").WatchStopHandle;
        } & Readonly<import("vue").ExtractPropTypes<{
            id: {
                type: (SymbolConstructor | StringConstructor | NumberConstructor)[];
                required: true;
            };
            showDelay: {
                type: NumberConstructor;
                default: number;
            };
            hideDelay: {
                type: NumberConstructor;
                default: number;
            };
            boundarySelector: {
                type: StringConstructor;
            };
        }>> & {
            "onBefore-show"?: ((...args: any[]) => any) | undefined;
            "onAfter-show"?: ((...args: any[]) => any) | undefined;
            "onBefore-hide"?: ((...args: any[]) => any) | undefined;
            "onAfter-hide"?: ((...args: any[]) => any) | undefined;
        } & import("vue").ShallowUnwrapRef<{
            popoverRef: import("vue").Ref<HTMLElement | undefined>;
            alignment: import("vue").ComputedRef<"center" | "left" | "right" | "top" | "bottom" | "middle">;
            hide: (opts?: Partial<import("v-calendar/dist/types/src/utils/popovers.js").PopoverOptions>) => void;
            setupPopper: () => void;
            beforeEnter: (el: Element) => void;
            afterEnter: (el: Element) => void;
            beforeLeave: (el: Element) => void;
            afterLeave: (el: Element) => void;
            onClick: (e: MouseEvent) => void;
            onMouseOver: () => void;
            onMouseLeave: () => void;
            onFocusIn: () => void;
            onFocusOut: (e: FocusEvent) => void;
            isVisible: import("vue").Ref<boolean>;
            target: import("vue").Ref<unknown>;
            data: import("vue").Ref<any>;
            transition: import("vue").Ref<string>;
            placement: import("vue").Ref<import("@popperjs/core/index.js").Placement>;
            direction: import("vue").Ref<string>;
            positionFixed: import("vue").Ref<false>;
            modifiers: import("vue").Ref<any[]>;
            isInteractive: import("vue").Ref<boolean>;
            visibility: import("vue").Ref<import("v-calendar/dist/types/src/utils/popovers.js").PopoverVisibility>;
            isHovered: import("vue").Ref<boolean>;
            isFocused: import("vue").Ref<boolean>;
            autoHide: import("vue").Ref<boolean>;
            force: import("vue").Ref<boolean>;
        }> & {} & import("vue").ComponentCustomProperties & {}) | null>;
        popoverEvents: import("vue").ComputedRef<Partial<import("v-calendar/dist/types/src/utils/popovers.js").PopoverEventHandlers>>;
        calendarRef: import("vue").Ref<({
            $: import("vue").ComponentInternalInstance;
            $data: {};
            $props: Partial<{
                view: import("v-calendar/dist/types/src/use/calendar.js").CalendarView;
                trimWeeks: boolean;
                titlePosition: import("v-calendar/dist/types/src/utils/page.js").TitlePosition;
                color: string;
                isDark: boolean | "system" | import("vue-screen-utils").DarkModeClassConfig;
                navVisibility: import("v-calendar/dist/types/src/utils/popovers.js").PopoverVisibility;
                rows: number;
                columns: number;
                expanded: boolean;
                borderless: boolean;
                transparent: boolean;
                initialPagePosition: number;
                disablePageSwipe: boolean;
            }> & Omit<Readonly<import("vue").ExtractPropTypes<{
                view: {
                    type: import("vue").PropType<import("v-calendar/dist/types/src/use/calendar.js").CalendarView>;
                    default: string;
                    validator(value: string): boolean;
                };
                rows: {
                    type: NumberConstructor;
                    default: number;
                };
                columns: {
                    type: NumberConstructor;
                    default: number;
                };
                step: NumberConstructor;
                titlePosition: {
                    type: import("vue").PropType<import("v-calendar/dist/types/src/utils/page.js").TitlePosition>;
                    default: () => import("v-calendar/dist/types/src/utils/page.js").TitlePosition;
                };
                navVisibility: {
                    type: import("vue").PropType<import("v-calendar/dist/types/src/utils/popovers.js").PopoverVisibility>;
                    default: () => import("v-calendar/dist/types/src/utils/popovers.js").PopoverVisibility;
                };
                showWeeknumbers: (BooleanConstructor | StringConstructor)[];
                showIsoWeeknumbers: (BooleanConstructor | StringConstructor)[];
                expanded: BooleanConstructor;
                borderless: BooleanConstructor;
                transparent: BooleanConstructor;
                initialPage: import("vue").PropType<import("v-calendar/dist/types/src/utils/page.js").PageAddress>;
                initialPagePosition: {
                    type: NumberConstructor;
                    default: number;
                };
                minPage: import("vue").PropType<import("v-calendar/dist/types/src/utils/page.js").PageAddress>;
                maxPage: import("vue").PropType<import("v-calendar/dist/types/src/utils/page.js").PageAddress>;
                transition: import("vue").PropType<import("v-calendar/dist/types/src/use/calendar.js").MoveTransition>;
                attributes: import("vue").PropType<Partial<{
                    key: string | number;
                    hashcode: string;
                    content: import("v-calendar/dist/types/src/utils/glyph.js").ContentConfig;
                    highlight: import("v-calendar/dist/types/src/utils/glyph.js").HighlightConfig;
                    dot: import("v-calendar/dist/types/src/utils/glyph.js").DotConfig;
                    bar: import("v-calendar/dist/types/src/utils/glyph.js").BarConfig;
                    popover: Partial<{
                        label: string;
                        visibility: import("v-calendar/dist/types/src/utils/popovers.js").PopoverVisibility;
                        placement: import("@popperjs/core/index.js").Placement;
                        hideIndicator: boolean;
                        isInteractive: boolean;
                    }>;
                    event: Partial<{
                        label: string;
                    }>;
                    dates: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[];
                    customData: any;
                    order: number;
                    pinPage: boolean;
                }>[]>;
                trimWeeks: BooleanConstructor;
                disablePageSwipe: BooleanConstructor;
                color: {
                    type: StringConstructor;
                    default: () => any;
                };
                isDark: {
                    type: import("vue").PropType<boolean | "system" | import("vue-screen-utils").DarkModeClassConfig>;
                    default: () => any;
                };
                firstDayOfWeek: import("vue").PropType<import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek>;
                masks: ObjectConstructor;
                locale: import("vue").PropType<string | import("v-calendar/dist/types/src/utils/locale.js").default | Record<string, any>>;
                timezone: StringConstructor;
                minDate: null;
                maxDate: null;
                disabledDates: null;
            }>> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "view" | "trimWeeks" | "titlePosition" | "color" | "isDark" | "navVisibility" | "rows" | "columns" | "expanded" | "borderless" | "transparent" | "initialPagePosition" | "disablePageSwipe">;
            $attrs: {
                [x: string]: unknown;
            };
            $refs: {
                [x: string]: unknown;
            };
            $slots: Readonly<{
                [name: string]: import("vue").Slot | undefined;
            }>;
            $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null;
            $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null;
            $emit: (event: string, ...args: any[]) => void;
            $el: any;
            $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
                view: {
                    type: import("vue").PropType<import("v-calendar/dist/types/src/use/calendar.js").CalendarView>;
                    default: string;
                    validator(value: string): boolean;
                };
                rows: {
                    type: NumberConstructor;
                    default: number;
                };
                columns: {
                    type: NumberConstructor;
                    default: number;
                };
                step: NumberConstructor;
                titlePosition: {
                    type: import("vue").PropType<import("v-calendar/dist/types/src/utils/page.js").TitlePosition>;
                    default: () => import("v-calendar/dist/types/src/utils/page.js").TitlePosition;
                };
                navVisibility: {
                    type: import("vue").PropType<import("v-calendar/dist/types/src/utils/popovers.js").PopoverVisibility>;
                    default: () => import("v-calendar/dist/types/src/utils/popovers.js").PopoverVisibility;
                };
                showWeeknumbers: (BooleanConstructor | StringConstructor)[];
                showIsoWeeknumbers: (BooleanConstructor | StringConstructor)[];
                expanded: BooleanConstructor;
                borderless: BooleanConstructor;
                transparent: BooleanConstructor;
                initialPage: import("vue").PropType<import("v-calendar/dist/types/src/utils/page.js").PageAddress>;
                initialPagePosition: {
                    type: NumberConstructor;
                    default: number;
                };
                minPage: import("vue").PropType<import("v-calendar/dist/types/src/utils/page.js").PageAddress>;
                maxPage: import("vue").PropType<import("v-calendar/dist/types/src/utils/page.js").PageAddress>;
                transition: import("vue").PropType<import("v-calendar/dist/types/src/use/calendar.js").MoveTransition>;
                attributes: import("vue").PropType<Partial<{
                    key: string | number;
                    hashcode: string;
                    content: import("v-calendar/dist/types/src/utils/glyph.js").ContentConfig;
                    highlight: import("v-calendar/dist/types/src/utils/glyph.js").HighlightConfig;
                    dot: import("v-calendar/dist/types/src/utils/glyph.js").DotConfig;
                    bar: import("v-calendar/dist/types/src/utils/glyph.js").BarConfig;
                    popover: Partial<{
                        label: string;
                        visibility: import("v-calendar/dist/types/src/utils/popovers.js").PopoverVisibility;
                        placement: import("@popperjs/core/index.js").Placement;
                        hideIndicator: boolean;
                        isInteractive: boolean;
                    }>;
                    event: Partial<{
                        label: string;
                    }>;
                    dates: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[];
                    customData: any;
                    order: number;
                    pinPage: boolean;
                }>[]>;
                trimWeeks: BooleanConstructor;
                disablePageSwipe: BooleanConstructor;
                color: {
                    type: StringConstructor;
                    default: () => any;
                };
                isDark: {
                    type: import("vue").PropType<boolean | "system" | import("vue-screen-utils").DarkModeClassConfig>;
                    default: () => any;
                };
                firstDayOfWeek: import("vue").PropType<import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek>;
                masks: ObjectConstructor;
                locale: import("vue").PropType<string | import("v-calendar/dist/types/src/utils/locale.js").default | Record<string, any>>;
                timezone: StringConstructor;
                minDate: null;
                maxDate: null;
                disabledDates: null;
            }>>, {
                emit: ((event: string, ...args: any[]) => void) | ((event: string, ...args: any[]) => void);
                containerRef: import("vue").Ref<{
                    querySelector: {
                        <K extends keyof HTMLElementTagNameMap>(selectors: K): HTMLElementTagNameMap[K] | null;
                        <K_1 extends keyof SVGElementTagNameMap>(selectors: K_1): SVGElementTagNameMap[K_1] | null;
                        <E extends Element = Element>(selectors: string): E | null;
                    };
                    addEventListener: Function;
                    removeEventListener: Function;
                    dispatchEvent: Function;
                } | null>;
                focusedDay: import("vue").Ref<{
                    id: string;
                    position: number;
                    label: string;
                    ariaLabel: string;
                    weekdayPosition: number;
                    weekdayPositionFromEnd: number;
                    weekPosition: number;
                    isoWeeknumber: number;
                    startDate: {
                        toString: () => string;
                        toDateString: () => string;
                        toTimeString: () => string;
                        toLocaleString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleDateString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleTimeString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        valueOf: () => number;
                        getTime: () => number;
                        getFullYear: () => number;
                        getUTCFullYear: () => number;
                        getMonth: () => number;
                        getUTCMonth: () => number;
                        getDate: () => number;
                        getUTCDate: () => number;
                        getDay: () => number;
                        getUTCDay: () => number;
                        getHours: () => number;
                        getUTCHours: () => number;
                        getMinutes: () => number;
                        getUTCMinutes: () => number;
                        getSeconds: () => number;
                        getUTCSeconds: () => number;
                        getMilliseconds: () => number;
                        getUTCMilliseconds: () => number;
                        getTimezoneOffset: () => number;
                        setTime: (time: number) => number;
                        setMilliseconds: (ms: number) => number;
                        setUTCMilliseconds: (ms: number) => number;
                        setSeconds: (sec: number, ms?: number | undefined) => number;
                        setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                        setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setDate: (date: number) => number;
                        setUTCDate: (date: number) => number;
                        setMonth: (month: number, date?: number | undefined) => number;
                        setUTCMonth: (month: number, date?: number | undefined) => number;
                        setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        toUTCString: () => string;
                        toISOString: () => string;
                        toJSON: (key?: any) => string;
                        getVarDate: () => VarDate;
                        [Symbol.toPrimitive]: {
                            (hint: "default"): string;
                            (hint: "string"): string;
                            (hint: "number"): number;
                            (hint: string): string | number;
                        };
                    };
                    noonDate: {
                        toString: () => string;
                        toDateString: () => string;
                        toTimeString: () => string;
                        toLocaleString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleDateString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleTimeString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        valueOf: () => number;
                        getTime: () => number;
                        getFullYear: () => number;
                        getUTCFullYear: () => number;
                        getMonth: () => number;
                        getUTCMonth: () => number;
                        getDate: () => number;
                        getUTCDate: () => number;
                        getDay: () => number;
                        getUTCDay: () => number;
                        getHours: () => number;
                        getUTCHours: () => number;
                        getMinutes: () => number;
                        getUTCMinutes: () => number;
                        getSeconds: () => number;
                        getUTCSeconds: () => number;
                        getMilliseconds: () => number;
                        getUTCMilliseconds: () => number;
                        getTimezoneOffset: () => number;
                        setTime: (time: number) => number;
                        setMilliseconds: (ms: number) => number;
                        setUTCMilliseconds: (ms: number) => number;
                        setSeconds: (sec: number, ms?: number | undefined) => number;
                        setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                        setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setDate: (date: number) => number;
                        setUTCDate: (date: number) => number;
                        setMonth: (month: number, date?: number | undefined) => number;
                        setUTCMonth: (month: number, date?: number | undefined) => number;
                        setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        toUTCString: () => string;
                        toISOString: () => string;
                        toJSON: (key?: any) => string;
                        getVarDate: () => VarDate;
                        [Symbol.toPrimitive]: {
                            (hint: "default"): string;
                            (hint: "string"): string;
                            (hint: "number"): number;
                            (hint: string): string | number;
                        };
                    };
                    endDate: {
                        toString: () => string;
                        toDateString: () => string;
                        toTimeString: () => string;
                        toLocaleString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleDateString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleTimeString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        valueOf: () => number;
                        getTime: () => number;
                        getFullYear: () => number;
                        getUTCFullYear: () => number;
                        getMonth: () => number;
                        getUTCMonth: () => number;
                        getDate: () => number;
                        getUTCDate: () => number;
                        getDay: () => number;
                        getUTCDay: () => number;
                        getHours: () => number;
                        getUTCHours: () => number;
                        getMinutes: () => number;
                        getUTCMinutes: () => number;
                        getSeconds: () => number;
                        getUTCSeconds: () => number;
                        getMilliseconds: () => number;
                        getUTCMilliseconds: () => number;
                        getTimezoneOffset: () => number;
                        setTime: (time: number) => number;
                        setMilliseconds: (ms: number) => number;
                        setUTCMilliseconds: (ms: number) => number;
                        setSeconds: (sec: number, ms?: number | undefined) => number;
                        setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                        setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setDate: (date: number) => number;
                        setUTCDate: (date: number) => number;
                        setMonth: (month: number, date?: number | undefined) => number;
                        setUTCMonth: (month: number, date?: number | undefined) => number;
                        setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        toUTCString: () => string;
                        toISOString: () => string;
                        toJSON: (key?: any) => string;
                        getVarDate: () => VarDate;
                        [Symbol.toPrimitive]: {
                            (hint: "default"): string;
                            (hint: "string"): string;
                            (hint: "number"): number;
                            (hint: string): string | number;
                        };
                    };
                    isToday: boolean;
                    isFirstDay: boolean;
                    isLastDay: boolean;
                    isDisabled: boolean;
                    isFocusable: boolean;
                    isFocused: boolean;
                    inMonth: boolean;
                    inPrevMonth: boolean;
                    inNextMonth: boolean;
                    onTop: boolean;
                    onBottom: boolean;
                    onLeft: boolean;
                    onRight: boolean;
                    classes: (string | Object)[];
                    locale: {
                        id: any;
                        daysInWeek: number;
                        firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                        masks: any;
                        timezone: string | undefined;
                        hourLabels: string[];
                        dayNames: string[];
                        dayNamesShort: string[];
                        dayNamesShorter: string[];
                        dayNamesNarrow: string[];
                        monthNames: string[];
                        monthNamesShort: string[];
                        relativeTimeNames: {
                            day?: string | undefined;
                            week?: string | undefined;
                            month?: string | undefined;
                            year?: string | undefined;
                            days?: string | undefined;
                            weeks?: string | undefined;
                            seconds?: string | undefined;
                            minutes?: string | undefined;
                            hours?: string | undefined;
                            months?: string | undefined;
                            years?: string | undefined;
                            quarter?: string | undefined;
                            quarters?: string | undefined;
                            hour?: string | undefined;
                            minute?: string | undefined;
                            second?: string | undefined;
                        };
                        amPm: [string, string];
                        monthCache: {
                            keys: string[];
                            store: Record<string, import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts>;
                            size: number;
                            createKey: (...args: any[]) => string;
                            createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            get: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                        };
                        pageCache: {
                            keys: string[];
                            store: Record<string, import("v-calendar/dist/types/src/utils/page.js").CachedPage>;
                            size: number;
                            createKey: (...args: any[]) => string;
                            createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                            get: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                            getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                        };
                        formatDate: (date: Date, masks: string | string[]) => string;
                        parseDate: (dateString: string, mask: string | string[]) => Date;
                        toDate: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date;
                        toDateOrNull: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date | null;
                        fromDate: (date: Date | null, { type, mask }?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
                        range: (source: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange;
                        ranges: (ranges: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource | import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[]) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange[];
                        getDateParts: (date: Date) => import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts;
                        getDateFromParts: (parts: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts>) => Date;
                        getDateFromParams: (year: number, month: number, day: number, hours: number, minutes: number, seconds: number, milliseconds: number) => Date;
                        getPage: (config: import("v-calendar/dist/types/src/utils/page.js").PageConfig) => import("v-calendar/dist/types/src/utils/page.js").Page;
                        getMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                        getThisMonthParts: () => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                        getPrevMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                        getNextMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                        getHourLabels: () => string[];
                        getDayId: (date: Date) => string;
                    };
                    dayIndex: number;
                    day: number;
                    dayFromEnd: number;
                    weekday: number;
                    weekdayOrdinal: number;
                    weekdayOrdinalFromEnd: number;
                    week: number;
                    weekFromEnd: number;
                    weeknumber: number;
                    month: number;
                    year: number;
                    date: {
                        toString: () => string;
                        toDateString: () => string;
                        toTimeString: () => string;
                        toLocaleString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleDateString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleTimeString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        valueOf: () => number;
                        getTime: () => number;
                        getFullYear: () => number;
                        getUTCFullYear: () => number;
                        getMonth: () => number;
                        getUTCMonth: () => number;
                        getDate: () => number;
                        getUTCDate: () => number;
                        getDay: () => number;
                        getUTCDay: () => number;
                        getHours: () => number;
                        getUTCHours: () => number;
                        getMinutes: () => number;
                        getUTCMinutes: () => number;
                        getSeconds: () => number;
                        getUTCSeconds: () => number;
                        getMilliseconds: () => number;
                        getUTCMilliseconds: () => number;
                        getTimezoneOffset: () => number;
                        setTime: (time: number) => number;
                        setMilliseconds: (ms: number) => number;
                        setUTCMilliseconds: (ms: number) => number;
                        setSeconds: (sec: number, ms?: number | undefined) => number;
                        setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                        setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setDate: (date: number) => number;
                        setUTCDate: (date: number) => number;
                        setMonth: (month: number, date?: number | undefined) => number;
                        setUTCMonth: (month: number, date?: number | undefined) => number;
                        setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        toUTCString: () => string;
                        toISOString: () => string;
                        toJSON: (key?: any) => string;
                        getVarDate: () => VarDate;
                        [Symbol.toPrimitive]: {
                            (hint: "default"): string;
                            (hint: "string"): string;
                            (hint: "number"): number;
                            (hint: string): string | number;
                        };
                    };
                } | null>;
                inTransition: import("vue").Ref<boolean>;
                navPopoverId: import("vue").Ref<symbol>;
                dayPopoverId: import("vue").Ref<symbol>;
                view: import("vue").Ref<import("v-calendar/dist/types/src/use/calendar.js").CalendarView>;
                pages: import("vue").Ref<{
                    id: string;
                    day?: number | undefined;
                    week?: number | undefined;
                    month: number;
                    year: number;
                    view: import("v-calendar/dist/types/src/utils/page.js").PageView;
                    trimWeeks: boolean;
                    position: number;
                    row: number;
                    rowFromEnd: number;
                    column: number;
                    columnFromEnd: number;
                    showWeeknumbers: boolean;
                    showIsoWeeknumbers: boolean;
                    weeknumberPosition: string;
                    monthTitle: string;
                    weekTitle?: string | undefined;
                    dayTitle?: string | undefined;
                    title: string;
                    titlePosition: import("v-calendar/dist/types/src/utils/page.js").TitlePosition;
                    shortMonthLabel: string;
                    monthLabel: string;
                    shortYearLabel: string;
                    yearLabel: string;
                    monthComps: {
                        firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                        firstDayOfMonth: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        inLeapYear: boolean;
                        firstWeekday: number;
                        numDays: number;
                        numWeeks: number;
                        month: number;
                        year: number;
                        weeknumbers: number[];
                        isoWeeknumbers: number[];
                    };
                    prevMonthComps: {
                        firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                        firstDayOfMonth: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        inLeapYear: boolean;
                        firstWeekday: number;
                        numDays: number;
                        numWeeks: number;
                        month: number;
                        year: number;
                        weeknumbers: number[];
                        isoWeeknumbers: number[];
                    };
                    nextMonthComps: {
                        firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                        firstDayOfMonth: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        inLeapYear: boolean;
                        firstWeekday: number;
                        numDays: number;
                        numWeeks: number;
                        month: number;
                        year: number;
                        weeknumbers: number[];
                        isoWeeknumbers: number[];
                    };
                    days: {
                        id: string;
                        position: number;
                        label: string;
                        ariaLabel: string;
                        weekdayPosition: number;
                        weekdayPositionFromEnd: number;
                        weekPosition: number;
                        isoWeeknumber: number;
                        startDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        noonDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        endDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        isToday: boolean;
                        isFirstDay: boolean;
                        isLastDay: boolean;
                        isDisabled: boolean;
                        isFocusable: boolean;
                        isFocused: boolean;
                        inMonth: boolean;
                        inPrevMonth: boolean;
                        inNextMonth: boolean;
                        onTop: boolean;
                        onBottom: boolean;
                        onLeft: boolean;
                        onRight: boolean;
                        classes: (string | Object)[];
                        locale: {
                            id: any;
                            daysInWeek: number;
                            firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                            masks: any;
                            timezone: string | undefined;
                            hourLabels: string[];
                            dayNames: string[];
                            dayNamesShort: string[];
                            dayNamesShorter: string[];
                            dayNamesNarrow: string[];
                            monthNames: string[];
                            monthNamesShort: string[];
                            relativeTimeNames: {
                                day?: string | undefined;
                                week?: string | undefined;
                                month?: string | undefined;
                                year?: string | undefined;
                                days?: string | undefined;
                                weeks?: string | undefined;
                                seconds?: string | undefined;
                                minutes?: string | undefined;
                                hours?: string | undefined;
                                months?: string | undefined;
                                years?: string | undefined;
                                quarter?: string | undefined;
                                quarters?: string | undefined;
                                hour?: string | undefined;
                                minute?: string | undefined;
                                second?: string | undefined;
                            };
                            amPm: [string, string];
                            monthCache: {
                                keys: string[];
                                store: Record<string, import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts>;
                                size: number;
                                createKey: (...args: any[]) => string;
                                createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                get: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            };
                            pageCache: {
                                keys: string[];
                                store: Record<string, import("v-calendar/dist/types/src/utils/page.js").CachedPage>;
                                size: number;
                                createKey: (...args: any[]) => string;
                                createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                get: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                            };
                            formatDate: (date: Date, masks: string | string[]) => string;
                            parseDate: (dateString: string, mask: string | string[]) => Date;
                            toDate: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date;
                            toDateOrNull: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date | null;
                            fromDate: (date: Date | null, { type, mask }?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
                            range: (source: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange;
                            ranges: (ranges: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource | import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[]) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange[];
                            getDateParts: (date: Date) => import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts;
                            getDateFromParts: (parts: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts>) => Date;
                            getDateFromParams: (year: number, month: number, day: number, hours: number, minutes: number, seconds: number, milliseconds: number) => Date;
                            getPage: (config: import("v-calendar/dist/types/src/utils/page.js").PageConfig) => import("v-calendar/dist/types/src/utils/page.js").Page;
                            getMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getThisMonthParts: () => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getPrevMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getNextMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getHourLabels: () => string[];
                            getDayId: (date: Date) => string;
                        };
                        dayIndex: number;
                        day: number;
                        dayFromEnd: number;
                        weekday: number;
                        weekdayOrdinal: number;
                        weekdayOrdinalFromEnd: number;
                        week: number;
                        weekFromEnd: number;
                        weeknumber: number;
                        month: number;
                        year: number;
                        date: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                    }[];
                    weeks: {
                        id: string;
                        week: number;
                        weekPosition: number;
                        weeknumber: number;
                        isoWeeknumber: number;
                        weeknumberDisplay?: number | undefined;
                        days: {
                            id: string;
                            position: number;
                            label: string;
                            ariaLabel: string;
                            weekdayPosition: number;
                            weekdayPositionFromEnd: number;
                            weekPosition: number;
                            isoWeeknumber: number;
                            startDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            noonDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            endDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            isToday: boolean;
                            isFirstDay: boolean;
                            isLastDay: boolean;
                            isDisabled: boolean;
                            isFocusable: boolean;
                            isFocused: boolean;
                            inMonth: boolean;
                            inPrevMonth: boolean;
                            inNextMonth: boolean;
                            onTop: boolean;
                            onBottom: boolean;
                            onLeft: boolean;
                            onRight: boolean;
                            classes: (string | Object)[];
                            locale: {
                                id: any;
                                daysInWeek: number;
                                firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                                masks: any;
                                timezone: string | undefined;
                                hourLabels: string[];
                                dayNames: string[];
                                dayNamesShort: string[];
                                dayNamesShorter: string[];
                                dayNamesNarrow: string[];
                                monthNames: string[];
                                monthNamesShort: string[];
                                relativeTimeNames: {
                                    day?: string | undefined;
                                    week?: string | undefined;
                                    month?: string | undefined;
                                    year?: string | undefined;
                                    days?: string | undefined;
                                    weeks?: string | undefined;
                                    seconds?: string | undefined;
                                    minutes?: string | undefined;
                                    hours?: string | undefined;
                                    months?: string | undefined;
                                    years?: string | undefined;
                                    quarter?: string | undefined;
                                    quarters?: string | undefined;
                                    hour?: string | undefined;
                                    minute?: string | undefined;
                                    second?: string | undefined;
                                };
                                amPm: [string, string];
                                monthCache: {
                                    keys: string[];
                                    store: Record<string, import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts>;
                                    size: number;
                                    createKey: (...args: any[]) => string;
                                    createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    get: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                };
                                pageCache: {
                                    keys: string[];
                                    store: Record<string, import("v-calendar/dist/types/src/utils/page.js").CachedPage>;
                                    size: number;
                                    createKey: (...args: any[]) => string;
                                    createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                    get: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                    getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                };
                                formatDate: (date: Date, masks: string | string[]) => string;
                                parseDate: (dateString: string, mask: string | string[]) => Date;
                                toDate: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date;
                                toDateOrNull: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date | null;
                                fromDate: (date: Date | null, { type, mask }?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
                                range: (source: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange;
                                ranges: (ranges: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource | import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[]) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange[];
                                getDateParts: (date: Date) => import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts;
                                getDateFromParts: (parts: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts>) => Date;
                                getDateFromParams: (year: number, month: number, day: number, hours: number, minutes: number, seconds: number, milliseconds: number) => Date;
                                getPage: (config: import("v-calendar/dist/types/src/utils/page.js").PageConfig) => import("v-calendar/dist/types/src/utils/page.js").Page;
                                getMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getThisMonthParts: () => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getPrevMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getNextMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getHourLabels: () => string[];
                                getDayId: (date: Date) => string;
                            };
                            dayIndex: number;
                            day: number;
                            dayFromEnd: number;
                            weekday: number;
                            weekdayOrdinal: number;
                            weekdayOrdinalFromEnd: number;
                            week: number;
                            weekFromEnd: number;
                            weeknumber: number;
                            month: number;
                            year: number;
                            date: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                        }[];
                        title: string;
                    }[];
                    weekdays: {
                        weekday: number;
                        label: string;
                    }[];
                    viewDays: {
                        id: string;
                        position: number;
                        label: string;
                        ariaLabel: string;
                        weekdayPosition: number;
                        weekdayPositionFromEnd: number;
                        weekPosition: number;
                        isoWeeknumber: number;
                        startDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        noonDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        endDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        isToday: boolean;
                        isFirstDay: boolean;
                        isLastDay: boolean;
                        isDisabled: boolean;
                        isFocusable: boolean;
                        isFocused: boolean;
                        inMonth: boolean;
                        inPrevMonth: boolean;
                        inNextMonth: boolean;
                        onTop: boolean;
                        onBottom: boolean;
                        onLeft: boolean;
                        onRight: boolean;
                        classes: (string | Object)[];
                        locale: {
                            id: any;
                            daysInWeek: number;
                            firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                            masks: any;
                            timezone: string | undefined;
                            hourLabels: string[];
                            dayNames: string[];
                            dayNamesShort: string[];
                            dayNamesShorter: string[];
                            dayNamesNarrow: string[];
                            monthNames: string[];
                            monthNamesShort: string[];
                            relativeTimeNames: {
                                day?: string | undefined;
                                week?: string | undefined;
                                month?: string | undefined;
                                year?: string | undefined;
                                days?: string | undefined;
                                weeks?: string | undefined;
                                seconds?: string | undefined;
                                minutes?: string | undefined;
                                hours?: string | undefined;
                                months?: string | undefined;
                                years?: string | undefined;
                                quarter?: string | undefined;
                                quarters?: string | undefined;
                                hour?: string | undefined;
                                minute?: string | undefined;
                                second?: string | undefined;
                            };
                            amPm: [string, string];
                            monthCache: {
                                keys: string[];
                                store: Record<string, import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts>;
                                size: number;
                                createKey: (...args: any[]) => string;
                                createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                get: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            };
                            pageCache: {
                                keys: string[];
                                store: Record<string, import("v-calendar/dist/types/src/utils/page.js").CachedPage>;
                                size: number;
                                createKey: (...args: any[]) => string;
                                createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                get: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                            };
                            formatDate: (date: Date, masks: string | string[]) => string;
                            parseDate: (dateString: string, mask: string | string[]) => Date;
                            toDate: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date;
                            toDateOrNull: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date | null;
                            fromDate: (date: Date | null, { type, mask }?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
                            range: (source: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange;
                            ranges: (ranges: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource | import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[]) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange[];
                            getDateParts: (date: Date) => import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts;
                            getDateFromParts: (parts: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts>) => Date;
                            getDateFromParams: (year: number, month: number, day: number, hours: number, minutes: number, seconds: number, milliseconds: number) => Date;
                            getPage: (config: import("v-calendar/dist/types/src/utils/page.js").PageConfig) => import("v-calendar/dist/types/src/utils/page.js").Page;
                            getMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getThisMonthParts: () => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getPrevMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getNextMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getHourLabels: () => string[];
                            getDayId: (date: Date) => string;
                        };
                        dayIndex: number;
                        day: number;
                        dayFromEnd: number;
                        weekday: number;
                        weekdayOrdinal: number;
                        weekdayOrdinalFromEnd: number;
                        week: number;
                        weekFromEnd: number;
                        weeknumber: number;
                        month: number;
                        year: number;
                        date: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                    }[];
                    viewWeeks: {
                        id: string;
                        week: number;
                        weekPosition: number;
                        weeknumber: number;
                        isoWeeknumber: number;
                        weeknumberDisplay?: number | undefined;
                        days: {
                            id: string;
                            position: number;
                            label: string;
                            ariaLabel: string;
                            weekdayPosition: number;
                            weekdayPositionFromEnd: number;
                            weekPosition: number;
                            isoWeeknumber: number;
                            startDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            noonDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            endDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            isToday: boolean;
                            isFirstDay: boolean;
                            isLastDay: boolean;
                            isDisabled: boolean;
                            isFocusable: boolean;
                            isFocused: boolean;
                            inMonth: boolean;
                            inPrevMonth: boolean;
                            inNextMonth: boolean;
                            onTop: boolean;
                            onBottom: boolean;
                            onLeft: boolean;
                            onRight: boolean;
                            classes: (string | Object)[];
                            locale: {
                                id: any;
                                daysInWeek: number;
                                firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                                masks: any;
                                timezone: string | undefined;
                                hourLabels: string[];
                                dayNames: string[];
                                dayNamesShort: string[];
                                dayNamesShorter: string[];
                                dayNamesNarrow: string[];
                                monthNames: string[];
                                monthNamesShort: string[];
                                relativeTimeNames: {
                                    day?: string | undefined;
                                    week?: string | undefined;
                                    month?: string | undefined;
                                    year?: string | undefined;
                                    days?: string | undefined;
                                    weeks?: string | undefined;
                                    seconds?: string | undefined;
                                    minutes?: string | undefined;
                                    hours?: string | undefined;
                                    months?: string | undefined;
                                    years?: string | undefined;
                                    quarter?: string | undefined;
                                    quarters?: string | undefined;
                                    hour?: string | undefined;
                                    minute?: string | undefined;
                                    second?: string | undefined;
                                };
                                amPm: [string, string];
                                monthCache: {
                                    keys: string[];
                                    store: Record<string, import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts>;
                                    size: number;
                                    createKey: (...args: any[]) => string;
                                    createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    get: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                };
                                pageCache: {
                                    keys: string[];
                                    store: Record<string, import("v-calendar/dist/types/src/utils/page.js").CachedPage>;
                                    size: number;
                                    createKey: (...args: any[]) => string;
                                    createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                    get: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                    getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                };
                                formatDate: (date: Date, masks: string | string[]) => string;
                                parseDate: (dateString: string, mask: string | string[]) => Date;
                                toDate: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date;
                                toDateOrNull: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date | null;
                                fromDate: (date: Date | null, { type, mask }?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
                                range: (source: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange;
                                ranges: (ranges: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource | import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[]) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange[];
                                getDateParts: (date: Date) => import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts;
                                getDateFromParts: (parts: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts>) => Date;
                                getDateFromParams: (year: number, month: number, day: number, hours: number, minutes: number, seconds: number, milliseconds: number) => Date;
                                getPage: (config: import("v-calendar/dist/types/src/utils/page.js").PageConfig) => import("v-calendar/dist/types/src/utils/page.js").Page;
                                getMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getThisMonthParts: () => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getPrevMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getNextMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getHourLabels: () => string[];
                                getDayId: (date: Date) => string;
                            };
                            dayIndex: number;
                            day: number;
                            dayFromEnd: number;
                            weekday: number;
                            weekdayOrdinal: number;
                            weekdayOrdinalFromEnd: number;
                            week: number;
                            weekFromEnd: number;
                            weeknumber: number;
                            month: number;
                            year: number;
                            date: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                        }[];
                        title: string;
                    }[];
                }[]>;
                transitionName: import("vue").Ref<string>;
                theme: import("vue").ComputedRef<import("v-calendar/dist/types/src/utils/theme.js").Theme>;
                color: import("vue").ComputedRef<string>;
                displayMode: import("vue").ComputedRef<"light" | "dark">;
                locale: import("vue").ComputedRef<import("v-calendar/dist/types/src/utils/locale.js").default>;
                masks: import("vue").ComputedRef<any>;
                attributes: import("vue").ComputedRef<import("v-calendar/dist/types/src/utils/attribute.js").Attribute[]>;
                disabledAttribute: import("vue").ComputedRef<import("v-calendar/dist/types/src/utils/attribute.js").Attribute>;
                disabledDates: import("vue").ComputedRef<import("v-calendar/dist/types/src/utils/date/range.js").DateRange[]>;
                attributeContext: import("vue").ComputedRef<import("v-calendar/dist/types/src/utils/date/range.js").DateRangeContext>;
                days: import("vue").ComputedRef<import("v-calendar/dist/types/src/utils/page.js").CalendarDay[]>;
                dayCells: import("vue").ComputedRef<import("v-calendar/dist/types/src/use/calendar.js").DayCells>;
                count: import("vue").ComputedRef<number>;
                step: import("vue").ComputedRef<number>;
                firstPage: import("vue").ComputedRef<{
                    id: string;
                    day?: number | undefined;
                    week?: number | undefined;
                    month: number;
                    year: number;
                    view: import("v-calendar/dist/types/src/utils/page.js").PageView;
                    trimWeeks: boolean;
                    position: number;
                    row: number;
                    rowFromEnd: number;
                    column: number;
                    columnFromEnd: number;
                    showWeeknumbers: boolean;
                    showIsoWeeknumbers: boolean;
                    weeknumberPosition: string;
                    monthTitle: string;
                    weekTitle?: string | undefined;
                    dayTitle?: string | undefined;
                    title: string;
                    titlePosition: import("v-calendar/dist/types/src/utils/page.js").TitlePosition;
                    shortMonthLabel: string;
                    monthLabel: string;
                    shortYearLabel: string;
                    yearLabel: string;
                    monthComps: {
                        firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                        firstDayOfMonth: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        inLeapYear: boolean;
                        firstWeekday: number;
                        numDays: number;
                        numWeeks: number;
                        month: number;
                        year: number;
                        weeknumbers: number[];
                        isoWeeknumbers: number[];
                    };
                    prevMonthComps: {
                        firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                        firstDayOfMonth: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        inLeapYear: boolean;
                        firstWeekday: number;
                        numDays: number;
                        numWeeks: number;
                        month: number;
                        year: number;
                        weeknumbers: number[];
                        isoWeeknumbers: number[];
                    };
                    nextMonthComps: {
                        firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                        firstDayOfMonth: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        inLeapYear: boolean;
                        firstWeekday: number;
                        numDays: number;
                        numWeeks: number;
                        month: number;
                        year: number;
                        weeknumbers: number[];
                        isoWeeknumbers: number[];
                    };
                    days: {
                        id: string;
                        position: number;
                        label: string;
                        ariaLabel: string;
                        weekdayPosition: number;
                        weekdayPositionFromEnd: number;
                        weekPosition: number;
                        isoWeeknumber: number;
                        startDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        noonDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        endDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        isToday: boolean;
                        isFirstDay: boolean;
                        isLastDay: boolean;
                        isDisabled: boolean;
                        isFocusable: boolean;
                        isFocused: boolean;
                        inMonth: boolean;
                        inPrevMonth: boolean;
                        inNextMonth: boolean;
                        onTop: boolean;
                        onBottom: boolean;
                        onLeft: boolean;
                        onRight: boolean;
                        classes: (string | Object)[];
                        locale: {
                            id: any;
                            daysInWeek: number;
                            firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                            masks: any;
                            timezone: string | undefined;
                            hourLabels: string[];
                            dayNames: string[];
                            dayNamesShort: string[];
                            dayNamesShorter: string[];
                            dayNamesNarrow: string[];
                            monthNames: string[];
                            monthNamesShort: string[];
                            relativeTimeNames: {
                                day?: string | undefined;
                                week?: string | undefined;
                                month?: string | undefined;
                                year?: string | undefined;
                                days?: string | undefined;
                                weeks?: string | undefined;
                                seconds?: string | undefined;
                                minutes?: string | undefined;
                                hours?: string | undefined;
                                months?: string | undefined;
                                years?: string | undefined;
                                quarter?: string | undefined;
                                quarters?: string | undefined;
                                hour?: string | undefined;
                                minute?: string | undefined;
                                second?: string | undefined;
                            };
                            amPm: [string, string];
                            monthCache: {
                                keys: string[];
                                store: Record<string, import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts>;
                                size: number;
                                createKey: (...args: any[]) => string;
                                createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                get: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            };
                            pageCache: {
                                keys: string[];
                                store: Record<string, import("v-calendar/dist/types/src/utils/page.js").CachedPage>;
                                size: number;
                                createKey: (...args: any[]) => string;
                                createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                get: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                            };
                            formatDate: (date: Date, masks: string | string[]) => string;
                            parseDate: (dateString: string, mask: string | string[]) => Date;
                            toDate: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date;
                            toDateOrNull: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date | null;
                            fromDate: (date: Date | null, { type, mask }?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
                            range: (source: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange;
                            ranges: (ranges: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource | import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[]) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange[];
                            getDateParts: (date: Date) => import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts;
                            getDateFromParts: (parts: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts>) => Date;
                            getDateFromParams: (year: number, month: number, day: number, hours: number, minutes: number, seconds: number, milliseconds: number) => Date;
                            getPage: (config: import("v-calendar/dist/types/src/utils/page.js").PageConfig) => import("v-calendar/dist/types/src/utils/page.js").Page;
                            getMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getThisMonthParts: () => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getPrevMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getNextMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getHourLabels: () => string[];
                            getDayId: (date: Date) => string;
                        };
                        dayIndex: number;
                        day: number;
                        dayFromEnd: number;
                        weekday: number;
                        weekdayOrdinal: number;
                        weekdayOrdinalFromEnd: number;
                        week: number;
                        weekFromEnd: number;
                        weeknumber: number;
                        month: number;
                        year: number;
                        date: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                    }[];
                    weeks: {
                        id: string;
                        week: number;
                        weekPosition: number;
                        weeknumber: number;
                        isoWeeknumber: number;
                        weeknumberDisplay?: number | undefined;
                        days: {
                            id: string;
                            position: number;
                            label: string;
                            ariaLabel: string;
                            weekdayPosition: number;
                            weekdayPositionFromEnd: number;
                            weekPosition: number;
                            isoWeeknumber: number;
                            startDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            noonDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            endDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            isToday: boolean;
                            isFirstDay: boolean;
                            isLastDay: boolean;
                            isDisabled: boolean;
                            isFocusable: boolean;
                            isFocused: boolean;
                            inMonth: boolean;
                            inPrevMonth: boolean;
                            inNextMonth: boolean;
                            onTop: boolean;
                            onBottom: boolean;
                            onLeft: boolean;
                            onRight: boolean;
                            classes: (string | Object)[];
                            locale: {
                                id: any;
                                daysInWeek: number;
                                firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                                masks: any;
                                timezone: string | undefined;
                                hourLabels: string[];
                                dayNames: string[];
                                dayNamesShort: string[];
                                dayNamesShorter: string[];
                                dayNamesNarrow: string[];
                                monthNames: string[];
                                monthNamesShort: string[];
                                relativeTimeNames: {
                                    day?: string | undefined;
                                    week?: string | undefined;
                                    month?: string | undefined;
                                    year?: string | undefined;
                                    days?: string | undefined;
                                    weeks?: string | undefined;
                                    seconds?: string | undefined;
                                    minutes?: string | undefined;
                                    hours?: string | undefined;
                                    months?: string | undefined;
                                    years?: string | undefined;
                                    quarter?: string | undefined;
                                    quarters?: string | undefined;
                                    hour?: string | undefined;
                                    minute?: string | undefined;
                                    second?: string | undefined;
                                };
                                amPm: [string, string];
                                monthCache: {
                                    keys: string[];
                                    store: Record<string, import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts>;
                                    size: number;
                                    createKey: (...args: any[]) => string;
                                    createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    get: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                };
                                pageCache: {
                                    keys: string[];
                                    store: Record<string, import("v-calendar/dist/types/src/utils/page.js").CachedPage>;
                                    size: number;
                                    createKey: (...args: any[]) => string;
                                    createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                    get: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                    getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                };
                                formatDate: (date: Date, masks: string | string[]) => string;
                                parseDate: (dateString: string, mask: string | string[]) => Date;
                                toDate: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date;
                                toDateOrNull: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date | null;
                                fromDate: (date: Date | null, { type, mask }?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
                                range: (source: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange;
                                ranges: (ranges: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource | import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[]) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange[];
                                getDateParts: (date: Date) => import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts;
                                getDateFromParts: (parts: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts>) => Date;
                                getDateFromParams: (year: number, month: number, day: number, hours: number, minutes: number, seconds: number, milliseconds: number) => Date;
                                getPage: (config: import("v-calendar/dist/types/src/utils/page.js").PageConfig) => import("v-calendar/dist/types/src/utils/page.js").Page;
                                getMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getThisMonthParts: () => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getPrevMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getNextMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getHourLabels: () => string[];
                                getDayId: (date: Date) => string;
                            };
                            dayIndex: number;
                            day: number;
                            dayFromEnd: number;
                            weekday: number;
                            weekdayOrdinal: number;
                            weekdayOrdinalFromEnd: number;
                            week: number;
                            weekFromEnd: number;
                            weeknumber: number;
                            month: number;
                            year: number;
                            date: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                        }[];
                        title: string;
                    }[];
                    weekdays: {
                        weekday: number;
                        label: string;
                    }[];
                    viewDays: {
                        id: string;
                        position: number;
                        label: string;
                        ariaLabel: string;
                        weekdayPosition: number;
                        weekdayPositionFromEnd: number;
                        weekPosition: number;
                        isoWeeknumber: number;
                        startDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        noonDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        endDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        isToday: boolean;
                        isFirstDay: boolean;
                        isLastDay: boolean;
                        isDisabled: boolean;
                        isFocusable: boolean;
                        isFocused: boolean;
                        inMonth: boolean;
                        inPrevMonth: boolean;
                        inNextMonth: boolean;
                        onTop: boolean;
                        onBottom: boolean;
                        onLeft: boolean;
                        onRight: boolean;
                        classes: (string | Object)[];
                        locale: {
                            id: any;
                            daysInWeek: number;
                            firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                            masks: any;
                            timezone: string | undefined;
                            hourLabels: string[];
                            dayNames: string[];
                            dayNamesShort: string[];
                            dayNamesShorter: string[];
                            dayNamesNarrow: string[];
                            monthNames: string[];
                            monthNamesShort: string[];
                            relativeTimeNames: {
                                day?: string | undefined;
                                week?: string | undefined;
                                month?: string | undefined;
                                year?: string | undefined;
                                days?: string | undefined;
                                weeks?: string | undefined;
                                seconds?: string | undefined;
                                minutes?: string | undefined;
                                hours?: string | undefined;
                                months?: string | undefined;
                                years?: string | undefined;
                                quarter?: string | undefined;
                                quarters?: string | undefined;
                                hour?: string | undefined;
                                minute?: string | undefined;
                                second?: string | undefined;
                            };
                            amPm: [string, string];
                            monthCache: {
                                keys: string[];
                                store: Record<string, import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts>;
                                size: number;
                                createKey: (...args: any[]) => string;
                                createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                get: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            };
                            pageCache: {
                                keys: string[];
                                store: Record<string, import("v-calendar/dist/types/src/utils/page.js").CachedPage>;
                                size: number;
                                createKey: (...args: any[]) => string;
                                createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                get: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                            };
                            formatDate: (date: Date, masks: string | string[]) => string;
                            parseDate: (dateString: string, mask: string | string[]) => Date;
                            toDate: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date;
                            toDateOrNull: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date | null;
                            fromDate: (date: Date | null, { type, mask }?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
                            range: (source: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange;
                            ranges: (ranges: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource | import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[]) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange[];
                            getDateParts: (date: Date) => import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts;
                            getDateFromParts: (parts: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts>) => Date;
                            getDateFromParams: (year: number, month: number, day: number, hours: number, minutes: number, seconds: number, milliseconds: number) => Date;
                            getPage: (config: import("v-calendar/dist/types/src/utils/page.js").PageConfig) => import("v-calendar/dist/types/src/utils/page.js").Page;
                            getMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getThisMonthParts: () => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getPrevMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getNextMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getHourLabels: () => string[];
                            getDayId: (date: Date) => string;
                        };
                        dayIndex: number;
                        day: number;
                        dayFromEnd: number;
                        weekday: number;
                        weekdayOrdinal: number;
                        weekdayOrdinalFromEnd: number;
                        week: number;
                        weekFromEnd: number;
                        weeknumber: number;
                        month: number;
                        year: number;
                        date: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                    }[];
                    viewWeeks: {
                        id: string;
                        week: number;
                        weekPosition: number;
                        weeknumber: number;
                        isoWeeknumber: number;
                        weeknumberDisplay?: number | undefined;
                        days: {
                            id: string;
                            position: number;
                            label: string;
                            ariaLabel: string;
                            weekdayPosition: number;
                            weekdayPositionFromEnd: number;
                            weekPosition: number;
                            isoWeeknumber: number;
                            startDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            noonDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            endDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            isToday: boolean;
                            isFirstDay: boolean;
                            isLastDay: boolean;
                            isDisabled: boolean;
                            isFocusable: boolean;
                            isFocused: boolean;
                            inMonth: boolean;
                            inPrevMonth: boolean;
                            inNextMonth: boolean;
                            onTop: boolean;
                            onBottom: boolean;
                            onLeft: boolean;
                            onRight: boolean;
                            classes: (string | Object)[];
                            locale: {
                                id: any;
                                daysInWeek: number;
                                firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                                masks: any;
                                timezone: string | undefined;
                                hourLabels: string[];
                                dayNames: string[];
                                dayNamesShort: string[];
                                dayNamesShorter: string[];
                                dayNamesNarrow: string[];
                                monthNames: string[];
                                monthNamesShort: string[];
                                relativeTimeNames: {
                                    day?: string | undefined;
                                    week?: string | undefined;
                                    month?: string | undefined;
                                    year?: string | undefined;
                                    days?: string | undefined;
                                    weeks?: string | undefined;
                                    seconds?: string | undefined;
                                    minutes?: string | undefined;
                                    hours?: string | undefined;
                                    months?: string | undefined;
                                    years?: string | undefined;
                                    quarter?: string | undefined;
                                    quarters?: string | undefined;
                                    hour?: string | undefined;
                                    minute?: string | undefined;
                                    second?: string | undefined;
                                };
                                amPm: [string, string];
                                monthCache: {
                                    keys: string[];
                                    store: Record<string, import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts>;
                                    size: number;
                                    createKey: (...args: any[]) => string;
                                    createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    get: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                };
                                pageCache: {
                                    keys: string[];
                                    store: Record<string, import("v-calendar/dist/types/src/utils/page.js").CachedPage>;
                                    size: number;
                                    createKey: (...args: any[]) => string;
                                    createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                    get: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                    getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                };
                                formatDate: (date: Date, masks: string | string[]) => string;
                                parseDate: (dateString: string, mask: string | string[]) => Date;
                                toDate: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date;
                                toDateOrNull: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date | null;
                                fromDate: (date: Date | null, { type, mask }?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
                                range: (source: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange;
                                ranges: (ranges: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource | import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[]) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange[];
                                getDateParts: (date: Date) => import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts;
                                getDateFromParts: (parts: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts>) => Date;
                                getDateFromParams: (year: number, month: number, day: number, hours: number, minutes: number, seconds: number, milliseconds: number) => Date;
                                getPage: (config: import("v-calendar/dist/types/src/utils/page.js").PageConfig) => import("v-calendar/dist/types/src/utils/page.js").Page;
                                getMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getThisMonthParts: () => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getPrevMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getNextMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getHourLabels: () => string[];
                                getDayId: (date: Date) => string;
                            };
                            dayIndex: number;
                            day: number;
                            dayFromEnd: number;
                            weekday: number;
                            weekdayOrdinal: number;
                            weekdayOrdinalFromEnd: number;
                            week: number;
                            weekFromEnd: number;
                            weeknumber: number;
                            month: number;
                            year: number;
                            date: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                        }[];
                        title: string;
                    }[];
                } | null>;
                lastPage: import("vue").ComputedRef<{
                    id: string;
                    day?: number | undefined;
                    week?: number | undefined;
                    month: number;
                    year: number;
                    view: import("v-calendar/dist/types/src/utils/page.js").PageView;
                    trimWeeks: boolean;
                    position: number;
                    row: number;
                    rowFromEnd: number;
                    column: number;
                    columnFromEnd: number;
                    showWeeknumbers: boolean;
                    showIsoWeeknumbers: boolean;
                    weeknumberPosition: string;
                    monthTitle: string;
                    weekTitle?: string | undefined;
                    dayTitle?: string | undefined;
                    title: string;
                    titlePosition: import("v-calendar/dist/types/src/utils/page.js").TitlePosition;
                    shortMonthLabel: string;
                    monthLabel: string;
                    shortYearLabel: string;
                    yearLabel: string;
                    monthComps: {
                        firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                        firstDayOfMonth: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        inLeapYear: boolean;
                        firstWeekday: number;
                        numDays: number;
                        numWeeks: number;
                        month: number;
                        year: number;
                        weeknumbers: number[];
                        isoWeeknumbers: number[];
                    };
                    prevMonthComps: {
                        firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                        firstDayOfMonth: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        inLeapYear: boolean;
                        firstWeekday: number;
                        numDays: number;
                        numWeeks: number;
                        month: number;
                        year: number;
                        weeknumbers: number[];
                        isoWeeknumbers: number[];
                    };
                    nextMonthComps: {
                        firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                        firstDayOfMonth: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        inLeapYear: boolean;
                        firstWeekday: number;
                        numDays: number;
                        numWeeks: number;
                        month: number;
                        year: number;
                        weeknumbers: number[];
                        isoWeeknumbers: number[];
                    };
                    days: {
                        id: string;
                        position: number;
                        label: string;
                        ariaLabel: string;
                        weekdayPosition: number;
                        weekdayPositionFromEnd: number;
                        weekPosition: number;
                        isoWeeknumber: number;
                        startDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        noonDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        endDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        isToday: boolean;
                        isFirstDay: boolean;
                        isLastDay: boolean;
                        isDisabled: boolean;
                        isFocusable: boolean;
                        isFocused: boolean;
                        inMonth: boolean;
                        inPrevMonth: boolean;
                        inNextMonth: boolean;
                        onTop: boolean;
                        onBottom: boolean;
                        onLeft: boolean;
                        onRight: boolean;
                        classes: (string | Object)[];
                        locale: {
                            id: any;
                            daysInWeek: number;
                            firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                            masks: any;
                            timezone: string | undefined;
                            hourLabels: string[];
                            dayNames: string[];
                            dayNamesShort: string[];
                            dayNamesShorter: string[];
                            dayNamesNarrow: string[];
                            monthNames: string[];
                            monthNamesShort: string[];
                            relativeTimeNames: {
                                day?: string | undefined;
                                week?: string | undefined;
                                month?: string | undefined;
                                year?: string | undefined;
                                days?: string | undefined;
                                weeks?: string | undefined;
                                seconds?: string | undefined;
                                minutes?: string | undefined;
                                hours?: string | undefined;
                                months?: string | undefined;
                                years?: string | undefined;
                                quarter?: string | undefined;
                                quarters?: string | undefined;
                                hour?: string | undefined;
                                minute?: string | undefined;
                                second?: string | undefined;
                            };
                            amPm: [string, string];
                            monthCache: {
                                keys: string[];
                                store: Record<string, import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts>;
                                size: number;
                                createKey: (...args: any[]) => string;
                                createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                get: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            };
                            pageCache: {
                                keys: string[];
                                store: Record<string, import("v-calendar/dist/types/src/utils/page.js").CachedPage>;
                                size: number;
                                createKey: (...args: any[]) => string;
                                createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                get: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                            };
                            formatDate: (date: Date, masks: string | string[]) => string;
                            parseDate: (dateString: string, mask: string | string[]) => Date;
                            toDate: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date;
                            toDateOrNull: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date | null;
                            fromDate: (date: Date | null, { type, mask }?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
                            range: (source: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange;
                            ranges: (ranges: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource | import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[]) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange[];
                            getDateParts: (date: Date) => import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts;
                            getDateFromParts: (parts: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts>) => Date;
                            getDateFromParams: (year: number, month: number, day: number, hours: number, minutes: number, seconds: number, milliseconds: number) => Date;
                            getPage: (config: import("v-calendar/dist/types/src/utils/page.js").PageConfig) => import("v-calendar/dist/types/src/utils/page.js").Page;
                            getMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getThisMonthParts: () => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getPrevMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getNextMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getHourLabels: () => string[];
                            getDayId: (date: Date) => string;
                        };
                        dayIndex: number;
                        day: number;
                        dayFromEnd: number;
                        weekday: number;
                        weekdayOrdinal: number;
                        weekdayOrdinalFromEnd: number;
                        week: number;
                        weekFromEnd: number;
                        weeknumber: number;
                        month: number;
                        year: number;
                        date: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                    }[];
                    weeks: {
                        id: string;
                        week: number;
                        weekPosition: number;
                        weeknumber: number;
                        isoWeeknumber: number;
                        weeknumberDisplay?: number | undefined;
                        days: {
                            id: string;
                            position: number;
                            label: string;
                            ariaLabel: string;
                            weekdayPosition: number;
                            weekdayPositionFromEnd: number;
                            weekPosition: number;
                            isoWeeknumber: number;
                            startDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            noonDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            endDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            isToday: boolean;
                            isFirstDay: boolean;
                            isLastDay: boolean;
                            isDisabled: boolean;
                            isFocusable: boolean;
                            isFocused: boolean;
                            inMonth: boolean;
                            inPrevMonth: boolean;
                            inNextMonth: boolean;
                            onTop: boolean;
                            onBottom: boolean;
                            onLeft: boolean;
                            onRight: boolean;
                            classes: (string | Object)[];
                            locale: {
                                id: any;
                                daysInWeek: number;
                                firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                                masks: any;
                                timezone: string | undefined;
                                hourLabels: string[];
                                dayNames: string[];
                                dayNamesShort: string[];
                                dayNamesShorter: string[];
                                dayNamesNarrow: string[];
                                monthNames: string[];
                                monthNamesShort: string[];
                                relativeTimeNames: {
                                    day?: string | undefined;
                                    week?: string | undefined;
                                    month?: string | undefined;
                                    year?: string | undefined;
                                    days?: string | undefined;
                                    weeks?: string | undefined;
                                    seconds?: string | undefined;
                                    minutes?: string | undefined;
                                    hours?: string | undefined;
                                    months?: string | undefined;
                                    years?: string | undefined;
                                    quarter?: string | undefined;
                                    quarters?: string | undefined;
                                    hour?: string | undefined;
                                    minute?: string | undefined;
                                    second?: string | undefined;
                                };
                                amPm: [string, string];
                                monthCache: {
                                    keys: string[];
                                    store: Record<string, import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts>;
                                    size: number;
                                    createKey: (...args: any[]) => string;
                                    createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    get: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                };
                                pageCache: {
                                    keys: string[];
                                    store: Record<string, import("v-calendar/dist/types/src/utils/page.js").CachedPage>;
                                    size: number;
                                    createKey: (...args: any[]) => string;
                                    createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                    get: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                    getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                };
                                formatDate: (date: Date, masks: string | string[]) => string;
                                parseDate: (dateString: string, mask: string | string[]) => Date;
                                toDate: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date;
                                toDateOrNull: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date | null;
                                fromDate: (date: Date | null, { type, mask }?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
                                range: (source: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange;
                                ranges: (ranges: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource | import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[]) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange[];
                                getDateParts: (date: Date) => import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts;
                                getDateFromParts: (parts: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts>) => Date;
                                getDateFromParams: (year: number, month: number, day: number, hours: number, minutes: number, seconds: number, milliseconds: number) => Date;
                                getPage: (config: import("v-calendar/dist/types/src/utils/page.js").PageConfig) => import("v-calendar/dist/types/src/utils/page.js").Page;
                                getMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getThisMonthParts: () => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getPrevMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getNextMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getHourLabels: () => string[];
                                getDayId: (date: Date) => string;
                            };
                            dayIndex: number;
                            day: number;
                            dayFromEnd: number;
                            weekday: number;
                            weekdayOrdinal: number;
                            weekdayOrdinalFromEnd: number;
                            week: number;
                            weekFromEnd: number;
                            weeknumber: number;
                            month: number;
                            year: number;
                            date: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                        }[];
                        title: string;
                    }[];
                    weekdays: {
                        weekday: number;
                        label: string;
                    }[];
                    viewDays: {
                        id: string;
                        position: number;
                        label: string;
                        ariaLabel: string;
                        weekdayPosition: number;
                        weekdayPositionFromEnd: number;
                        weekPosition: number;
                        isoWeeknumber: number;
                        startDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        noonDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        endDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        isToday: boolean;
                        isFirstDay: boolean;
                        isLastDay: boolean;
                        isDisabled: boolean;
                        isFocusable: boolean;
                        isFocused: boolean;
                        inMonth: boolean;
                        inPrevMonth: boolean;
                        inNextMonth: boolean;
                        onTop: boolean;
                        onBottom: boolean;
                        onLeft: boolean;
                        onRight: boolean;
                        classes: (string | Object)[];
                        locale: {
                            id: any;
                            daysInWeek: number;
                            firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                            masks: any;
                            timezone: string | undefined;
                            hourLabels: string[];
                            dayNames: string[];
                            dayNamesShort: string[];
                            dayNamesShorter: string[];
                            dayNamesNarrow: string[];
                            monthNames: string[];
                            monthNamesShort: string[];
                            relativeTimeNames: {
                                day?: string | undefined;
                                week?: string | undefined;
                                month?: string | undefined;
                                year?: string | undefined;
                                days?: string | undefined;
                                weeks?: string | undefined;
                                seconds?: string | undefined;
                                minutes?: string | undefined;
                                hours?: string | undefined;
                                months?: string | undefined;
                                years?: string | undefined;
                                quarter?: string | undefined;
                                quarters?: string | undefined;
                                hour?: string | undefined;
                                minute?: string | undefined;
                                second?: string | undefined;
                            };
                            amPm: [string, string];
                            monthCache: {
                                keys: string[];
                                store: Record<string, import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts>;
                                size: number;
                                createKey: (...args: any[]) => string;
                                createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                get: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            };
                            pageCache: {
                                keys: string[];
                                store: Record<string, import("v-calendar/dist/types/src/utils/page.js").CachedPage>;
                                size: number;
                                createKey: (...args: any[]) => string;
                                createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                get: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                            };
                            formatDate: (date: Date, masks: string | string[]) => string;
                            parseDate: (dateString: string, mask: string | string[]) => Date;
                            toDate: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date;
                            toDateOrNull: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date | null;
                            fromDate: (date: Date | null, { type, mask }?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
                            range: (source: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange;
                            ranges: (ranges: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource | import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[]) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange[];
                            getDateParts: (date: Date) => import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts;
                            getDateFromParts: (parts: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts>) => Date;
                            getDateFromParams: (year: number, month: number, day: number, hours: number, minutes: number, seconds: number, milliseconds: number) => Date;
                            getPage: (config: import("v-calendar/dist/types/src/utils/page.js").PageConfig) => import("v-calendar/dist/types/src/utils/page.js").Page;
                            getMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getThisMonthParts: () => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getPrevMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getNextMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getHourLabels: () => string[];
                            getDayId: (date: Date) => string;
                        };
                        dayIndex: number;
                        day: number;
                        dayFromEnd: number;
                        weekday: number;
                        weekdayOrdinal: number;
                        weekdayOrdinalFromEnd: number;
                        week: number;
                        weekFromEnd: number;
                        weeknumber: number;
                        month: number;
                        year: number;
                        date: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                    }[];
                    viewWeeks: {
                        id: string;
                        week: number;
                        weekPosition: number;
                        weeknumber: number;
                        isoWeeknumber: number;
                        weeknumberDisplay?: number | undefined;
                        days: {
                            id: string;
                            position: number;
                            label: string;
                            ariaLabel: string;
                            weekdayPosition: number;
                            weekdayPositionFromEnd: number;
                            weekPosition: number;
                            isoWeeknumber: number;
                            startDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            noonDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            endDate: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                            isToday: boolean;
                            isFirstDay: boolean;
                            isLastDay: boolean;
                            isDisabled: boolean;
                            isFocusable: boolean;
                            isFocused: boolean;
                            inMonth: boolean;
                            inPrevMonth: boolean;
                            inNextMonth: boolean;
                            onTop: boolean;
                            onBottom: boolean;
                            onLeft: boolean;
                            onRight: boolean;
                            classes: (string | Object)[];
                            locale: {
                                id: any;
                                daysInWeek: number;
                                firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                                masks: any;
                                timezone: string | undefined;
                                hourLabels: string[];
                                dayNames: string[];
                                dayNamesShort: string[];
                                dayNamesShorter: string[];
                                dayNamesNarrow: string[];
                                monthNames: string[];
                                monthNamesShort: string[];
                                relativeTimeNames: {
                                    day?: string | undefined;
                                    week?: string | undefined;
                                    month?: string | undefined;
                                    year?: string | undefined;
                                    days?: string | undefined;
                                    weeks?: string | undefined;
                                    seconds?: string | undefined;
                                    minutes?: string | undefined;
                                    hours?: string | undefined;
                                    months?: string | undefined;
                                    years?: string | undefined;
                                    quarter?: string | undefined;
                                    quarters?: string | undefined;
                                    hour?: string | undefined;
                                    minute?: string | undefined;
                                    second?: string | undefined;
                                };
                                amPm: [string, string];
                                monthCache: {
                                    keys: string[];
                                    store: Record<string, import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts>;
                                    size: number;
                                    createKey: (...args: any[]) => string;
                                    createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    get: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                    getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                };
                                pageCache: {
                                    keys: string[];
                                    store: Record<string, import("v-calendar/dist/types/src/utils/page.js").CachedPage>;
                                    size: number;
                                    createKey: (...args: any[]) => string;
                                    createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                    get: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                    getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                };
                                formatDate: (date: Date, masks: string | string[]) => string;
                                parseDate: (dateString: string, mask: string | string[]) => Date;
                                toDate: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date;
                                toDateOrNull: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date | null;
                                fromDate: (date: Date | null, { type, mask }?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
                                range: (source: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange;
                                ranges: (ranges: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource | import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[]) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange[];
                                getDateParts: (date: Date) => import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts;
                                getDateFromParts: (parts: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts>) => Date;
                                getDateFromParams: (year: number, month: number, day: number, hours: number, minutes: number, seconds: number, milliseconds: number) => Date;
                                getPage: (config: import("v-calendar/dist/types/src/utils/page.js").PageConfig) => import("v-calendar/dist/types/src/utils/page.js").Page;
                                getMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getThisMonthParts: () => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getPrevMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getNextMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getHourLabels: () => string[];
                                getDayId: (date: Date) => string;
                            };
                            dayIndex: number;
                            day: number;
                            dayFromEnd: number;
                            weekday: number;
                            weekdayOrdinal: number;
                            weekdayOrdinalFromEnd: number;
                            week: number;
                            weekFromEnd: number;
                            weeknumber: number;
                            month: number;
                            year: number;
                            date: {
                                toString: () => string;
                                toDateString: () => string;
                                toTimeString: () => string;
                                toLocaleString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleDateString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                toLocaleTimeString: {
                                    (): string;
                                    (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                    (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                                };
                                valueOf: () => number;
                                getTime: () => number;
                                getFullYear: () => number;
                                getUTCFullYear: () => number;
                                getMonth: () => number;
                                getUTCMonth: () => number;
                                getDate: () => number;
                                getUTCDate: () => number;
                                getDay: () => number;
                                getUTCDay: () => number;
                                getHours: () => number;
                                getUTCHours: () => number;
                                getMinutes: () => number;
                                getUTCMinutes: () => number;
                                getSeconds: () => number;
                                getUTCSeconds: () => number;
                                getMilliseconds: () => number;
                                getUTCMilliseconds: () => number;
                                getTimezoneOffset: () => number;
                                setTime: (time: number) => number;
                                setMilliseconds: (ms: number) => number;
                                setUTCMilliseconds: (ms: number) => number;
                                setSeconds: (sec: number, ms?: number | undefined) => number;
                                setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                                setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                                setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                                setDate: (date: number) => number;
                                setUTCDate: (date: number) => number;
                                setMonth: (month: number, date?: number | undefined) => number;
                                setUTCMonth: (month: number, date?: number | undefined) => number;
                                setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                                toUTCString: () => string;
                                toISOString: () => string;
                                toJSON: (key?: any) => string;
                                getVarDate: () => VarDate;
                                [Symbol.toPrimitive]: {
                                    (hint: "default"): string;
                                    (hint: "string"): string;
                                    (hint: "number"): number;
                                    (hint: string): string | number;
                                };
                            };
                        }[];
                        title: string;
                    }[];
                } | null>;
                canMovePrev: import("vue").ComputedRef<boolean>;
                canMoveNext: import("vue").ComputedRef<boolean>;
                minPage: import("vue").ComputedRef<import("v-calendar/dist/types/src/utils/page.js").PageAddress | null>;
                maxPage: import("vue").ComputedRef<import("v-calendar/dist/types/src/utils/page.js").PageAddress | null>;
                isMonthly: import("vue").ComputedRef<boolean>;
                isWeekly: import("vue").ComputedRef<boolean>;
                isDaily: import("vue").ComputedRef<boolean>;
                navVisibility: import("vue").ComputedRef<import("v-calendar/dist/types/src/utils/popovers.js").PopoverVisibility>;
                showWeeknumbers: import("vue").ComputedRef<boolean>;
                showIsoWeeknumbers: import("vue").ComputedRef<boolean>;
                getDateAddress: (date: import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource) => import("v-calendar/dist/types/src/utils/page.js").PageAddress;
                canMove: (target: import("v-calendar/dist/types/src/use/calendar.js").MoveTarget, opts?: Partial<import("v-calendar/dist/types/src/use/calendar.js").MoveOptions>) => boolean;
                canMoveBy: (pages: number, opts?: Partial<import("v-calendar/dist/types/src/use/calendar.js").MoveOptions>) => boolean;
                move: (target: import("v-calendar/dist/types/src/use/calendar.js").MoveTarget, opts?: Partial<import("v-calendar/dist/types/src/use/calendar.js").MoveOptions>) => Promise<boolean>;
                moveBy: (pages: number, opts?: Partial<import("v-calendar/dist/types/src/use/calendar.js").MoveOptions>) => Promise<boolean>;
                movePrev: () => Promise<boolean>;
                moveNext: () => Promise<boolean>;
                onTransitionBeforeEnter: () => void;
                onTransitionAfterEnter: () => void;
                tryFocusDate: (date: Date) => boolean;
                focusDate: (date: Date, opts?: Partial<import("v-calendar/dist/types/src/use/calendar.js").MoveOptions>) => Promise<boolean>;
                onKeydown: (event: KeyboardEvent) => void;
                onDayKeydown: (day: import("v-calendar/dist/types/src/utils/page.js").CalendarDay, event: KeyboardEvent) => void;
                onDayClick: (day: import("v-calendar/dist/types/src/utils/page.js").CalendarDay, event: MouseEvent) => void;
                onDayMouseenter: (day: import("v-calendar/dist/types/src/utils/page.js").CalendarDay, event: MouseEvent) => void;
                onDayMouseleave: (day: import("v-calendar/dist/types/src/utils/page.js").CalendarDay, event: MouseEvent) => void;
                onDayFocusin: (day: import("v-calendar/dist/types/src/utils/page.js").CalendarDay, event: FocusEvent | null) => void;
                onDayFocusout: (day: import("v-calendar/dist/types/src/utils/page.js").CalendarDay, event: FocusEvent) => void;
                onWeeknumberClick: (week: import("v-calendar/dist/types/src/utils/page.js").CalendarWeek, event: MouseEvent) => void;
            }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, {
                view: import("v-calendar/dist/types/src/use/calendar.js").CalendarView;
                trimWeeks: boolean;
                titlePosition: import("v-calendar/dist/types/src/utils/page.js").TitlePosition;
                color: string;
                isDark: boolean | "system" | import("vue-screen-utils").DarkModeClassConfig;
                navVisibility: import("v-calendar/dist/types/src/utils/popovers.js").PopoverVisibility;
                rows: number;
                columns: number;
                expanded: boolean;
                borderless: boolean;
                transparent: boolean;
                initialPagePosition: number;
                disablePageSwipe: boolean;
            }, {}, string> & {
                beforeCreate?: ((() => void) | (() => void)[]) | undefined;
                created?: ((() => void) | (() => void)[]) | undefined;
                beforeMount?: ((() => void) | (() => void)[]) | undefined;
                mounted?: ((() => void) | (() => void)[]) | undefined;
                beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
                updated?: ((() => void) | (() => void)[]) | undefined;
                activated?: ((() => void) | (() => void)[]) | undefined;
                deactivated?: ((() => void) | (() => void)[]) | undefined;
                beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
                beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
                destroyed?: ((() => void) | (() => void)[]) | undefined;
                unmounted?: ((() => void) | (() => void)[]) | undefined;
                renderTracked?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
                renderTriggered?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
                errorCaptured?: (((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null, info: string) => boolean | void)[]) | undefined;
            };
            $forceUpdate: () => void;
            $nextTick: typeof import("vue").nextTick;
            $watch<T extends string | ((...args: any) => any)>(source: T, cb: T extends (...args: any) => infer R ? (args_0: R, args_1: R) => any : (...args: any) => any, options?: import("vue").WatchOptions<boolean> | undefined): import("vue").WatchStopHandle;
        } & Readonly<import("vue").ExtractPropTypes<{
            view: {
                type: import("vue").PropType<import("v-calendar/dist/types/src/use/calendar.js").CalendarView>;
                default: string;
                validator(value: string): boolean;
            };
            rows: {
                type: NumberConstructor;
                default: number;
            };
            columns: {
                type: NumberConstructor;
                default: number;
            };
            step: NumberConstructor;
            titlePosition: {
                type: import("vue").PropType<import("v-calendar/dist/types/src/utils/page.js").TitlePosition>;
                default: () => import("v-calendar/dist/types/src/utils/page.js").TitlePosition;
            };
            navVisibility: {
                type: import("vue").PropType<import("v-calendar/dist/types/src/utils/popovers.js").PopoverVisibility>;
                default: () => import("v-calendar/dist/types/src/utils/popovers.js").PopoverVisibility;
            };
            showWeeknumbers: (BooleanConstructor | StringConstructor)[];
            showIsoWeeknumbers: (BooleanConstructor | StringConstructor)[];
            expanded: BooleanConstructor;
            borderless: BooleanConstructor;
            transparent: BooleanConstructor;
            initialPage: import("vue").PropType<import("v-calendar/dist/types/src/utils/page.js").PageAddress>;
            initialPagePosition: {
                type: NumberConstructor;
                default: number;
            };
            minPage: import("vue").PropType<import("v-calendar/dist/types/src/utils/page.js").PageAddress>;
            maxPage: import("vue").PropType<import("v-calendar/dist/types/src/utils/page.js").PageAddress>;
            transition: import("vue").PropType<import("v-calendar/dist/types/src/use/calendar.js").MoveTransition>;
            attributes: import("vue").PropType<Partial<{
                key: string | number;
                hashcode: string;
                content: import("v-calendar/dist/types/src/utils/glyph.js").ContentConfig;
                highlight: import("v-calendar/dist/types/src/utils/glyph.js").HighlightConfig;
                dot: import("v-calendar/dist/types/src/utils/glyph.js").DotConfig;
                bar: import("v-calendar/dist/types/src/utils/glyph.js").BarConfig;
                popover: Partial<{
                    label: string;
                    visibility: import("v-calendar/dist/types/src/utils/popovers.js").PopoverVisibility;
                    placement: import("@popperjs/core/index.js").Placement;
                    hideIndicator: boolean;
                    isInteractive: boolean;
                }>;
                event: Partial<{
                    label: string;
                }>;
                dates: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[];
                customData: any;
                order: number;
                pinPage: boolean;
            }>[]>;
            trimWeeks: BooleanConstructor;
            disablePageSwipe: BooleanConstructor;
            color: {
                type: StringConstructor;
                default: () => any;
            };
            isDark: {
                type: import("vue").PropType<boolean | "system" | import("vue-screen-utils").DarkModeClassConfig>;
                default: () => any;
            };
            firstDayOfWeek: import("vue").PropType<import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek>;
            masks: ObjectConstructor;
            locale: import("vue").PropType<string | import("v-calendar/dist/types/src/utils/locale.js").default | Record<string, any>>;
            timezone: StringConstructor;
            minDate: null;
            maxDate: null;
            disabledDates: null;
        }>> & import("vue").ShallowUnwrapRef<{
            emit: ((event: string, ...args: any[]) => void) | ((event: string, ...args: any[]) => void);
            containerRef: import("vue").Ref<{
                querySelector: {
                    <K extends keyof HTMLElementTagNameMap>(selectors: K): HTMLElementTagNameMap[K] | null;
                    <K_1 extends keyof SVGElementTagNameMap>(selectors: K_1): SVGElementTagNameMap[K_1] | null;
                    <E extends Element = Element>(selectors: string): E | null;
                };
                addEventListener: Function;
                removeEventListener: Function;
                dispatchEvent: Function;
            } | null>;
            focusedDay: import("vue").Ref<{
                id: string;
                position: number;
                label: string;
                ariaLabel: string;
                weekdayPosition: number;
                weekdayPositionFromEnd: number;
                weekPosition: number;
                isoWeeknumber: number;
                startDate: {
                    toString: () => string;
                    toDateString: () => string;
                    toTimeString: () => string;
                    toLocaleString: {
                        (): string;
                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                    };
                    toLocaleDateString: {
                        (): string;
                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                    };
                    toLocaleTimeString: {
                        (): string;
                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                    };
                    valueOf: () => number;
                    getTime: () => number;
                    getFullYear: () => number;
                    getUTCFullYear: () => number;
                    getMonth: () => number;
                    getUTCMonth: () => number;
                    getDate: () => number;
                    getUTCDate: () => number;
                    getDay: () => number;
                    getUTCDay: () => number;
                    getHours: () => number;
                    getUTCHours: () => number;
                    getMinutes: () => number;
                    getUTCMinutes: () => number;
                    getSeconds: () => number;
                    getUTCSeconds: () => number;
                    getMilliseconds: () => number;
                    getUTCMilliseconds: () => number;
                    getTimezoneOffset: () => number;
                    setTime: (time: number) => number;
                    setMilliseconds: (ms: number) => number;
                    setUTCMilliseconds: (ms: number) => number;
                    setSeconds: (sec: number, ms?: number | undefined) => number;
                    setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                    setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                    setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                    setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                    setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                    setDate: (date: number) => number;
                    setUTCDate: (date: number) => number;
                    setMonth: (month: number, date?: number | undefined) => number;
                    setUTCMonth: (month: number, date?: number | undefined) => number;
                    setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                    setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                    toUTCString: () => string;
                    toISOString: () => string;
                    toJSON: (key?: any) => string;
                    getVarDate: () => VarDate;
                    [Symbol.toPrimitive]: {
                        (hint: "default"): string;
                        (hint: "string"): string;
                        (hint: "number"): number;
                        (hint: string): string | number;
                    };
                };
                noonDate: {
                    toString: () => string;
                    toDateString: () => string;
                    toTimeString: () => string;
                    toLocaleString: {
                        (): string;
                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                    };
                    toLocaleDateString: {
                        (): string;
                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                    };
                    toLocaleTimeString: {
                        (): string;
                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                    };
                    valueOf: () => number;
                    getTime: () => number;
                    getFullYear: () => number;
                    getUTCFullYear: () => number;
                    getMonth: () => number;
                    getUTCMonth: () => number;
                    getDate: () => number;
                    getUTCDate: () => number;
                    getDay: () => number;
                    getUTCDay: () => number;
                    getHours: () => number;
                    getUTCHours: () => number;
                    getMinutes: () => number;
                    getUTCMinutes: () => number;
                    getSeconds: () => number;
                    getUTCSeconds: () => number;
                    getMilliseconds: () => number;
                    getUTCMilliseconds: () => number;
                    getTimezoneOffset: () => number;
                    setTime: (time: number) => number;
                    setMilliseconds: (ms: number) => number;
                    setUTCMilliseconds: (ms: number) => number;
                    setSeconds: (sec: number, ms?: number | undefined) => number;
                    setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                    setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                    setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                    setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                    setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                    setDate: (date: number) => number;
                    setUTCDate: (date: number) => number;
                    setMonth: (month: number, date?: number | undefined) => number;
                    setUTCMonth: (month: number, date?: number | undefined) => number;
                    setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                    setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                    toUTCString: () => string;
                    toISOString: () => string;
                    toJSON: (key?: any) => string;
                    getVarDate: () => VarDate;
                    [Symbol.toPrimitive]: {
                        (hint: "default"): string;
                        (hint: "string"): string;
                        (hint: "number"): number;
                        (hint: string): string | number;
                    };
                };
                endDate: {
                    toString: () => string;
                    toDateString: () => string;
                    toTimeString: () => string;
                    toLocaleString: {
                        (): string;
                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                    };
                    toLocaleDateString: {
                        (): string;
                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                    };
                    toLocaleTimeString: {
                        (): string;
                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                    };
                    valueOf: () => number;
                    getTime: () => number;
                    getFullYear: () => number;
                    getUTCFullYear: () => number;
                    getMonth: () => number;
                    getUTCMonth: () => number;
                    getDate: () => number;
                    getUTCDate: () => number;
                    getDay: () => number;
                    getUTCDay: () => number;
                    getHours: () => number;
                    getUTCHours: () => number;
                    getMinutes: () => number;
                    getUTCMinutes: () => number;
                    getSeconds: () => number;
                    getUTCSeconds: () => number;
                    getMilliseconds: () => number;
                    getUTCMilliseconds: () => number;
                    getTimezoneOffset: () => number;
                    setTime: (time: number) => number;
                    setMilliseconds: (ms: number) => number;
                    setUTCMilliseconds: (ms: number) => number;
                    setSeconds: (sec: number, ms?: number | undefined) => number;
                    setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                    setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                    setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                    setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                    setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                    setDate: (date: number) => number;
                    setUTCDate: (date: number) => number;
                    setMonth: (month: number, date?: number | undefined) => number;
                    setUTCMonth: (month: number, date?: number | undefined) => number;
                    setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                    setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                    toUTCString: () => string;
                    toISOString: () => string;
                    toJSON: (key?: any) => string;
                    getVarDate: () => VarDate;
                    [Symbol.toPrimitive]: {
                        (hint: "default"): string;
                        (hint: "string"): string;
                        (hint: "number"): number;
                        (hint: string): string | number;
                    };
                };
                isToday: boolean;
                isFirstDay: boolean;
                isLastDay: boolean;
                isDisabled: boolean;
                isFocusable: boolean;
                isFocused: boolean;
                inMonth: boolean;
                inPrevMonth: boolean;
                inNextMonth: boolean;
                onTop: boolean;
                onBottom: boolean;
                onLeft: boolean;
                onRight: boolean;
                classes: (string | Object)[];
                locale: {
                    id: any;
                    daysInWeek: number;
                    firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                    masks: any;
                    timezone: string | undefined;
                    hourLabels: string[];
                    dayNames: string[];
                    dayNamesShort: string[];
                    dayNamesShorter: string[];
                    dayNamesNarrow: string[];
                    monthNames: string[];
                    monthNamesShort: string[];
                    relativeTimeNames: {
                        day?: string | undefined;
                        week?: string | undefined;
                        month?: string | undefined;
                        year?: string | undefined;
                        days?: string | undefined;
                        weeks?: string | undefined;
                        seconds?: string | undefined;
                        minutes?: string | undefined;
                        hours?: string | undefined;
                        months?: string | undefined;
                        years?: string | undefined;
                        quarter?: string | undefined;
                        quarters?: string | undefined;
                        hour?: string | undefined;
                        minute?: string | undefined;
                        second?: string | undefined;
                    };
                    amPm: [string, string];
                    monthCache: {
                        keys: string[];
                        store: Record<string, import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts>;
                        size: number;
                        createKey: (...args: any[]) => string;
                        createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                        get: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                        getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                    };
                    pageCache: {
                        keys: string[];
                        store: Record<string, import("v-calendar/dist/types/src/utils/page.js").CachedPage>;
                        size: number;
                        createKey: (...args: any[]) => string;
                        createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                        get: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                        getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                    };
                    formatDate: (date: Date, masks: string | string[]) => string;
                    parseDate: (dateString: string, mask: string | string[]) => Date;
                    toDate: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date;
                    toDateOrNull: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date | null;
                    fromDate: (date: Date | null, { type, mask }?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
                    range: (source: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange;
                    ranges: (ranges: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource | import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[]) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange[];
                    getDateParts: (date: Date) => import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts;
                    getDateFromParts: (parts: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts>) => Date;
                    getDateFromParams: (year: number, month: number, day: number, hours: number, minutes: number, seconds: number, milliseconds: number) => Date;
                    getPage: (config: import("v-calendar/dist/types/src/utils/page.js").PageConfig) => import("v-calendar/dist/types/src/utils/page.js").Page;
                    getMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                    getThisMonthParts: () => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                    getPrevMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                    getNextMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                    getHourLabels: () => string[];
                    getDayId: (date: Date) => string;
                };
                dayIndex: number;
                day: number;
                dayFromEnd: number;
                weekday: number;
                weekdayOrdinal: number;
                weekdayOrdinalFromEnd: number;
                week: number;
                weekFromEnd: number;
                weeknumber: number;
                month: number;
                year: number;
                date: {
                    toString: () => string;
                    toDateString: () => string;
                    toTimeString: () => string;
                    toLocaleString: {
                        (): string;
                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                    };
                    toLocaleDateString: {
                        (): string;
                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                    };
                    toLocaleTimeString: {
                        (): string;
                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                    };
                    valueOf: () => number;
                    getTime: () => number;
                    getFullYear: () => number;
                    getUTCFullYear: () => number;
                    getMonth: () => number;
                    getUTCMonth: () => number;
                    getDate: () => number;
                    getUTCDate: () => number;
                    getDay: () => number;
                    getUTCDay: () => number;
                    getHours: () => number;
                    getUTCHours: () => number;
                    getMinutes: () => number;
                    getUTCMinutes: () => number;
                    getSeconds: () => number;
                    getUTCSeconds: () => number;
                    getMilliseconds: () => number;
                    getUTCMilliseconds: () => number;
                    getTimezoneOffset: () => number;
                    setTime: (time: number) => number;
                    setMilliseconds: (ms: number) => number;
                    setUTCMilliseconds: (ms: number) => number;
                    setSeconds: (sec: number, ms?: number | undefined) => number;
                    setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                    setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                    setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                    setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                    setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                    setDate: (date: number) => number;
                    setUTCDate: (date: number) => number;
                    setMonth: (month: number, date?: number | undefined) => number;
                    setUTCMonth: (month: number, date?: number | undefined) => number;
                    setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                    setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                    toUTCString: () => string;
                    toISOString: () => string;
                    toJSON: (key?: any) => string;
                    getVarDate: () => VarDate;
                    [Symbol.toPrimitive]: {
                        (hint: "default"): string;
                        (hint: "string"): string;
                        (hint: "number"): number;
                        (hint: string): string | number;
                    };
                };
            } | null>;
            inTransition: import("vue").Ref<boolean>;
            navPopoverId: import("vue").Ref<symbol>;
            dayPopoverId: import("vue").Ref<symbol>;
            view: import("vue").Ref<import("v-calendar/dist/types/src/use/calendar.js").CalendarView>;
            pages: import("vue").Ref<{
                id: string;
                day?: number | undefined;
                week?: number | undefined;
                month: number;
                year: number;
                view: import("v-calendar/dist/types/src/utils/page.js").PageView;
                trimWeeks: boolean;
                position: number;
                row: number;
                rowFromEnd: number;
                column: number;
                columnFromEnd: number;
                showWeeknumbers: boolean;
                showIsoWeeknumbers: boolean;
                weeknumberPosition: string;
                monthTitle: string;
                weekTitle?: string | undefined;
                dayTitle?: string | undefined;
                title: string;
                titlePosition: import("v-calendar/dist/types/src/utils/page.js").TitlePosition;
                shortMonthLabel: string;
                monthLabel: string;
                shortYearLabel: string;
                yearLabel: string;
                monthComps: {
                    firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                    firstDayOfMonth: {
                        toString: () => string;
                        toDateString: () => string;
                        toTimeString: () => string;
                        toLocaleString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleDateString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleTimeString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        valueOf: () => number;
                        getTime: () => number;
                        getFullYear: () => number;
                        getUTCFullYear: () => number;
                        getMonth: () => number;
                        getUTCMonth: () => number;
                        getDate: () => number;
                        getUTCDate: () => number;
                        getDay: () => number;
                        getUTCDay: () => number;
                        getHours: () => number;
                        getUTCHours: () => number;
                        getMinutes: () => number;
                        getUTCMinutes: () => number;
                        getSeconds: () => number;
                        getUTCSeconds: () => number;
                        getMilliseconds: () => number;
                        getUTCMilliseconds: () => number;
                        getTimezoneOffset: () => number;
                        setTime: (time: number) => number;
                        setMilliseconds: (ms: number) => number;
                        setUTCMilliseconds: (ms: number) => number;
                        setSeconds: (sec: number, ms?: number | undefined) => number;
                        setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                        setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setDate: (date: number) => number;
                        setUTCDate: (date: number) => number;
                        setMonth: (month: number, date?: number | undefined) => number;
                        setUTCMonth: (month: number, date?: number | undefined) => number;
                        setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        toUTCString: () => string;
                        toISOString: () => string;
                        toJSON: (key?: any) => string;
                        getVarDate: () => VarDate;
                        [Symbol.toPrimitive]: {
                            (hint: "default"): string;
                            (hint: "string"): string;
                            (hint: "number"): number;
                            (hint: string): string | number;
                        };
                    };
                    inLeapYear: boolean;
                    firstWeekday: number;
                    numDays: number;
                    numWeeks: number;
                    month: number;
                    year: number;
                    weeknumbers: number[];
                    isoWeeknumbers: number[];
                };
                prevMonthComps: {
                    firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                    firstDayOfMonth: {
                        toString: () => string;
                        toDateString: () => string;
                        toTimeString: () => string;
                        toLocaleString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleDateString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleTimeString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        valueOf: () => number;
                        getTime: () => number;
                        getFullYear: () => number;
                        getUTCFullYear: () => number;
                        getMonth: () => number;
                        getUTCMonth: () => number;
                        getDate: () => number;
                        getUTCDate: () => number;
                        getDay: () => number;
                        getUTCDay: () => number;
                        getHours: () => number;
                        getUTCHours: () => number;
                        getMinutes: () => number;
                        getUTCMinutes: () => number;
                        getSeconds: () => number;
                        getUTCSeconds: () => number;
                        getMilliseconds: () => number;
                        getUTCMilliseconds: () => number;
                        getTimezoneOffset: () => number;
                        setTime: (time: number) => number;
                        setMilliseconds: (ms: number) => number;
                        setUTCMilliseconds: (ms: number) => number;
                        setSeconds: (sec: number, ms?: number | undefined) => number;
                        setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                        setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setDate: (date: number) => number;
                        setUTCDate: (date: number) => number;
                        setMonth: (month: number, date?: number | undefined) => number;
                        setUTCMonth: (month: number, date?: number | undefined) => number;
                        setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        toUTCString: () => string;
                        toISOString: () => string;
                        toJSON: (key?: any) => string;
                        getVarDate: () => VarDate;
                        [Symbol.toPrimitive]: {
                            (hint: "default"): string;
                            (hint: "string"): string;
                            (hint: "number"): number;
                            (hint: string): string | number;
                        };
                    };
                    inLeapYear: boolean;
                    firstWeekday: number;
                    numDays: number;
                    numWeeks: number;
                    month: number;
                    year: number;
                    weeknumbers: number[];
                    isoWeeknumbers: number[];
                };
                nextMonthComps: {
                    firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                    firstDayOfMonth: {
                        toString: () => string;
                        toDateString: () => string;
                        toTimeString: () => string;
                        toLocaleString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleDateString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleTimeString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        valueOf: () => number;
                        getTime: () => number;
                        getFullYear: () => number;
                        getUTCFullYear: () => number;
                        getMonth: () => number;
                        getUTCMonth: () => number;
                        getDate: () => number;
                        getUTCDate: () => number;
                        getDay: () => number;
                        getUTCDay: () => number;
                        getHours: () => number;
                        getUTCHours: () => number;
                        getMinutes: () => number;
                        getUTCMinutes: () => number;
                        getSeconds: () => number;
                        getUTCSeconds: () => number;
                        getMilliseconds: () => number;
                        getUTCMilliseconds: () => number;
                        getTimezoneOffset: () => number;
                        setTime: (time: number) => number;
                        setMilliseconds: (ms: number) => number;
                        setUTCMilliseconds: (ms: number) => number;
                        setSeconds: (sec: number, ms?: number | undefined) => number;
                        setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                        setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setDate: (date: number) => number;
                        setUTCDate: (date: number) => number;
                        setMonth: (month: number, date?: number | undefined) => number;
                        setUTCMonth: (month: number, date?: number | undefined) => number;
                        setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        toUTCString: () => string;
                        toISOString: () => string;
                        toJSON: (key?: any) => string;
                        getVarDate: () => VarDate;
                        [Symbol.toPrimitive]: {
                            (hint: "default"): string;
                            (hint: "string"): string;
                            (hint: "number"): number;
                            (hint: string): string | number;
                        };
                    };
                    inLeapYear: boolean;
                    firstWeekday: number;
                    numDays: number;
                    numWeeks: number;
                    month: number;
                    year: number;
                    weeknumbers: number[];
                    isoWeeknumbers: number[];
                };
                days: {
                    id: string;
                    position: number;
                    label: string;
                    ariaLabel: string;
                    weekdayPosition: number;
                    weekdayPositionFromEnd: number;
                    weekPosition: number;
                    isoWeeknumber: number;
                    startDate: {
                        toString: () => string;
                        toDateString: () => string;
                        toTimeString: () => string;
                        toLocaleString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleDateString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleTimeString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        valueOf: () => number;
                        getTime: () => number;
                        getFullYear: () => number;
                        getUTCFullYear: () => number;
                        getMonth: () => number;
                        getUTCMonth: () => number;
                        getDate: () => number;
                        getUTCDate: () => number;
                        getDay: () => number;
                        getUTCDay: () => number;
                        getHours: () => number;
                        getUTCHours: () => number;
                        getMinutes: () => number;
                        getUTCMinutes: () => number;
                        getSeconds: () => number;
                        getUTCSeconds: () => number;
                        getMilliseconds: () => number;
                        getUTCMilliseconds: () => number;
                        getTimezoneOffset: () => number;
                        setTime: (time: number) => number;
                        setMilliseconds: (ms: number) => number;
                        setUTCMilliseconds: (ms: number) => number;
                        setSeconds: (sec: number, ms?: number | undefined) => number;
                        setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                        setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setDate: (date: number) => number;
                        setUTCDate: (date: number) => number;
                        setMonth: (month: number, date?: number | undefined) => number;
                        setUTCMonth: (month: number, date?: number | undefined) => number;
                        setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        toUTCString: () => string;
                        toISOString: () => string;
                        toJSON: (key?: any) => string;
                        getVarDate: () => VarDate;
                        [Symbol.toPrimitive]: {
                            (hint: "default"): string;
                            (hint: "string"): string;
                            (hint: "number"): number;
                            (hint: string): string | number;
                        };
                    };
                    noonDate: {
                        toString: () => string;
                        toDateString: () => string;
                        toTimeString: () => string;
                        toLocaleString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleDateString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleTimeString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        valueOf: () => number;
                        getTime: () => number;
                        getFullYear: () => number;
                        getUTCFullYear: () => number;
                        getMonth: () => number;
                        getUTCMonth: () => number;
                        getDate: () => number;
                        getUTCDate: () => number;
                        getDay: () => number;
                        getUTCDay: () => number;
                        getHours: () => number;
                        getUTCHours: () => number;
                        getMinutes: () => number;
                        getUTCMinutes: () => number;
                        getSeconds: () => number;
                        getUTCSeconds: () => number;
                        getMilliseconds: () => number;
                        getUTCMilliseconds: () => number;
                        getTimezoneOffset: () => number;
                        setTime: (time: number) => number;
                        setMilliseconds: (ms: number) => number;
                        setUTCMilliseconds: (ms: number) => number;
                        setSeconds: (sec: number, ms?: number | undefined) => number;
                        setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                        setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setDate: (date: number) => number;
                        setUTCDate: (date: number) => number;
                        setMonth: (month: number, date?: number | undefined) => number;
                        setUTCMonth: (month: number, date?: number | undefined) => number;
                        setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        toUTCString: () => string;
                        toISOString: () => string;
                        toJSON: (key?: any) => string;
                        getVarDate: () => VarDate;
                        [Symbol.toPrimitive]: {
                            (hint: "default"): string;
                            (hint: "string"): string;
                            (hint: "number"): number;
                            (hint: string): string | number;
                        };
                    };
                    endDate: {
                        toString: () => string;
                        toDateString: () => string;
                        toTimeString: () => string;
                        toLocaleString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleDateString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleTimeString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        valueOf: () => number;
                        getTime: () => number;
                        getFullYear: () => number;
                        getUTCFullYear: () => number;
                        getMonth: () => number;
                        getUTCMonth: () => number;
                        getDate: () => number;
                        getUTCDate: () => number;
                        getDay: () => number;
                        getUTCDay: () => number;
                        getHours: () => number;
                        getUTCHours: () => number;
                        getMinutes: () => number;
                        getUTCMinutes: () => number;
                        getSeconds: () => number;
                        getUTCSeconds: () => number;
                        getMilliseconds: () => number;
                        getUTCMilliseconds: () => number;
                        getTimezoneOffset: () => number;
                        setTime: (time: number) => number;
                        setMilliseconds: (ms: number) => number;
                        setUTCMilliseconds: (ms: number) => number;
                        setSeconds: (sec: number, ms?: number | undefined) => number;
                        setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                        setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setDate: (date: number) => number;
                        setUTCDate: (date: number) => number;
                        setMonth: (month: number, date?: number | undefined) => number;
                        setUTCMonth: (month: number, date?: number | undefined) => number;
                        setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        toUTCString: () => string;
                        toISOString: () => string;
                        toJSON: (key?: any) => string;
                        getVarDate: () => VarDate;
                        [Symbol.toPrimitive]: {
                            (hint: "default"): string;
                            (hint: "string"): string;
                            (hint: "number"): number;
                            (hint: string): string | number;
                        };
                    };
                    isToday: boolean;
                    isFirstDay: boolean;
                    isLastDay: boolean;
                    isDisabled: boolean;
                    isFocusable: boolean;
                    isFocused: boolean;
                    inMonth: boolean;
                    inPrevMonth: boolean;
                    inNextMonth: boolean;
                    onTop: boolean;
                    onBottom: boolean;
                    onLeft: boolean;
                    onRight: boolean;
                    classes: (string | Object)[];
                    locale: {
                        id: any;
                        daysInWeek: number;
                        firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                        masks: any;
                        timezone: string | undefined;
                        hourLabels: string[];
                        dayNames: string[];
                        dayNamesShort: string[];
                        dayNamesShorter: string[];
                        dayNamesNarrow: string[];
                        monthNames: string[];
                        monthNamesShort: string[];
                        relativeTimeNames: {
                            day?: string | undefined;
                            week?: string | undefined;
                            month?: string | undefined;
                            year?: string | undefined;
                            days?: string | undefined;
                            weeks?: string | undefined;
                            seconds?: string | undefined;
                            minutes?: string | undefined;
                            hours?: string | undefined;
                            months?: string | undefined;
                            years?: string | undefined;
                            quarter?: string | undefined;
                            quarters?: string | undefined;
                            hour?: string | undefined;
                            minute?: string | undefined;
                            second?: string | undefined;
                        };
                        amPm: [string, string];
                        monthCache: {
                            keys: string[];
                            store: Record<string, import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts>;
                            size: number;
                            createKey: (...args: any[]) => string;
                            createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            get: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                        };
                        pageCache: {
                            keys: string[];
                            store: Record<string, import("v-calendar/dist/types/src/utils/page.js").CachedPage>;
                            size: number;
                            createKey: (...args: any[]) => string;
                            createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                            get: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                            getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                        };
                        formatDate: (date: Date, masks: string | string[]) => string;
                        parseDate: (dateString: string, mask: string | string[]) => Date;
                        toDate: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date;
                        toDateOrNull: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date | null;
                        fromDate: (date: Date | null, { type, mask }?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
                        range: (source: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange;
                        ranges: (ranges: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource | import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[]) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange[];
                        getDateParts: (date: Date) => import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts;
                        getDateFromParts: (parts: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts>) => Date;
                        getDateFromParams: (year: number, month: number, day: number, hours: number, minutes: number, seconds: number, milliseconds: number) => Date;
                        getPage: (config: import("v-calendar/dist/types/src/utils/page.js").PageConfig) => import("v-calendar/dist/types/src/utils/page.js").Page;
                        getMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                        getThisMonthParts: () => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                        getPrevMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                        getNextMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                        getHourLabels: () => string[];
                        getDayId: (date: Date) => string;
                    };
                    dayIndex: number;
                    day: number;
                    dayFromEnd: number;
                    weekday: number;
                    weekdayOrdinal: number;
                    weekdayOrdinalFromEnd: number;
                    week: number;
                    weekFromEnd: number;
                    weeknumber: number;
                    month: number;
                    year: number;
                    date: {
                        toString: () => string;
                        toDateString: () => string;
                        toTimeString: () => string;
                        toLocaleString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleDateString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleTimeString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        valueOf: () => number;
                        getTime: () => number;
                        getFullYear: () => number;
                        getUTCFullYear: () => number;
                        getMonth: () => number;
                        getUTCMonth: () => number;
                        getDate: () => number;
                        getUTCDate: () => number;
                        getDay: () => number;
                        getUTCDay: () => number;
                        getHours: () => number;
                        getUTCHours: () => number;
                        getMinutes: () => number;
                        getUTCMinutes: () => number;
                        getSeconds: () => number;
                        getUTCSeconds: () => number;
                        getMilliseconds: () => number;
                        getUTCMilliseconds: () => number;
                        getTimezoneOffset: () => number;
                        setTime: (time: number) => number;
                        setMilliseconds: (ms: number) => number;
                        setUTCMilliseconds: (ms: number) => number;
                        setSeconds: (sec: number, ms?: number | undefined) => number;
                        setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                        setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setDate: (date: number) => number;
                        setUTCDate: (date: number) => number;
                        setMonth: (month: number, date?: number | undefined) => number;
                        setUTCMonth: (month: number, date?: number | undefined) => number;
                        setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        toUTCString: () => string;
                        toISOString: () => string;
                        toJSON: (key?: any) => string;
                        getVarDate: () => VarDate;
                        [Symbol.toPrimitive]: {
                            (hint: "default"): string;
                            (hint: "string"): string;
                            (hint: "number"): number;
                            (hint: string): string | number;
                        };
                    };
                }[];
                weeks: {
                    id: string;
                    week: number;
                    weekPosition: number;
                    weeknumber: number;
                    isoWeeknumber: number;
                    weeknumberDisplay?: number | undefined;
                    days: {
                        id: string;
                        position: number;
                        label: string;
                        ariaLabel: string;
                        weekdayPosition: number;
                        weekdayPositionFromEnd: number;
                        weekPosition: number;
                        isoWeeknumber: number;
                        startDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        noonDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        endDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        isToday: boolean;
                        isFirstDay: boolean;
                        isLastDay: boolean;
                        isDisabled: boolean;
                        isFocusable: boolean;
                        isFocused: boolean;
                        inMonth: boolean;
                        inPrevMonth: boolean;
                        inNextMonth: boolean;
                        onTop: boolean;
                        onBottom: boolean;
                        onLeft: boolean;
                        onRight: boolean;
                        classes: (string | Object)[];
                        locale: {
                            id: any;
                            daysInWeek: number;
                            firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                            masks: any;
                            timezone: string | undefined;
                            hourLabels: string[];
                            dayNames: string[];
                            dayNamesShort: string[];
                            dayNamesShorter: string[];
                            dayNamesNarrow: string[];
                            monthNames: string[];
                            monthNamesShort: string[];
                            relativeTimeNames: {
                                day?: string | undefined;
                                week?: string | undefined;
                                month?: string | undefined;
                                year?: string | undefined;
                                days?: string | undefined;
                                weeks?: string | undefined;
                                seconds?: string | undefined;
                                minutes?: string | undefined;
                                hours?: string | undefined;
                                months?: string | undefined;
                                years?: string | undefined;
                                quarter?: string | undefined;
                                quarters?: string | undefined;
                                hour?: string | undefined;
                                minute?: string | undefined;
                                second?: string | undefined;
                            };
                            amPm: [string, string];
                            monthCache: {
                                keys: string[];
                                store: Record<string, import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts>;
                                size: number;
                                createKey: (...args: any[]) => string;
                                createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                get: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            };
                            pageCache: {
                                keys: string[];
                                store: Record<string, import("v-calendar/dist/types/src/utils/page.js").CachedPage>;
                                size: number;
                                createKey: (...args: any[]) => string;
                                createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                get: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                            };
                            formatDate: (date: Date, masks: string | string[]) => string;
                            parseDate: (dateString: string, mask: string | string[]) => Date;
                            toDate: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date;
                            toDateOrNull: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date | null;
                            fromDate: (date: Date | null, { type, mask }?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
                            range: (source: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange;
                            ranges: (ranges: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource | import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[]) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange[];
                            getDateParts: (date: Date) => import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts;
                            getDateFromParts: (parts: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts>) => Date;
                            getDateFromParams: (year: number, month: number, day: number, hours: number, minutes: number, seconds: number, milliseconds: number) => Date;
                            getPage: (config: import("v-calendar/dist/types/src/utils/page.js").PageConfig) => import("v-calendar/dist/types/src/utils/page.js").Page;
                            getMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getThisMonthParts: () => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getPrevMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getNextMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getHourLabels: () => string[];
                            getDayId: (date: Date) => string;
                        };
                        dayIndex: number;
                        day: number;
                        dayFromEnd: number;
                        weekday: number;
                        weekdayOrdinal: number;
                        weekdayOrdinalFromEnd: number;
                        week: number;
                        weekFromEnd: number;
                        weeknumber: number;
                        month: number;
                        year: number;
                        date: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                    }[];
                    title: string;
                }[];
                weekdays: {
                    weekday: number;
                    label: string;
                }[];
                viewDays: {
                    id: string;
                    position: number;
                    label: string;
                    ariaLabel: string;
                    weekdayPosition: number;
                    weekdayPositionFromEnd: number;
                    weekPosition: number;
                    isoWeeknumber: number;
                    startDate: {
                        toString: () => string;
                        toDateString: () => string;
                        toTimeString: () => string;
                        toLocaleString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleDateString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleTimeString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        valueOf: () => number;
                        getTime: () => number;
                        getFullYear: () => number;
                        getUTCFullYear: () => number;
                        getMonth: () => number;
                        getUTCMonth: () => number;
                        getDate: () => number;
                        getUTCDate: () => number;
                        getDay: () => number;
                        getUTCDay: () => number;
                        getHours: () => number;
                        getUTCHours: () => number;
                        getMinutes: () => number;
                        getUTCMinutes: () => number;
                        getSeconds: () => number;
                        getUTCSeconds: () => number;
                        getMilliseconds: () => number;
                        getUTCMilliseconds: () => number;
                        getTimezoneOffset: () => number;
                        setTime: (time: number) => number;
                        setMilliseconds: (ms: number) => number;
                        setUTCMilliseconds: (ms: number) => number;
                        setSeconds: (sec: number, ms?: number | undefined) => number;
                        setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                        setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setDate: (date: number) => number;
                        setUTCDate: (date: number) => number;
                        setMonth: (month: number, date?: number | undefined) => number;
                        setUTCMonth: (month: number, date?: number | undefined) => number;
                        setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        toUTCString: () => string;
                        toISOString: () => string;
                        toJSON: (key?: any) => string;
                        getVarDate: () => VarDate;
                        [Symbol.toPrimitive]: {
                            (hint: "default"): string;
                            (hint: "string"): string;
                            (hint: "number"): number;
                            (hint: string): string | number;
                        };
                    };
                    noonDate: {
                        toString: () => string;
                        toDateString: () => string;
                        toTimeString: () => string;
                        toLocaleString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleDateString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleTimeString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        valueOf: () => number;
                        getTime: () => number;
                        getFullYear: () => number;
                        getUTCFullYear: () => number;
                        getMonth: () => number;
                        getUTCMonth: () => number;
                        getDate: () => number;
                        getUTCDate: () => number;
                        getDay: () => number;
                        getUTCDay: () => number;
                        getHours: () => number;
                        getUTCHours: () => number;
                        getMinutes: () => number;
                        getUTCMinutes: () => number;
                        getSeconds: () => number;
                        getUTCSeconds: () => number;
                        getMilliseconds: () => number;
                        getUTCMilliseconds: () => number;
                        getTimezoneOffset: () => number;
                        setTime: (time: number) => number;
                        setMilliseconds: (ms: number) => number;
                        setUTCMilliseconds: (ms: number) => number;
                        setSeconds: (sec: number, ms?: number | undefined) => number;
                        setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                        setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setDate: (date: number) => number;
                        setUTCDate: (date: number) => number;
                        setMonth: (month: number, date?: number | undefined) => number;
                        setUTCMonth: (month: number, date?: number | undefined) => number;
                        setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        toUTCString: () => string;
                        toISOString: () => string;
                        toJSON: (key?: any) => string;
                        getVarDate: () => VarDate;
                        [Symbol.toPrimitive]: {
                            (hint: "default"): string;
                            (hint: "string"): string;
                            (hint: "number"): number;
                            (hint: string): string | number;
                        };
                    };
                    endDate: {
                        toString: () => string;
                        toDateString: () => string;
                        toTimeString: () => string;
                        toLocaleString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleDateString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleTimeString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        valueOf: () => number;
                        getTime: () => number;
                        getFullYear: () => number;
                        getUTCFullYear: () => number;
                        getMonth: () => number;
                        getUTCMonth: () => number;
                        getDate: () => number;
                        getUTCDate: () => number;
                        getDay: () => number;
                        getUTCDay: () => number;
                        getHours: () => number;
                        getUTCHours: () => number;
                        getMinutes: () => number;
                        getUTCMinutes: () => number;
                        getSeconds: () => number;
                        getUTCSeconds: () => number;
                        getMilliseconds: () => number;
                        getUTCMilliseconds: () => number;
                        getTimezoneOffset: () => number;
                        setTime: (time: number) => number;
                        setMilliseconds: (ms: number) => number;
                        setUTCMilliseconds: (ms: number) => number;
                        setSeconds: (sec: number, ms?: number | undefined) => number;
                        setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                        setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setDate: (date: number) => number;
                        setUTCDate: (date: number) => number;
                        setMonth: (month: number, date?: number | undefined) => number;
                        setUTCMonth: (month: number, date?: number | undefined) => number;
                        setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        toUTCString: () => string;
                        toISOString: () => string;
                        toJSON: (key?: any) => string;
                        getVarDate: () => VarDate;
                        [Symbol.toPrimitive]: {
                            (hint: "default"): string;
                            (hint: "string"): string;
                            (hint: "number"): number;
                            (hint: string): string | number;
                        };
                    };
                    isToday: boolean;
                    isFirstDay: boolean;
                    isLastDay: boolean;
                    isDisabled: boolean;
                    isFocusable: boolean;
                    isFocused: boolean;
                    inMonth: boolean;
                    inPrevMonth: boolean;
                    inNextMonth: boolean;
                    onTop: boolean;
                    onBottom: boolean;
                    onLeft: boolean;
                    onRight: boolean;
                    classes: (string | Object)[];
                    locale: {
                        id: any;
                        daysInWeek: number;
                        firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                        masks: any;
                        timezone: string | undefined;
                        hourLabels: string[];
                        dayNames: string[];
                        dayNamesShort: string[];
                        dayNamesShorter: string[];
                        dayNamesNarrow: string[];
                        monthNames: string[];
                        monthNamesShort: string[];
                        relativeTimeNames: {
                            day?: string | undefined;
                            week?: string | undefined;
                            month?: string | undefined;
                            year?: string | undefined;
                            days?: string | undefined;
                            weeks?: string | undefined;
                            seconds?: string | undefined;
                            minutes?: string | undefined;
                            hours?: string | undefined;
                            months?: string | undefined;
                            years?: string | undefined;
                            quarter?: string | undefined;
                            quarters?: string | undefined;
                            hour?: string | undefined;
                            minute?: string | undefined;
                            second?: string | undefined;
                        };
                        amPm: [string, string];
                        monthCache: {
                            keys: string[];
                            store: Record<string, import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts>;
                            size: number;
                            createKey: (...args: any[]) => string;
                            createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            get: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                        };
                        pageCache: {
                            keys: string[];
                            store: Record<string, import("v-calendar/dist/types/src/utils/page.js").CachedPage>;
                            size: number;
                            createKey: (...args: any[]) => string;
                            createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                            get: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                            getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                        };
                        formatDate: (date: Date, masks: string | string[]) => string;
                        parseDate: (dateString: string, mask: string | string[]) => Date;
                        toDate: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date;
                        toDateOrNull: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date | null;
                        fromDate: (date: Date | null, { type, mask }?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
                        range: (source: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange;
                        ranges: (ranges: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource | import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[]) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange[];
                        getDateParts: (date: Date) => import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts;
                        getDateFromParts: (parts: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts>) => Date;
                        getDateFromParams: (year: number, month: number, day: number, hours: number, minutes: number, seconds: number, milliseconds: number) => Date;
                        getPage: (config: import("v-calendar/dist/types/src/utils/page.js").PageConfig) => import("v-calendar/dist/types/src/utils/page.js").Page;
                        getMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                        getThisMonthParts: () => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                        getPrevMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                        getNextMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                        getHourLabels: () => string[];
                        getDayId: (date: Date) => string;
                    };
                    dayIndex: number;
                    day: number;
                    dayFromEnd: number;
                    weekday: number;
                    weekdayOrdinal: number;
                    weekdayOrdinalFromEnd: number;
                    week: number;
                    weekFromEnd: number;
                    weeknumber: number;
                    month: number;
                    year: number;
                    date: {
                        toString: () => string;
                        toDateString: () => string;
                        toTimeString: () => string;
                        toLocaleString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleDateString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleTimeString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        valueOf: () => number;
                        getTime: () => number;
                        getFullYear: () => number;
                        getUTCFullYear: () => number;
                        getMonth: () => number;
                        getUTCMonth: () => number;
                        getDate: () => number;
                        getUTCDate: () => number;
                        getDay: () => number;
                        getUTCDay: () => number;
                        getHours: () => number;
                        getUTCHours: () => number;
                        getMinutes: () => number;
                        getUTCMinutes: () => number;
                        getSeconds: () => number;
                        getUTCSeconds: () => number;
                        getMilliseconds: () => number;
                        getUTCMilliseconds: () => number;
                        getTimezoneOffset: () => number;
                        setTime: (time: number) => number;
                        setMilliseconds: (ms: number) => number;
                        setUTCMilliseconds: (ms: number) => number;
                        setSeconds: (sec: number, ms?: number | undefined) => number;
                        setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                        setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setDate: (date: number) => number;
                        setUTCDate: (date: number) => number;
                        setMonth: (month: number, date?: number | undefined) => number;
                        setUTCMonth: (month: number, date?: number | undefined) => number;
                        setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        toUTCString: () => string;
                        toISOString: () => string;
                        toJSON: (key?: any) => string;
                        getVarDate: () => VarDate;
                        [Symbol.toPrimitive]: {
                            (hint: "default"): string;
                            (hint: "string"): string;
                            (hint: "number"): number;
                            (hint: string): string | number;
                        };
                    };
                }[];
                viewWeeks: {
                    id: string;
                    week: number;
                    weekPosition: number;
                    weeknumber: number;
                    isoWeeknumber: number;
                    weeknumberDisplay?: number | undefined;
                    days: {
                        id: string;
                        position: number;
                        label: string;
                        ariaLabel: string;
                        weekdayPosition: number;
                        weekdayPositionFromEnd: number;
                        weekPosition: number;
                        isoWeeknumber: number;
                        startDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        noonDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        endDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        isToday: boolean;
                        isFirstDay: boolean;
                        isLastDay: boolean;
                        isDisabled: boolean;
                        isFocusable: boolean;
                        isFocused: boolean;
                        inMonth: boolean;
                        inPrevMonth: boolean;
                        inNextMonth: boolean;
                        onTop: boolean;
                        onBottom: boolean;
                        onLeft: boolean;
                        onRight: boolean;
                        classes: (string | Object)[];
                        locale: {
                            id: any;
                            daysInWeek: number;
                            firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                            masks: any;
                            timezone: string | undefined;
                            hourLabels: string[];
                            dayNames: string[];
                            dayNamesShort: string[];
                            dayNamesShorter: string[];
                            dayNamesNarrow: string[];
                            monthNames: string[];
                            monthNamesShort: string[];
                            relativeTimeNames: {
                                day?: string | undefined;
                                week?: string | undefined;
                                month?: string | undefined;
                                year?: string | undefined;
                                days?: string | undefined;
                                weeks?: string | undefined;
                                seconds?: string | undefined;
                                minutes?: string | undefined;
                                hours?: string | undefined;
                                months?: string | undefined;
                                years?: string | undefined;
                                quarter?: string | undefined;
                                quarters?: string | undefined;
                                hour?: string | undefined;
                                minute?: string | undefined;
                                second?: string | undefined;
                            };
                            amPm: [string, string];
                            monthCache: {
                                keys: string[];
                                store: Record<string, import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts>;
                                size: number;
                                createKey: (...args: any[]) => string;
                                createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                get: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            };
                            pageCache: {
                                keys: string[];
                                store: Record<string, import("v-calendar/dist/types/src/utils/page.js").CachedPage>;
                                size: number;
                                createKey: (...args: any[]) => string;
                                createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                get: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                            };
                            formatDate: (date: Date, masks: string | string[]) => string;
                            parseDate: (dateString: string, mask: string | string[]) => Date;
                            toDate: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date;
                            toDateOrNull: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date | null;
                            fromDate: (date: Date | null, { type, mask }?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
                            range: (source: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange;
                            ranges: (ranges: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource | import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[]) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange[];
                            getDateParts: (date: Date) => import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts;
                            getDateFromParts: (parts: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts>) => Date;
                            getDateFromParams: (year: number, month: number, day: number, hours: number, minutes: number, seconds: number, milliseconds: number) => Date;
                            getPage: (config: import("v-calendar/dist/types/src/utils/page.js").PageConfig) => import("v-calendar/dist/types/src/utils/page.js").Page;
                            getMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getThisMonthParts: () => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getPrevMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getNextMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getHourLabels: () => string[];
                            getDayId: (date: Date) => string;
                        };
                        dayIndex: number;
                        day: number;
                        dayFromEnd: number;
                        weekday: number;
                        weekdayOrdinal: number;
                        weekdayOrdinalFromEnd: number;
                        week: number;
                        weekFromEnd: number;
                        weeknumber: number;
                        month: number;
                        year: number;
                        date: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                    }[];
                    title: string;
                }[];
            }[]>;
            transitionName: import("vue").Ref<string>;
            theme: import("vue").ComputedRef<import("v-calendar/dist/types/src/utils/theme.js").Theme>;
            color: import("vue").ComputedRef<string>;
            displayMode: import("vue").ComputedRef<"light" | "dark">;
            locale: import("vue").ComputedRef<import("v-calendar/dist/types/src/utils/locale.js").default>;
            masks: import("vue").ComputedRef<any>;
            attributes: import("vue").ComputedRef<import("v-calendar/dist/types/src/utils/attribute.js").Attribute[]>;
            disabledAttribute: import("vue").ComputedRef<import("v-calendar/dist/types/src/utils/attribute.js").Attribute>;
            disabledDates: import("vue").ComputedRef<import("v-calendar/dist/types/src/utils/date/range.js").DateRange[]>;
            attributeContext: import("vue").ComputedRef<import("v-calendar/dist/types/src/utils/date/range.js").DateRangeContext>;
            days: import("vue").ComputedRef<import("v-calendar/dist/types/src/utils/page.js").CalendarDay[]>;
            dayCells: import("vue").ComputedRef<import("v-calendar/dist/types/src/use/calendar.js").DayCells>;
            count: import("vue").ComputedRef<number>;
            step: import("vue").ComputedRef<number>;
            firstPage: import("vue").ComputedRef<{
                id: string;
                day?: number | undefined;
                week?: number | undefined;
                month: number;
                year: number;
                view: import("v-calendar/dist/types/src/utils/page.js").PageView;
                trimWeeks: boolean;
                position: number;
                row: number;
                rowFromEnd: number;
                column: number;
                columnFromEnd: number;
                showWeeknumbers: boolean;
                showIsoWeeknumbers: boolean;
                weeknumberPosition: string;
                monthTitle: string;
                weekTitle?: string | undefined;
                dayTitle?: string | undefined;
                title: string;
                titlePosition: import("v-calendar/dist/types/src/utils/page.js").TitlePosition;
                shortMonthLabel: string;
                monthLabel: string;
                shortYearLabel: string;
                yearLabel: string;
                monthComps: {
                    firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                    firstDayOfMonth: {
                        toString: () => string;
                        toDateString: () => string;
                        toTimeString: () => string;
                        toLocaleString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleDateString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleTimeString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        valueOf: () => number;
                        getTime: () => number;
                        getFullYear: () => number;
                        getUTCFullYear: () => number;
                        getMonth: () => number;
                        getUTCMonth: () => number;
                        getDate: () => number;
                        getUTCDate: () => number;
                        getDay: () => number;
                        getUTCDay: () => number;
                        getHours: () => number;
                        getUTCHours: () => number;
                        getMinutes: () => number;
                        getUTCMinutes: () => number;
                        getSeconds: () => number;
                        getUTCSeconds: () => number;
                        getMilliseconds: () => number;
                        getUTCMilliseconds: () => number;
                        getTimezoneOffset: () => number;
                        setTime: (time: number) => number;
                        setMilliseconds: (ms: number) => number;
                        setUTCMilliseconds: (ms: number) => number;
                        setSeconds: (sec: number, ms?: number | undefined) => number;
                        setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                        setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setDate: (date: number) => number;
                        setUTCDate: (date: number) => number;
                        setMonth: (month: number, date?: number | undefined) => number;
                        setUTCMonth: (month: number, date?: number | undefined) => number;
                        setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        toUTCString: () => string;
                        toISOString: () => string;
                        toJSON: (key?: any) => string;
                        getVarDate: () => VarDate;
                        [Symbol.toPrimitive]: {
                            (hint: "default"): string;
                            (hint: "string"): string;
                            (hint: "number"): number;
                            (hint: string): string | number;
                        };
                    };
                    inLeapYear: boolean;
                    firstWeekday: number;
                    numDays: number;
                    numWeeks: number;
                    month: number;
                    year: number;
                    weeknumbers: number[];
                    isoWeeknumbers: number[];
                };
                prevMonthComps: {
                    firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                    firstDayOfMonth: {
                        toString: () => string;
                        toDateString: () => string;
                        toTimeString: () => string;
                        toLocaleString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleDateString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleTimeString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        valueOf: () => number;
                        getTime: () => number;
                        getFullYear: () => number;
                        getUTCFullYear: () => number;
                        getMonth: () => number;
                        getUTCMonth: () => number;
                        getDate: () => number;
                        getUTCDate: () => number;
                        getDay: () => number;
                        getUTCDay: () => number;
                        getHours: () => number;
                        getUTCHours: () => number;
                        getMinutes: () => number;
                        getUTCMinutes: () => number;
                        getSeconds: () => number;
                        getUTCSeconds: () => number;
                        getMilliseconds: () => number;
                        getUTCMilliseconds: () => number;
                        getTimezoneOffset: () => number;
                        setTime: (time: number) => number;
                        setMilliseconds: (ms: number) => number;
                        setUTCMilliseconds: (ms: number) => number;
                        setSeconds: (sec: number, ms?: number | undefined) => number;
                        setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                        setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setDate: (date: number) => number;
                        setUTCDate: (date: number) => number;
                        setMonth: (month: number, date?: number | undefined) => number;
                        setUTCMonth: (month: number, date?: number | undefined) => number;
                        setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        toUTCString: () => string;
                        toISOString: () => string;
                        toJSON: (key?: any) => string;
                        getVarDate: () => VarDate;
                        [Symbol.toPrimitive]: {
                            (hint: "default"): string;
                            (hint: "string"): string;
                            (hint: "number"): number;
                            (hint: string): string | number;
                        };
                    };
                    inLeapYear: boolean;
                    firstWeekday: number;
                    numDays: number;
                    numWeeks: number;
                    month: number;
                    year: number;
                    weeknumbers: number[];
                    isoWeeknumbers: number[];
                };
                nextMonthComps: {
                    firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                    firstDayOfMonth: {
                        toString: () => string;
                        toDateString: () => string;
                        toTimeString: () => string;
                        toLocaleString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleDateString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleTimeString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        valueOf: () => number;
                        getTime: () => number;
                        getFullYear: () => number;
                        getUTCFullYear: () => number;
                        getMonth: () => number;
                        getUTCMonth: () => number;
                        getDate: () => number;
                        getUTCDate: () => number;
                        getDay: () => number;
                        getUTCDay: () => number;
                        getHours: () => number;
                        getUTCHours: () => number;
                        getMinutes: () => number;
                        getUTCMinutes: () => number;
                        getSeconds: () => number;
                        getUTCSeconds: () => number;
                        getMilliseconds: () => number;
                        getUTCMilliseconds: () => number;
                        getTimezoneOffset: () => number;
                        setTime: (time: number) => number;
                        setMilliseconds: (ms: number) => number;
                        setUTCMilliseconds: (ms: number) => number;
                        setSeconds: (sec: number, ms?: number | undefined) => number;
                        setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                        setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setDate: (date: number) => number;
                        setUTCDate: (date: number) => number;
                        setMonth: (month: number, date?: number | undefined) => number;
                        setUTCMonth: (month: number, date?: number | undefined) => number;
                        setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        toUTCString: () => string;
                        toISOString: () => string;
                        toJSON: (key?: any) => string;
                        getVarDate: () => VarDate;
                        [Symbol.toPrimitive]: {
                            (hint: "default"): string;
                            (hint: "string"): string;
                            (hint: "number"): number;
                            (hint: string): string | number;
                        };
                    };
                    inLeapYear: boolean;
                    firstWeekday: number;
                    numDays: number;
                    numWeeks: number;
                    month: number;
                    year: number;
                    weeknumbers: number[];
                    isoWeeknumbers: number[];
                };
                days: {
                    id: string;
                    position: number;
                    label: string;
                    ariaLabel: string;
                    weekdayPosition: number;
                    weekdayPositionFromEnd: number;
                    weekPosition: number;
                    isoWeeknumber: number;
                    startDate: {
                        toString: () => string;
                        toDateString: () => string;
                        toTimeString: () => string;
                        toLocaleString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleDateString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleTimeString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        valueOf: () => number;
                        getTime: () => number;
                        getFullYear: () => number;
                        getUTCFullYear: () => number;
                        getMonth: () => number;
                        getUTCMonth: () => number;
                        getDate: () => number;
                        getUTCDate: () => number;
                        getDay: () => number;
                        getUTCDay: () => number;
                        getHours: () => number;
                        getUTCHours: () => number;
                        getMinutes: () => number;
                        getUTCMinutes: () => number;
                        getSeconds: () => number;
                        getUTCSeconds: () => number;
                        getMilliseconds: () => number;
                        getUTCMilliseconds: () => number;
                        getTimezoneOffset: () => number;
                        setTime: (time: number) => number;
                        setMilliseconds: (ms: number) => number;
                        setUTCMilliseconds: (ms: number) => number;
                        setSeconds: (sec: number, ms?: number | undefined) => number;
                        setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                        setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setDate: (date: number) => number;
                        setUTCDate: (date: number) => number;
                        setMonth: (month: number, date?: number | undefined) => number;
                        setUTCMonth: (month: number, date?: number | undefined) => number;
                        setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        toUTCString: () => string;
                        toISOString: () => string;
                        toJSON: (key?: any) => string;
                        getVarDate: () => VarDate;
                        [Symbol.toPrimitive]: {
                            (hint: "default"): string;
                            (hint: "string"): string;
                            (hint: "number"): number;
                            (hint: string): string | number;
                        };
                    };
                    noonDate: {
                        toString: () => string;
                        toDateString: () => string;
                        toTimeString: () => string;
                        toLocaleString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleDateString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleTimeString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        valueOf: () => number;
                        getTime: () => number;
                        getFullYear: () => number;
                        getUTCFullYear: () => number;
                        getMonth: () => number;
                        getUTCMonth: () => number;
                        getDate: () => number;
                        getUTCDate: () => number;
                        getDay: () => number;
                        getUTCDay: () => number;
                        getHours: () => number;
                        getUTCHours: () => number;
                        getMinutes: () => number;
                        getUTCMinutes: () => number;
                        getSeconds: () => number;
                        getUTCSeconds: () => number;
                        getMilliseconds: () => number;
                        getUTCMilliseconds: () => number;
                        getTimezoneOffset: () => number;
                        setTime: (time: number) => number;
                        setMilliseconds: (ms: number) => number;
                        setUTCMilliseconds: (ms: number) => number;
                        setSeconds: (sec: number, ms?: number | undefined) => number;
                        setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                        setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setDate: (date: number) => number;
                        setUTCDate: (date: number) => number;
                        setMonth: (month: number, date?: number | undefined) => number;
                        setUTCMonth: (month: number, date?: number | undefined) => number;
                        setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        toUTCString: () => string;
                        toISOString: () => string;
                        toJSON: (key?: any) => string;
                        getVarDate: () => VarDate;
                        [Symbol.toPrimitive]: {
                            (hint: "default"): string;
                            (hint: "string"): string;
                            (hint: "number"): number;
                            (hint: string): string | number;
                        };
                    };
                    endDate: {
                        toString: () => string;
                        toDateString: () => string;
                        toTimeString: () => string;
                        toLocaleString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleDateString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleTimeString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        valueOf: () => number;
                        getTime: () => number;
                        getFullYear: () => number;
                        getUTCFullYear: () => number;
                        getMonth: () => number;
                        getUTCMonth: () => number;
                        getDate: () => number;
                        getUTCDate: () => number;
                        getDay: () => number;
                        getUTCDay: () => number;
                        getHours: () => number;
                        getUTCHours: () => number;
                        getMinutes: () => number;
                        getUTCMinutes: () => number;
                        getSeconds: () => number;
                        getUTCSeconds: () => number;
                        getMilliseconds: () => number;
                        getUTCMilliseconds: () => number;
                        getTimezoneOffset: () => number;
                        setTime: (time: number) => number;
                        setMilliseconds: (ms: number) => number;
                        setUTCMilliseconds: (ms: number) => number;
                        setSeconds: (sec: number, ms?: number | undefined) => number;
                        setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                        setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setDate: (date: number) => number;
                        setUTCDate: (date: number) => number;
                        setMonth: (month: number, date?: number | undefined) => number;
                        setUTCMonth: (month: number, date?: number | undefined) => number;
                        setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        toUTCString: () => string;
                        toISOString: () => string;
                        toJSON: (key?: any) => string;
                        getVarDate: () => VarDate;
                        [Symbol.toPrimitive]: {
                            (hint: "default"): string;
                            (hint: "string"): string;
                            (hint: "number"): number;
                            (hint: string): string | number;
                        };
                    };
                    isToday: boolean;
                    isFirstDay: boolean;
                    isLastDay: boolean;
                    isDisabled: boolean;
                    isFocusable: boolean;
                    isFocused: boolean;
                    inMonth: boolean;
                    inPrevMonth: boolean;
                    inNextMonth: boolean;
                    onTop: boolean;
                    onBottom: boolean;
                    onLeft: boolean;
                    onRight: boolean;
                    classes: (string | Object)[];
                    locale: {
                        id: any;
                        daysInWeek: number;
                        firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                        masks: any;
                        timezone: string | undefined;
                        hourLabels: string[];
                        dayNames: string[];
                        dayNamesShort: string[];
                        dayNamesShorter: string[];
                        dayNamesNarrow: string[];
                        monthNames: string[];
                        monthNamesShort: string[];
                        relativeTimeNames: {
                            day?: string | undefined;
                            week?: string | undefined;
                            month?: string | undefined;
                            year?: string | undefined;
                            days?: string | undefined;
                            weeks?: string | undefined;
                            seconds?: string | undefined;
                            minutes?: string | undefined;
                            hours?: string | undefined;
                            months?: string | undefined;
                            years?: string | undefined;
                            quarter?: string | undefined;
                            quarters?: string | undefined;
                            hour?: string | undefined;
                            minute?: string | undefined;
                            second?: string | undefined;
                        };
                        amPm: [string, string];
                        monthCache: {
                            keys: string[];
                            store: Record<string, import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts>;
                            size: number;
                            createKey: (...args: any[]) => string;
                            createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            get: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                        };
                        pageCache: {
                            keys: string[];
                            store: Record<string, import("v-calendar/dist/types/src/utils/page.js").CachedPage>;
                            size: number;
                            createKey: (...args: any[]) => string;
                            createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                            get: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                            getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                        };
                        formatDate: (date: Date, masks: string | string[]) => string;
                        parseDate: (dateString: string, mask: string | string[]) => Date;
                        toDate: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date;
                        toDateOrNull: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date | null;
                        fromDate: (date: Date | null, { type, mask }?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
                        range: (source: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange;
                        ranges: (ranges: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource | import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[]) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange[];
                        getDateParts: (date: Date) => import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts;
                        getDateFromParts: (parts: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts>) => Date;
                        getDateFromParams: (year: number, month: number, day: number, hours: number, minutes: number, seconds: number, milliseconds: number) => Date;
                        getPage: (config: import("v-calendar/dist/types/src/utils/page.js").PageConfig) => import("v-calendar/dist/types/src/utils/page.js").Page;
                        getMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                        getThisMonthParts: () => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                        getPrevMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                        getNextMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                        getHourLabels: () => string[];
                        getDayId: (date: Date) => string;
                    };
                    dayIndex: number;
                    day: number;
                    dayFromEnd: number;
                    weekday: number;
                    weekdayOrdinal: number;
                    weekdayOrdinalFromEnd: number;
                    week: number;
                    weekFromEnd: number;
                    weeknumber: number;
                    month: number;
                    year: number;
                    date: {
                        toString: () => string;
                        toDateString: () => string;
                        toTimeString: () => string;
                        toLocaleString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleDateString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleTimeString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        valueOf: () => number;
                        getTime: () => number;
                        getFullYear: () => number;
                        getUTCFullYear: () => number;
                        getMonth: () => number;
                        getUTCMonth: () => number;
                        getDate: () => number;
                        getUTCDate: () => number;
                        getDay: () => number;
                        getUTCDay: () => number;
                        getHours: () => number;
                        getUTCHours: () => number;
                        getMinutes: () => number;
                        getUTCMinutes: () => number;
                        getSeconds: () => number;
                        getUTCSeconds: () => number;
                        getMilliseconds: () => number;
                        getUTCMilliseconds: () => number;
                        getTimezoneOffset: () => number;
                        setTime: (time: number) => number;
                        setMilliseconds: (ms: number) => number;
                        setUTCMilliseconds: (ms: number) => number;
                        setSeconds: (sec: number, ms?: number | undefined) => number;
                        setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                        setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setDate: (date: number) => number;
                        setUTCDate: (date: number) => number;
                        setMonth: (month: number, date?: number | undefined) => number;
                        setUTCMonth: (month: number, date?: number | undefined) => number;
                        setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        toUTCString: () => string;
                        toISOString: () => string;
                        toJSON: (key?: any) => string;
                        getVarDate: () => VarDate;
                        [Symbol.toPrimitive]: {
                            (hint: "default"): string;
                            (hint: "string"): string;
                            (hint: "number"): number;
                            (hint: string): string | number;
                        };
                    };
                }[];
                weeks: {
                    id: string;
                    week: number;
                    weekPosition: number;
                    weeknumber: number;
                    isoWeeknumber: number;
                    weeknumberDisplay?: number | undefined;
                    days: {
                        id: string;
                        position: number;
                        label: string;
                        ariaLabel: string;
                        weekdayPosition: number;
                        weekdayPositionFromEnd: number;
                        weekPosition: number;
                        isoWeeknumber: number;
                        startDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        noonDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        endDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        isToday: boolean;
                        isFirstDay: boolean;
                        isLastDay: boolean;
                        isDisabled: boolean;
                        isFocusable: boolean;
                        isFocused: boolean;
                        inMonth: boolean;
                        inPrevMonth: boolean;
                        inNextMonth: boolean;
                        onTop: boolean;
                        onBottom: boolean;
                        onLeft: boolean;
                        onRight: boolean;
                        classes: (string | Object)[];
                        locale: {
                            id: any;
                            daysInWeek: number;
                            firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                            masks: any;
                            timezone: string | undefined;
                            hourLabels: string[];
                            dayNames: string[];
                            dayNamesShort: string[];
                            dayNamesShorter: string[];
                            dayNamesNarrow: string[];
                            monthNames: string[];
                            monthNamesShort: string[];
                            relativeTimeNames: {
                                day?: string | undefined;
                                week?: string | undefined;
                                month?: string | undefined;
                                year?: string | undefined;
                                days?: string | undefined;
                                weeks?: string | undefined;
                                seconds?: string | undefined;
                                minutes?: string | undefined;
                                hours?: string | undefined;
                                months?: string | undefined;
                                years?: string | undefined;
                                quarter?: string | undefined;
                                quarters?: string | undefined;
                                hour?: string | undefined;
                                minute?: string | undefined;
                                second?: string | undefined;
                            };
                            amPm: [string, string];
                            monthCache: {
                                keys: string[];
                                store: Record<string, import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts>;
                                size: number;
                                createKey: (...args: any[]) => string;
                                createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                get: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            };
                            pageCache: {
                                keys: string[];
                                store: Record<string, import("v-calendar/dist/types/src/utils/page.js").CachedPage>;
                                size: number;
                                createKey: (...args: any[]) => string;
                                createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                get: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                            };
                            formatDate: (date: Date, masks: string | string[]) => string;
                            parseDate: (dateString: string, mask: string | string[]) => Date;
                            toDate: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date;
                            toDateOrNull: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date | null;
                            fromDate: (date: Date | null, { type, mask }?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
                            range: (source: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange;
                            ranges: (ranges: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource | import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[]) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange[];
                            getDateParts: (date: Date) => import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts;
                            getDateFromParts: (parts: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts>) => Date;
                            getDateFromParams: (year: number, month: number, day: number, hours: number, minutes: number, seconds: number, milliseconds: number) => Date;
                            getPage: (config: import("v-calendar/dist/types/src/utils/page.js").PageConfig) => import("v-calendar/dist/types/src/utils/page.js").Page;
                            getMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getThisMonthParts: () => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getPrevMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getNextMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getHourLabels: () => string[];
                            getDayId: (date: Date) => string;
                        };
                        dayIndex: number;
                        day: number;
                        dayFromEnd: number;
                        weekday: number;
                        weekdayOrdinal: number;
                        weekdayOrdinalFromEnd: number;
                        week: number;
                        weekFromEnd: number;
                        weeknumber: number;
                        month: number;
                        year: number;
                        date: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                    }[];
                    title: string;
                }[];
                weekdays: {
                    weekday: number;
                    label: string;
                }[];
                viewDays: {
                    id: string;
                    position: number;
                    label: string;
                    ariaLabel: string;
                    weekdayPosition: number;
                    weekdayPositionFromEnd: number;
                    weekPosition: number;
                    isoWeeknumber: number;
                    startDate: {
                        toString: () => string;
                        toDateString: () => string;
                        toTimeString: () => string;
                        toLocaleString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleDateString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleTimeString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        valueOf: () => number;
                        getTime: () => number;
                        getFullYear: () => number;
                        getUTCFullYear: () => number;
                        getMonth: () => number;
                        getUTCMonth: () => number;
                        getDate: () => number;
                        getUTCDate: () => number;
                        getDay: () => number;
                        getUTCDay: () => number;
                        getHours: () => number;
                        getUTCHours: () => number;
                        getMinutes: () => number;
                        getUTCMinutes: () => number;
                        getSeconds: () => number;
                        getUTCSeconds: () => number;
                        getMilliseconds: () => number;
                        getUTCMilliseconds: () => number;
                        getTimezoneOffset: () => number;
                        setTime: (time: number) => number;
                        setMilliseconds: (ms: number) => number;
                        setUTCMilliseconds: (ms: number) => number;
                        setSeconds: (sec: number, ms?: number | undefined) => number;
                        setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                        setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setDate: (date: number) => number;
                        setUTCDate: (date: number) => number;
                        setMonth: (month: number, date?: number | undefined) => number;
                        setUTCMonth: (month: number, date?: number | undefined) => number;
                        setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        toUTCString: () => string;
                        toISOString: () => string;
                        toJSON: (key?: any) => string;
                        getVarDate: () => VarDate;
                        [Symbol.toPrimitive]: {
                            (hint: "default"): string;
                            (hint: "string"): string;
                            (hint: "number"): number;
                            (hint: string): string | number;
                        };
                    };
                    noonDate: {
                        toString: () => string;
                        toDateString: () => string;
                        toTimeString: () => string;
                        toLocaleString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleDateString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleTimeString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        valueOf: () => number;
                        getTime: () => number;
                        getFullYear: () => number;
                        getUTCFullYear: () => number;
                        getMonth: () => number;
                        getUTCMonth: () => number;
                        getDate: () => number;
                        getUTCDate: () => number;
                        getDay: () => number;
                        getUTCDay: () => number;
                        getHours: () => number;
                        getUTCHours: () => number;
                        getMinutes: () => number;
                        getUTCMinutes: () => number;
                        getSeconds: () => number;
                        getUTCSeconds: () => number;
                        getMilliseconds: () => number;
                        getUTCMilliseconds: () => number;
                        getTimezoneOffset: () => number;
                        setTime: (time: number) => number;
                        setMilliseconds: (ms: number) => number;
                        setUTCMilliseconds: (ms: number) => number;
                        setSeconds: (sec: number, ms?: number | undefined) => number;
                        setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                        setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setDate: (date: number) => number;
                        setUTCDate: (date: number) => number;
                        setMonth: (month: number, date?: number | undefined) => number;
                        setUTCMonth: (month: number, date?: number | undefined) => number;
                        setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        toUTCString: () => string;
                        toISOString: () => string;
                        toJSON: (key?: any) => string;
                        getVarDate: () => VarDate;
                        [Symbol.toPrimitive]: {
                            (hint: "default"): string;
                            (hint: "string"): string;
                            (hint: "number"): number;
                            (hint: string): string | number;
                        };
                    };
                    endDate: {
                        toString: () => string;
                        toDateString: () => string;
                        toTimeString: () => string;
                        toLocaleString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleDateString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleTimeString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        valueOf: () => number;
                        getTime: () => number;
                        getFullYear: () => number;
                        getUTCFullYear: () => number;
                        getMonth: () => number;
                        getUTCMonth: () => number;
                        getDate: () => number;
                        getUTCDate: () => number;
                        getDay: () => number;
                        getUTCDay: () => number;
                        getHours: () => number;
                        getUTCHours: () => number;
                        getMinutes: () => number;
                        getUTCMinutes: () => number;
                        getSeconds: () => number;
                        getUTCSeconds: () => number;
                        getMilliseconds: () => number;
                        getUTCMilliseconds: () => number;
                        getTimezoneOffset: () => number;
                        setTime: (time: number) => number;
                        setMilliseconds: (ms: number) => number;
                        setUTCMilliseconds: (ms: number) => number;
                        setSeconds: (sec: number, ms?: number | undefined) => number;
                        setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                        setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setDate: (date: number) => number;
                        setUTCDate: (date: number) => number;
                        setMonth: (month: number, date?: number | undefined) => number;
                        setUTCMonth: (month: number, date?: number | undefined) => number;
                        setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        toUTCString: () => string;
                        toISOString: () => string;
                        toJSON: (key?: any) => string;
                        getVarDate: () => VarDate;
                        [Symbol.toPrimitive]: {
                            (hint: "default"): string;
                            (hint: "string"): string;
                            (hint: "number"): number;
                            (hint: string): string | number;
                        };
                    };
                    isToday: boolean;
                    isFirstDay: boolean;
                    isLastDay: boolean;
                    isDisabled: boolean;
                    isFocusable: boolean;
                    isFocused: boolean;
                    inMonth: boolean;
                    inPrevMonth: boolean;
                    inNextMonth: boolean;
                    onTop: boolean;
                    onBottom: boolean;
                    onLeft: boolean;
                    onRight: boolean;
                    classes: (string | Object)[];
                    locale: {
                        id: any;
                        daysInWeek: number;
                        firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                        masks: any;
                        timezone: string | undefined;
                        hourLabels: string[];
                        dayNames: string[];
                        dayNamesShort: string[];
                        dayNamesShorter: string[];
                        dayNamesNarrow: string[];
                        monthNames: string[];
                        monthNamesShort: string[];
                        relativeTimeNames: {
                            day?: string | undefined;
                            week?: string | undefined;
                            month?: string | undefined;
                            year?: string | undefined;
                            days?: string | undefined;
                            weeks?: string | undefined;
                            seconds?: string | undefined;
                            minutes?: string | undefined;
                            hours?: string | undefined;
                            months?: string | undefined;
                            years?: string | undefined;
                            quarter?: string | undefined;
                            quarters?: string | undefined;
                            hour?: string | undefined;
                            minute?: string | undefined;
                            second?: string | undefined;
                        };
                        amPm: [string, string];
                        monthCache: {
                            keys: string[];
                            store: Record<string, import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts>;
                            size: number;
                            createKey: (...args: any[]) => string;
                            createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            get: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                        };
                        pageCache: {
                            keys: string[];
                            store: Record<string, import("v-calendar/dist/types/src/utils/page.js").CachedPage>;
                            size: number;
                            createKey: (...args: any[]) => string;
                            createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                            get: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                            getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                        };
                        formatDate: (date: Date, masks: string | string[]) => string;
                        parseDate: (dateString: string, mask: string | string[]) => Date;
                        toDate: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date;
                        toDateOrNull: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date | null;
                        fromDate: (date: Date | null, { type, mask }?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
                        range: (source: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange;
                        ranges: (ranges: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource | import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[]) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange[];
                        getDateParts: (date: Date) => import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts;
                        getDateFromParts: (parts: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts>) => Date;
                        getDateFromParams: (year: number, month: number, day: number, hours: number, minutes: number, seconds: number, milliseconds: number) => Date;
                        getPage: (config: import("v-calendar/dist/types/src/utils/page.js").PageConfig) => import("v-calendar/dist/types/src/utils/page.js").Page;
                        getMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                        getThisMonthParts: () => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                        getPrevMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                        getNextMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                        getHourLabels: () => string[];
                        getDayId: (date: Date) => string;
                    };
                    dayIndex: number;
                    day: number;
                    dayFromEnd: number;
                    weekday: number;
                    weekdayOrdinal: number;
                    weekdayOrdinalFromEnd: number;
                    week: number;
                    weekFromEnd: number;
                    weeknumber: number;
                    month: number;
                    year: number;
                    date: {
                        toString: () => string;
                        toDateString: () => string;
                        toTimeString: () => string;
                        toLocaleString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleDateString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleTimeString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        valueOf: () => number;
                        getTime: () => number;
                        getFullYear: () => number;
                        getUTCFullYear: () => number;
                        getMonth: () => number;
                        getUTCMonth: () => number;
                        getDate: () => number;
                        getUTCDate: () => number;
                        getDay: () => number;
                        getUTCDay: () => number;
                        getHours: () => number;
                        getUTCHours: () => number;
                        getMinutes: () => number;
                        getUTCMinutes: () => number;
                        getSeconds: () => number;
                        getUTCSeconds: () => number;
                        getMilliseconds: () => number;
                        getUTCMilliseconds: () => number;
                        getTimezoneOffset: () => number;
                        setTime: (time: number) => number;
                        setMilliseconds: (ms: number) => number;
                        setUTCMilliseconds: (ms: number) => number;
                        setSeconds: (sec: number, ms?: number | undefined) => number;
                        setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                        setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setDate: (date: number) => number;
                        setUTCDate: (date: number) => number;
                        setMonth: (month: number, date?: number | undefined) => number;
                        setUTCMonth: (month: number, date?: number | undefined) => number;
                        setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        toUTCString: () => string;
                        toISOString: () => string;
                        toJSON: (key?: any) => string;
                        getVarDate: () => VarDate;
                        [Symbol.toPrimitive]: {
                            (hint: "default"): string;
                            (hint: "string"): string;
                            (hint: "number"): number;
                            (hint: string): string | number;
                        };
                    };
                }[];
                viewWeeks: {
                    id: string;
                    week: number;
                    weekPosition: number;
                    weeknumber: number;
                    isoWeeknumber: number;
                    weeknumberDisplay?: number | undefined;
                    days: {
                        id: string;
                        position: number;
                        label: string;
                        ariaLabel: string;
                        weekdayPosition: number;
                        weekdayPositionFromEnd: number;
                        weekPosition: number;
                        isoWeeknumber: number;
                        startDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        noonDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        endDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        isToday: boolean;
                        isFirstDay: boolean;
                        isLastDay: boolean;
                        isDisabled: boolean;
                        isFocusable: boolean;
                        isFocused: boolean;
                        inMonth: boolean;
                        inPrevMonth: boolean;
                        inNextMonth: boolean;
                        onTop: boolean;
                        onBottom: boolean;
                        onLeft: boolean;
                        onRight: boolean;
                        classes: (string | Object)[];
                        locale: {
                            id: any;
                            daysInWeek: number;
                            firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                            masks: any;
                            timezone: string | undefined;
                            hourLabels: string[];
                            dayNames: string[];
                            dayNamesShort: string[];
                            dayNamesShorter: string[];
                            dayNamesNarrow: string[];
                            monthNames: string[];
                            monthNamesShort: string[];
                            relativeTimeNames: {
                                day?: string | undefined;
                                week?: string | undefined;
                                month?: string | undefined;
                                year?: string | undefined;
                                days?: string | undefined;
                                weeks?: string | undefined;
                                seconds?: string | undefined;
                                minutes?: string | undefined;
                                hours?: string | undefined;
                                months?: string | undefined;
                                years?: string | undefined;
                                quarter?: string | undefined;
                                quarters?: string | undefined;
                                hour?: string | undefined;
                                minute?: string | undefined;
                                second?: string | undefined;
                            };
                            amPm: [string, string];
                            monthCache: {
                                keys: string[];
                                store: Record<string, import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts>;
                                size: number;
                                createKey: (...args: any[]) => string;
                                createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                get: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            };
                            pageCache: {
                                keys: string[];
                                store: Record<string, import("v-calendar/dist/types/src/utils/page.js").CachedPage>;
                                size: number;
                                createKey: (...args: any[]) => string;
                                createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                get: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                            };
                            formatDate: (date: Date, masks: string | string[]) => string;
                            parseDate: (dateString: string, mask: string | string[]) => Date;
                            toDate: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date;
                            toDateOrNull: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date | null;
                            fromDate: (date: Date | null, { type, mask }?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
                            range: (source: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange;
                            ranges: (ranges: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource | import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[]) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange[];
                            getDateParts: (date: Date) => import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts;
                            getDateFromParts: (parts: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts>) => Date;
                            getDateFromParams: (year: number, month: number, day: number, hours: number, minutes: number, seconds: number, milliseconds: number) => Date;
                            getPage: (config: import("v-calendar/dist/types/src/utils/page.js").PageConfig) => import("v-calendar/dist/types/src/utils/page.js").Page;
                            getMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getThisMonthParts: () => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getPrevMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getNextMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getHourLabels: () => string[];
                            getDayId: (date: Date) => string;
                        };
                        dayIndex: number;
                        day: number;
                        dayFromEnd: number;
                        weekday: number;
                        weekdayOrdinal: number;
                        weekdayOrdinalFromEnd: number;
                        week: number;
                        weekFromEnd: number;
                        weeknumber: number;
                        month: number;
                        year: number;
                        date: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                    }[];
                    title: string;
                }[];
            } | null>;
            lastPage: import("vue").ComputedRef<{
                id: string;
                day?: number | undefined;
                week?: number | undefined;
                month: number;
                year: number;
                view: import("v-calendar/dist/types/src/utils/page.js").PageView;
                trimWeeks: boolean;
                position: number;
                row: number;
                rowFromEnd: number;
                column: number;
                columnFromEnd: number;
                showWeeknumbers: boolean;
                showIsoWeeknumbers: boolean;
                weeknumberPosition: string;
                monthTitle: string;
                weekTitle?: string | undefined;
                dayTitle?: string | undefined;
                title: string;
                titlePosition: import("v-calendar/dist/types/src/utils/page.js").TitlePosition;
                shortMonthLabel: string;
                monthLabel: string;
                shortYearLabel: string;
                yearLabel: string;
                monthComps: {
                    firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                    firstDayOfMonth: {
                        toString: () => string;
                        toDateString: () => string;
                        toTimeString: () => string;
                        toLocaleString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleDateString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleTimeString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        valueOf: () => number;
                        getTime: () => number;
                        getFullYear: () => number;
                        getUTCFullYear: () => number;
                        getMonth: () => number;
                        getUTCMonth: () => number;
                        getDate: () => number;
                        getUTCDate: () => number;
                        getDay: () => number;
                        getUTCDay: () => number;
                        getHours: () => number;
                        getUTCHours: () => number;
                        getMinutes: () => number;
                        getUTCMinutes: () => number;
                        getSeconds: () => number;
                        getUTCSeconds: () => number;
                        getMilliseconds: () => number;
                        getUTCMilliseconds: () => number;
                        getTimezoneOffset: () => number;
                        setTime: (time: number) => number;
                        setMilliseconds: (ms: number) => number;
                        setUTCMilliseconds: (ms: number) => number;
                        setSeconds: (sec: number, ms?: number | undefined) => number;
                        setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                        setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setDate: (date: number) => number;
                        setUTCDate: (date: number) => number;
                        setMonth: (month: number, date?: number | undefined) => number;
                        setUTCMonth: (month: number, date?: number | undefined) => number;
                        setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        toUTCString: () => string;
                        toISOString: () => string;
                        toJSON: (key?: any) => string;
                        getVarDate: () => VarDate;
                        [Symbol.toPrimitive]: {
                            (hint: "default"): string;
                            (hint: "string"): string;
                            (hint: "number"): number;
                            (hint: string): string | number;
                        };
                    };
                    inLeapYear: boolean;
                    firstWeekday: number;
                    numDays: number;
                    numWeeks: number;
                    month: number;
                    year: number;
                    weeknumbers: number[];
                    isoWeeknumbers: number[];
                };
                prevMonthComps: {
                    firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                    firstDayOfMonth: {
                        toString: () => string;
                        toDateString: () => string;
                        toTimeString: () => string;
                        toLocaleString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleDateString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleTimeString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        valueOf: () => number;
                        getTime: () => number;
                        getFullYear: () => number;
                        getUTCFullYear: () => number;
                        getMonth: () => number;
                        getUTCMonth: () => number;
                        getDate: () => number;
                        getUTCDate: () => number;
                        getDay: () => number;
                        getUTCDay: () => number;
                        getHours: () => number;
                        getUTCHours: () => number;
                        getMinutes: () => number;
                        getUTCMinutes: () => number;
                        getSeconds: () => number;
                        getUTCSeconds: () => number;
                        getMilliseconds: () => number;
                        getUTCMilliseconds: () => number;
                        getTimezoneOffset: () => number;
                        setTime: (time: number) => number;
                        setMilliseconds: (ms: number) => number;
                        setUTCMilliseconds: (ms: number) => number;
                        setSeconds: (sec: number, ms?: number | undefined) => number;
                        setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                        setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setDate: (date: number) => number;
                        setUTCDate: (date: number) => number;
                        setMonth: (month: number, date?: number | undefined) => number;
                        setUTCMonth: (month: number, date?: number | undefined) => number;
                        setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        toUTCString: () => string;
                        toISOString: () => string;
                        toJSON: (key?: any) => string;
                        getVarDate: () => VarDate;
                        [Symbol.toPrimitive]: {
                            (hint: "default"): string;
                            (hint: "string"): string;
                            (hint: "number"): number;
                            (hint: string): string | number;
                        };
                    };
                    inLeapYear: boolean;
                    firstWeekday: number;
                    numDays: number;
                    numWeeks: number;
                    month: number;
                    year: number;
                    weeknumbers: number[];
                    isoWeeknumbers: number[];
                };
                nextMonthComps: {
                    firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                    firstDayOfMonth: {
                        toString: () => string;
                        toDateString: () => string;
                        toTimeString: () => string;
                        toLocaleString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleDateString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleTimeString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        valueOf: () => number;
                        getTime: () => number;
                        getFullYear: () => number;
                        getUTCFullYear: () => number;
                        getMonth: () => number;
                        getUTCMonth: () => number;
                        getDate: () => number;
                        getUTCDate: () => number;
                        getDay: () => number;
                        getUTCDay: () => number;
                        getHours: () => number;
                        getUTCHours: () => number;
                        getMinutes: () => number;
                        getUTCMinutes: () => number;
                        getSeconds: () => number;
                        getUTCSeconds: () => number;
                        getMilliseconds: () => number;
                        getUTCMilliseconds: () => number;
                        getTimezoneOffset: () => number;
                        setTime: (time: number) => number;
                        setMilliseconds: (ms: number) => number;
                        setUTCMilliseconds: (ms: number) => number;
                        setSeconds: (sec: number, ms?: number | undefined) => number;
                        setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                        setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setDate: (date: number) => number;
                        setUTCDate: (date: number) => number;
                        setMonth: (month: number, date?: number | undefined) => number;
                        setUTCMonth: (month: number, date?: number | undefined) => number;
                        setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        toUTCString: () => string;
                        toISOString: () => string;
                        toJSON: (key?: any) => string;
                        getVarDate: () => VarDate;
                        [Symbol.toPrimitive]: {
                            (hint: "default"): string;
                            (hint: "string"): string;
                            (hint: "number"): number;
                            (hint: string): string | number;
                        };
                    };
                    inLeapYear: boolean;
                    firstWeekday: number;
                    numDays: number;
                    numWeeks: number;
                    month: number;
                    year: number;
                    weeknumbers: number[];
                    isoWeeknumbers: number[];
                };
                days: {
                    id: string;
                    position: number;
                    label: string;
                    ariaLabel: string;
                    weekdayPosition: number;
                    weekdayPositionFromEnd: number;
                    weekPosition: number;
                    isoWeeknumber: number;
                    startDate: {
                        toString: () => string;
                        toDateString: () => string;
                        toTimeString: () => string;
                        toLocaleString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleDateString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleTimeString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        valueOf: () => number;
                        getTime: () => number;
                        getFullYear: () => number;
                        getUTCFullYear: () => number;
                        getMonth: () => number;
                        getUTCMonth: () => number;
                        getDate: () => number;
                        getUTCDate: () => number;
                        getDay: () => number;
                        getUTCDay: () => number;
                        getHours: () => number;
                        getUTCHours: () => number;
                        getMinutes: () => number;
                        getUTCMinutes: () => number;
                        getSeconds: () => number;
                        getUTCSeconds: () => number;
                        getMilliseconds: () => number;
                        getUTCMilliseconds: () => number;
                        getTimezoneOffset: () => number;
                        setTime: (time: number) => number;
                        setMilliseconds: (ms: number) => number;
                        setUTCMilliseconds: (ms: number) => number;
                        setSeconds: (sec: number, ms?: number | undefined) => number;
                        setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                        setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setDate: (date: number) => number;
                        setUTCDate: (date: number) => number;
                        setMonth: (month: number, date?: number | undefined) => number;
                        setUTCMonth: (month: number, date?: number | undefined) => number;
                        setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        toUTCString: () => string;
                        toISOString: () => string;
                        toJSON: (key?: any) => string;
                        getVarDate: () => VarDate;
                        [Symbol.toPrimitive]: {
                            (hint: "default"): string;
                            (hint: "string"): string;
                            (hint: "number"): number;
                            (hint: string): string | number;
                        };
                    };
                    noonDate: {
                        toString: () => string;
                        toDateString: () => string;
                        toTimeString: () => string;
                        toLocaleString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleDateString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleTimeString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        valueOf: () => number;
                        getTime: () => number;
                        getFullYear: () => number;
                        getUTCFullYear: () => number;
                        getMonth: () => number;
                        getUTCMonth: () => number;
                        getDate: () => number;
                        getUTCDate: () => number;
                        getDay: () => number;
                        getUTCDay: () => number;
                        getHours: () => number;
                        getUTCHours: () => number;
                        getMinutes: () => number;
                        getUTCMinutes: () => number;
                        getSeconds: () => number;
                        getUTCSeconds: () => number;
                        getMilliseconds: () => number;
                        getUTCMilliseconds: () => number;
                        getTimezoneOffset: () => number;
                        setTime: (time: number) => number;
                        setMilliseconds: (ms: number) => number;
                        setUTCMilliseconds: (ms: number) => number;
                        setSeconds: (sec: number, ms?: number | undefined) => number;
                        setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                        setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setDate: (date: number) => number;
                        setUTCDate: (date: number) => number;
                        setMonth: (month: number, date?: number | undefined) => number;
                        setUTCMonth: (month: number, date?: number | undefined) => number;
                        setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        toUTCString: () => string;
                        toISOString: () => string;
                        toJSON: (key?: any) => string;
                        getVarDate: () => VarDate;
                        [Symbol.toPrimitive]: {
                            (hint: "default"): string;
                            (hint: "string"): string;
                            (hint: "number"): number;
                            (hint: string): string | number;
                        };
                    };
                    endDate: {
                        toString: () => string;
                        toDateString: () => string;
                        toTimeString: () => string;
                        toLocaleString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleDateString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleTimeString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        valueOf: () => number;
                        getTime: () => number;
                        getFullYear: () => number;
                        getUTCFullYear: () => number;
                        getMonth: () => number;
                        getUTCMonth: () => number;
                        getDate: () => number;
                        getUTCDate: () => number;
                        getDay: () => number;
                        getUTCDay: () => number;
                        getHours: () => number;
                        getUTCHours: () => number;
                        getMinutes: () => number;
                        getUTCMinutes: () => number;
                        getSeconds: () => number;
                        getUTCSeconds: () => number;
                        getMilliseconds: () => number;
                        getUTCMilliseconds: () => number;
                        getTimezoneOffset: () => number;
                        setTime: (time: number) => number;
                        setMilliseconds: (ms: number) => number;
                        setUTCMilliseconds: (ms: number) => number;
                        setSeconds: (sec: number, ms?: number | undefined) => number;
                        setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                        setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setDate: (date: number) => number;
                        setUTCDate: (date: number) => number;
                        setMonth: (month: number, date?: number | undefined) => number;
                        setUTCMonth: (month: number, date?: number | undefined) => number;
                        setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        toUTCString: () => string;
                        toISOString: () => string;
                        toJSON: (key?: any) => string;
                        getVarDate: () => VarDate;
                        [Symbol.toPrimitive]: {
                            (hint: "default"): string;
                            (hint: "string"): string;
                            (hint: "number"): number;
                            (hint: string): string | number;
                        };
                    };
                    isToday: boolean;
                    isFirstDay: boolean;
                    isLastDay: boolean;
                    isDisabled: boolean;
                    isFocusable: boolean;
                    isFocused: boolean;
                    inMonth: boolean;
                    inPrevMonth: boolean;
                    inNextMonth: boolean;
                    onTop: boolean;
                    onBottom: boolean;
                    onLeft: boolean;
                    onRight: boolean;
                    classes: (string | Object)[];
                    locale: {
                        id: any;
                        daysInWeek: number;
                        firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                        masks: any;
                        timezone: string | undefined;
                        hourLabels: string[];
                        dayNames: string[];
                        dayNamesShort: string[];
                        dayNamesShorter: string[];
                        dayNamesNarrow: string[];
                        monthNames: string[];
                        monthNamesShort: string[];
                        relativeTimeNames: {
                            day?: string | undefined;
                            week?: string | undefined;
                            month?: string | undefined;
                            year?: string | undefined;
                            days?: string | undefined;
                            weeks?: string | undefined;
                            seconds?: string | undefined;
                            minutes?: string | undefined;
                            hours?: string | undefined;
                            months?: string | undefined;
                            years?: string | undefined;
                            quarter?: string | undefined;
                            quarters?: string | undefined;
                            hour?: string | undefined;
                            minute?: string | undefined;
                            second?: string | undefined;
                        };
                        amPm: [string, string];
                        monthCache: {
                            keys: string[];
                            store: Record<string, import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts>;
                            size: number;
                            createKey: (...args: any[]) => string;
                            createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            get: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                        };
                        pageCache: {
                            keys: string[];
                            store: Record<string, import("v-calendar/dist/types/src/utils/page.js").CachedPage>;
                            size: number;
                            createKey: (...args: any[]) => string;
                            createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                            get: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                            getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                        };
                        formatDate: (date: Date, masks: string | string[]) => string;
                        parseDate: (dateString: string, mask: string | string[]) => Date;
                        toDate: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date;
                        toDateOrNull: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date | null;
                        fromDate: (date: Date | null, { type, mask }?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
                        range: (source: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange;
                        ranges: (ranges: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource | import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[]) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange[];
                        getDateParts: (date: Date) => import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts;
                        getDateFromParts: (parts: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts>) => Date;
                        getDateFromParams: (year: number, month: number, day: number, hours: number, minutes: number, seconds: number, milliseconds: number) => Date;
                        getPage: (config: import("v-calendar/dist/types/src/utils/page.js").PageConfig) => import("v-calendar/dist/types/src/utils/page.js").Page;
                        getMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                        getThisMonthParts: () => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                        getPrevMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                        getNextMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                        getHourLabels: () => string[];
                        getDayId: (date: Date) => string;
                    };
                    dayIndex: number;
                    day: number;
                    dayFromEnd: number;
                    weekday: number;
                    weekdayOrdinal: number;
                    weekdayOrdinalFromEnd: number;
                    week: number;
                    weekFromEnd: number;
                    weeknumber: number;
                    month: number;
                    year: number;
                    date: {
                        toString: () => string;
                        toDateString: () => string;
                        toTimeString: () => string;
                        toLocaleString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleDateString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleTimeString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        valueOf: () => number;
                        getTime: () => number;
                        getFullYear: () => number;
                        getUTCFullYear: () => number;
                        getMonth: () => number;
                        getUTCMonth: () => number;
                        getDate: () => number;
                        getUTCDate: () => number;
                        getDay: () => number;
                        getUTCDay: () => number;
                        getHours: () => number;
                        getUTCHours: () => number;
                        getMinutes: () => number;
                        getUTCMinutes: () => number;
                        getSeconds: () => number;
                        getUTCSeconds: () => number;
                        getMilliseconds: () => number;
                        getUTCMilliseconds: () => number;
                        getTimezoneOffset: () => number;
                        setTime: (time: number) => number;
                        setMilliseconds: (ms: number) => number;
                        setUTCMilliseconds: (ms: number) => number;
                        setSeconds: (sec: number, ms?: number | undefined) => number;
                        setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                        setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setDate: (date: number) => number;
                        setUTCDate: (date: number) => number;
                        setMonth: (month: number, date?: number | undefined) => number;
                        setUTCMonth: (month: number, date?: number | undefined) => number;
                        setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        toUTCString: () => string;
                        toISOString: () => string;
                        toJSON: (key?: any) => string;
                        getVarDate: () => VarDate;
                        [Symbol.toPrimitive]: {
                            (hint: "default"): string;
                            (hint: "string"): string;
                            (hint: "number"): number;
                            (hint: string): string | number;
                        };
                    };
                }[];
                weeks: {
                    id: string;
                    week: number;
                    weekPosition: number;
                    weeknumber: number;
                    isoWeeknumber: number;
                    weeknumberDisplay?: number | undefined;
                    days: {
                        id: string;
                        position: number;
                        label: string;
                        ariaLabel: string;
                        weekdayPosition: number;
                        weekdayPositionFromEnd: number;
                        weekPosition: number;
                        isoWeeknumber: number;
                        startDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        noonDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        endDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        isToday: boolean;
                        isFirstDay: boolean;
                        isLastDay: boolean;
                        isDisabled: boolean;
                        isFocusable: boolean;
                        isFocused: boolean;
                        inMonth: boolean;
                        inPrevMonth: boolean;
                        inNextMonth: boolean;
                        onTop: boolean;
                        onBottom: boolean;
                        onLeft: boolean;
                        onRight: boolean;
                        classes: (string | Object)[];
                        locale: {
                            id: any;
                            daysInWeek: number;
                            firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                            masks: any;
                            timezone: string | undefined;
                            hourLabels: string[];
                            dayNames: string[];
                            dayNamesShort: string[];
                            dayNamesShorter: string[];
                            dayNamesNarrow: string[];
                            monthNames: string[];
                            monthNamesShort: string[];
                            relativeTimeNames: {
                                day?: string | undefined;
                                week?: string | undefined;
                                month?: string | undefined;
                                year?: string | undefined;
                                days?: string | undefined;
                                weeks?: string | undefined;
                                seconds?: string | undefined;
                                minutes?: string | undefined;
                                hours?: string | undefined;
                                months?: string | undefined;
                                years?: string | undefined;
                                quarter?: string | undefined;
                                quarters?: string | undefined;
                                hour?: string | undefined;
                                minute?: string | undefined;
                                second?: string | undefined;
                            };
                            amPm: [string, string];
                            monthCache: {
                                keys: string[];
                                store: Record<string, import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts>;
                                size: number;
                                createKey: (...args: any[]) => string;
                                createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                get: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            };
                            pageCache: {
                                keys: string[];
                                store: Record<string, import("v-calendar/dist/types/src/utils/page.js").CachedPage>;
                                size: number;
                                createKey: (...args: any[]) => string;
                                createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                get: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                            };
                            formatDate: (date: Date, masks: string | string[]) => string;
                            parseDate: (dateString: string, mask: string | string[]) => Date;
                            toDate: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date;
                            toDateOrNull: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date | null;
                            fromDate: (date: Date | null, { type, mask }?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
                            range: (source: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange;
                            ranges: (ranges: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource | import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[]) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange[];
                            getDateParts: (date: Date) => import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts;
                            getDateFromParts: (parts: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts>) => Date;
                            getDateFromParams: (year: number, month: number, day: number, hours: number, minutes: number, seconds: number, milliseconds: number) => Date;
                            getPage: (config: import("v-calendar/dist/types/src/utils/page.js").PageConfig) => import("v-calendar/dist/types/src/utils/page.js").Page;
                            getMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getThisMonthParts: () => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getPrevMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getNextMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getHourLabels: () => string[];
                            getDayId: (date: Date) => string;
                        };
                        dayIndex: number;
                        day: number;
                        dayFromEnd: number;
                        weekday: number;
                        weekdayOrdinal: number;
                        weekdayOrdinalFromEnd: number;
                        week: number;
                        weekFromEnd: number;
                        weeknumber: number;
                        month: number;
                        year: number;
                        date: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                    }[];
                    title: string;
                }[];
                weekdays: {
                    weekday: number;
                    label: string;
                }[];
                viewDays: {
                    id: string;
                    position: number;
                    label: string;
                    ariaLabel: string;
                    weekdayPosition: number;
                    weekdayPositionFromEnd: number;
                    weekPosition: number;
                    isoWeeknumber: number;
                    startDate: {
                        toString: () => string;
                        toDateString: () => string;
                        toTimeString: () => string;
                        toLocaleString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleDateString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleTimeString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        valueOf: () => number;
                        getTime: () => number;
                        getFullYear: () => number;
                        getUTCFullYear: () => number;
                        getMonth: () => number;
                        getUTCMonth: () => number;
                        getDate: () => number;
                        getUTCDate: () => number;
                        getDay: () => number;
                        getUTCDay: () => number;
                        getHours: () => number;
                        getUTCHours: () => number;
                        getMinutes: () => number;
                        getUTCMinutes: () => number;
                        getSeconds: () => number;
                        getUTCSeconds: () => number;
                        getMilliseconds: () => number;
                        getUTCMilliseconds: () => number;
                        getTimezoneOffset: () => number;
                        setTime: (time: number) => number;
                        setMilliseconds: (ms: number) => number;
                        setUTCMilliseconds: (ms: number) => number;
                        setSeconds: (sec: number, ms?: number | undefined) => number;
                        setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                        setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setDate: (date: number) => number;
                        setUTCDate: (date: number) => number;
                        setMonth: (month: number, date?: number | undefined) => number;
                        setUTCMonth: (month: number, date?: number | undefined) => number;
                        setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        toUTCString: () => string;
                        toISOString: () => string;
                        toJSON: (key?: any) => string;
                        getVarDate: () => VarDate;
                        [Symbol.toPrimitive]: {
                            (hint: "default"): string;
                            (hint: "string"): string;
                            (hint: "number"): number;
                            (hint: string): string | number;
                        };
                    };
                    noonDate: {
                        toString: () => string;
                        toDateString: () => string;
                        toTimeString: () => string;
                        toLocaleString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleDateString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleTimeString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        valueOf: () => number;
                        getTime: () => number;
                        getFullYear: () => number;
                        getUTCFullYear: () => number;
                        getMonth: () => number;
                        getUTCMonth: () => number;
                        getDate: () => number;
                        getUTCDate: () => number;
                        getDay: () => number;
                        getUTCDay: () => number;
                        getHours: () => number;
                        getUTCHours: () => number;
                        getMinutes: () => number;
                        getUTCMinutes: () => number;
                        getSeconds: () => number;
                        getUTCSeconds: () => number;
                        getMilliseconds: () => number;
                        getUTCMilliseconds: () => number;
                        getTimezoneOffset: () => number;
                        setTime: (time: number) => number;
                        setMilliseconds: (ms: number) => number;
                        setUTCMilliseconds: (ms: number) => number;
                        setSeconds: (sec: number, ms?: number | undefined) => number;
                        setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                        setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setDate: (date: number) => number;
                        setUTCDate: (date: number) => number;
                        setMonth: (month: number, date?: number | undefined) => number;
                        setUTCMonth: (month: number, date?: number | undefined) => number;
                        setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        toUTCString: () => string;
                        toISOString: () => string;
                        toJSON: (key?: any) => string;
                        getVarDate: () => VarDate;
                        [Symbol.toPrimitive]: {
                            (hint: "default"): string;
                            (hint: "string"): string;
                            (hint: "number"): number;
                            (hint: string): string | number;
                        };
                    };
                    endDate: {
                        toString: () => string;
                        toDateString: () => string;
                        toTimeString: () => string;
                        toLocaleString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleDateString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleTimeString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        valueOf: () => number;
                        getTime: () => number;
                        getFullYear: () => number;
                        getUTCFullYear: () => number;
                        getMonth: () => number;
                        getUTCMonth: () => number;
                        getDate: () => number;
                        getUTCDate: () => number;
                        getDay: () => number;
                        getUTCDay: () => number;
                        getHours: () => number;
                        getUTCHours: () => number;
                        getMinutes: () => number;
                        getUTCMinutes: () => number;
                        getSeconds: () => number;
                        getUTCSeconds: () => number;
                        getMilliseconds: () => number;
                        getUTCMilliseconds: () => number;
                        getTimezoneOffset: () => number;
                        setTime: (time: number) => number;
                        setMilliseconds: (ms: number) => number;
                        setUTCMilliseconds: (ms: number) => number;
                        setSeconds: (sec: number, ms?: number | undefined) => number;
                        setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                        setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setDate: (date: number) => number;
                        setUTCDate: (date: number) => number;
                        setMonth: (month: number, date?: number | undefined) => number;
                        setUTCMonth: (month: number, date?: number | undefined) => number;
                        setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        toUTCString: () => string;
                        toISOString: () => string;
                        toJSON: (key?: any) => string;
                        getVarDate: () => VarDate;
                        [Symbol.toPrimitive]: {
                            (hint: "default"): string;
                            (hint: "string"): string;
                            (hint: "number"): number;
                            (hint: string): string | number;
                        };
                    };
                    isToday: boolean;
                    isFirstDay: boolean;
                    isLastDay: boolean;
                    isDisabled: boolean;
                    isFocusable: boolean;
                    isFocused: boolean;
                    inMonth: boolean;
                    inPrevMonth: boolean;
                    inNextMonth: boolean;
                    onTop: boolean;
                    onBottom: boolean;
                    onLeft: boolean;
                    onRight: boolean;
                    classes: (string | Object)[];
                    locale: {
                        id: any;
                        daysInWeek: number;
                        firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                        masks: any;
                        timezone: string | undefined;
                        hourLabels: string[];
                        dayNames: string[];
                        dayNamesShort: string[];
                        dayNamesShorter: string[];
                        dayNamesNarrow: string[];
                        monthNames: string[];
                        monthNamesShort: string[];
                        relativeTimeNames: {
                            day?: string | undefined;
                            week?: string | undefined;
                            month?: string | undefined;
                            year?: string | undefined;
                            days?: string | undefined;
                            weeks?: string | undefined;
                            seconds?: string | undefined;
                            minutes?: string | undefined;
                            hours?: string | undefined;
                            months?: string | undefined;
                            years?: string | undefined;
                            quarter?: string | undefined;
                            quarters?: string | undefined;
                            hour?: string | undefined;
                            minute?: string | undefined;
                            second?: string | undefined;
                        };
                        amPm: [string, string];
                        monthCache: {
                            keys: string[];
                            store: Record<string, import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts>;
                            size: number;
                            createKey: (...args: any[]) => string;
                            createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            get: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                        };
                        pageCache: {
                            keys: string[];
                            store: Record<string, import("v-calendar/dist/types/src/utils/page.js").CachedPage>;
                            size: number;
                            createKey: (...args: any[]) => string;
                            createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                            get: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                            getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                        };
                        formatDate: (date: Date, masks: string | string[]) => string;
                        parseDate: (dateString: string, mask: string | string[]) => Date;
                        toDate: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date;
                        toDateOrNull: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date | null;
                        fromDate: (date: Date | null, { type, mask }?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
                        range: (source: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange;
                        ranges: (ranges: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource | import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[]) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange[];
                        getDateParts: (date: Date) => import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts;
                        getDateFromParts: (parts: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts>) => Date;
                        getDateFromParams: (year: number, month: number, day: number, hours: number, minutes: number, seconds: number, milliseconds: number) => Date;
                        getPage: (config: import("v-calendar/dist/types/src/utils/page.js").PageConfig) => import("v-calendar/dist/types/src/utils/page.js").Page;
                        getMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                        getThisMonthParts: () => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                        getPrevMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                        getNextMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                        getHourLabels: () => string[];
                        getDayId: (date: Date) => string;
                    };
                    dayIndex: number;
                    day: number;
                    dayFromEnd: number;
                    weekday: number;
                    weekdayOrdinal: number;
                    weekdayOrdinalFromEnd: number;
                    week: number;
                    weekFromEnd: number;
                    weeknumber: number;
                    month: number;
                    year: number;
                    date: {
                        toString: () => string;
                        toDateString: () => string;
                        toTimeString: () => string;
                        toLocaleString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleDateString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleTimeString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        valueOf: () => number;
                        getTime: () => number;
                        getFullYear: () => number;
                        getUTCFullYear: () => number;
                        getMonth: () => number;
                        getUTCMonth: () => number;
                        getDate: () => number;
                        getUTCDate: () => number;
                        getDay: () => number;
                        getUTCDay: () => number;
                        getHours: () => number;
                        getUTCHours: () => number;
                        getMinutes: () => number;
                        getUTCMinutes: () => number;
                        getSeconds: () => number;
                        getUTCSeconds: () => number;
                        getMilliseconds: () => number;
                        getUTCMilliseconds: () => number;
                        getTimezoneOffset: () => number;
                        setTime: (time: number) => number;
                        setMilliseconds: (ms: number) => number;
                        setUTCMilliseconds: (ms: number) => number;
                        setSeconds: (sec: number, ms?: number | undefined) => number;
                        setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                        setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setDate: (date: number) => number;
                        setUTCDate: (date: number) => number;
                        setMonth: (month: number, date?: number | undefined) => number;
                        setUTCMonth: (month: number, date?: number | undefined) => number;
                        setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        toUTCString: () => string;
                        toISOString: () => string;
                        toJSON: (key?: any) => string;
                        getVarDate: () => VarDate;
                        [Symbol.toPrimitive]: {
                            (hint: "default"): string;
                            (hint: "string"): string;
                            (hint: "number"): number;
                            (hint: string): string | number;
                        };
                    };
                }[];
                viewWeeks: {
                    id: string;
                    week: number;
                    weekPosition: number;
                    weeknumber: number;
                    isoWeeknumber: number;
                    weeknumberDisplay?: number | undefined;
                    days: {
                        id: string;
                        position: number;
                        label: string;
                        ariaLabel: string;
                        weekdayPosition: number;
                        weekdayPositionFromEnd: number;
                        weekPosition: number;
                        isoWeeknumber: number;
                        startDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        noonDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        endDate: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                        isToday: boolean;
                        isFirstDay: boolean;
                        isLastDay: boolean;
                        isDisabled: boolean;
                        isFocusable: boolean;
                        isFocused: boolean;
                        inMonth: boolean;
                        inPrevMonth: boolean;
                        inNextMonth: boolean;
                        onTop: boolean;
                        onBottom: boolean;
                        onLeft: boolean;
                        onRight: boolean;
                        classes: (string | Object)[];
                        locale: {
                            id: any;
                            daysInWeek: number;
                            firstDayOfWeek: import("v-calendar/dist/types/src/utils/date/helpers.js").DayOfWeek;
                            masks: any;
                            timezone: string | undefined;
                            hourLabels: string[];
                            dayNames: string[];
                            dayNamesShort: string[];
                            dayNamesShorter: string[];
                            dayNamesNarrow: string[];
                            monthNames: string[];
                            monthNamesShort: string[];
                            relativeTimeNames: {
                                day?: string | undefined;
                                week?: string | undefined;
                                month?: string | undefined;
                                year?: string | undefined;
                                days?: string | undefined;
                                weeks?: string | undefined;
                                seconds?: string | undefined;
                                minutes?: string | undefined;
                                hours?: string | undefined;
                                months?: string | undefined;
                                years?: string | undefined;
                                quarter?: string | undefined;
                                quarters?: string | undefined;
                                hour?: string | undefined;
                                minute?: string | undefined;
                                second?: string | undefined;
                            };
                            amPm: [string, string];
                            monthCache: {
                                keys: string[];
                                store: Record<string, import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts>;
                                size: number;
                                createKey: (...args: any[]) => string;
                                createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                get: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                                getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            };
                            pageCache: {
                                keys: string[];
                                store: Record<string, import("v-calendar/dist/types/src/utils/page.js").CachedPage>;
                                size: number;
                                createKey: (...args: any[]) => string;
                                createItem: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                get: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                                getOrSet: (...args: any[]) => import("v-calendar/dist/types/src/utils/page.js").CachedPage;
                            };
                            formatDate: (date: Date, masks: string | string[]) => string;
                            parseDate: (dateString: string, mask: string | string[]) => Date;
                            toDate: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date;
                            toDateOrNull: (d: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts> | import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource, opts?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => Date | null;
                            fromDate: (date: Date | null, { type, mask }?: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").DateOptions>) => string | number | Date | import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts | null;
                            range: (source: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange;
                            ranges: (ranges: import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource | import("v-calendar/dist/types/src/utils/date/range.js").DateRangeSource[]) => import("v-calendar/dist/types/src/utils/date/range.js").DateRange[];
                            getDateParts: (date: Date) => import("v-calendar/dist/types/src/utils/date/helpers.js").DateParts;
                            getDateFromParts: (parts: Partial<import("v-calendar/dist/types/src/utils/date/helpers.js").SimpleDateParts>) => Date;
                            getDateFromParams: (year: number, month: number, day: number, hours: number, minutes: number, seconds: number, milliseconds: number) => Date;
                            getPage: (config: import("v-calendar/dist/types/src/utils/page.js").PageConfig) => import("v-calendar/dist/types/src/utils/page.js").Page;
                            getMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getThisMonthParts: () => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getPrevMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getNextMonthParts: (month: number, year: number) => import("v-calendar/dist/types/src/utils/date/helpers.js").MonthParts;
                            getHourLabels: () => string[];
                            getDayId: (date: Date) => string;
                        };
                        dayIndex: number;
                        day: number;
                        dayFromEnd: number;
                        weekday: number;
                        weekdayOrdinal: number;
                        weekdayOrdinalFromEnd: number;
                        week: number;
                        weekFromEnd: number;
                        weeknumber: number;
                        month: number;
                        year: number;
                        date: {
                            toString: () => string;
                            toDateString: () => string;
                            toTimeString: () => string;
                            toLocaleString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleDateString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            toLocaleTimeString: {
                                (): string;
                                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                            };
                            valueOf: () => number;
                            getTime: () => number;
                            getFullYear: () => number;
                            getUTCFullYear: () => number;
                            getMonth: () => number;
                            getUTCMonth: () => number;
                            getDate: () => number;
                            getUTCDate: () => number;
                            getDay: () => number;
                            getUTCDay: () => number;
                            getHours: () => number;
                            getUTCHours: () => number;
                            getMinutes: () => number;
                            getUTCMinutes: () => number;
                            getSeconds: () => number;
                            getUTCSeconds: () => number;
                            getMilliseconds: () => number;
                            getUTCMilliseconds: () => number;
                            getTimezoneOffset: () => number;
                            setTime: (time: number) => number;
                            setMilliseconds: (ms: number) => number;
                            setUTCMilliseconds: (ms: number) => number;
                            setSeconds: (sec: number, ms?: number | undefined) => number;
                            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                            setDate: (date: number) => number;
                            setUTCDate: (date: number) => number;
                            setMonth: (month: number, date?: number | undefined) => number;
                            setUTCMonth: (month: number, date?: number | undefined) => number;
                            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                            toUTCString: () => string;
                            toISOString: () => string;
                            toJSON: (key?: any) => string;
                            getVarDate: () => VarDate;
                            [Symbol.toPrimitive]: {
                                (hint: "default"): string;
                                (hint: "string"): string;
                                (hint: "number"): number;
                                (hint: string): string | number;
                            };
                        };
                    }[];
                    title: string;
                }[];
            } | null>;
            canMovePrev: import("vue").ComputedRef<boolean>;
            canMoveNext: import("vue").ComputedRef<boolean>;
            minPage: import("vue").ComputedRef<import("v-calendar/dist/types/src/utils/page.js").PageAddress | null>;
            maxPage: import("vue").ComputedRef<import("v-calendar/dist/types/src/utils/page.js").PageAddress | null>;
            isMonthly: import("vue").ComputedRef<boolean>;
            isWeekly: import("vue").ComputedRef<boolean>;
            isDaily: import("vue").ComputedRef<boolean>;
            navVisibility: import("vue").ComputedRef<import("v-calendar/dist/types/src/utils/popovers.js").PopoverVisibility>;
            showWeeknumbers: import("vue").ComputedRef<boolean>;
            showIsoWeeknumbers: import("vue").ComputedRef<boolean>;
            getDateAddress: (date: import("v-calendar/dist/types/src/utils/date/helpers.js").DateSource) => import("v-calendar/dist/types/src/utils/page.js").PageAddress;
            canMove: (target: import("v-calendar/dist/types/src/use/calendar.js").MoveTarget, opts?: Partial<import("v-calendar/dist/types/src/use/calendar.js").MoveOptions>) => boolean;
            canMoveBy: (pages: number, opts?: Partial<import("v-calendar/dist/types/src/use/calendar.js").MoveOptions>) => boolean;
            move: (target: import("v-calendar/dist/types/src/use/calendar.js").MoveTarget, opts?: Partial<import("v-calendar/dist/types/src/use/calendar.js").MoveOptions>) => Promise<boolean>;
            moveBy: (pages: number, opts?: Partial<import("v-calendar/dist/types/src/use/calendar.js").MoveOptions>) => Promise<boolean>;
            movePrev: () => Promise<boolean>;
            moveNext: () => Promise<boolean>;
            onTransitionBeforeEnter: () => void;
            onTransitionAfterEnter: () => void;
            tryFocusDate: (date: Date) => boolean;
            focusDate: (date: Date, opts?: Partial<import("v-calendar/dist/types/src/use/calendar.js").MoveOptions>) => Promise<boolean>;
            onKeydown: (event: KeyboardEvent) => void;
            onDayKeydown: (day: import("v-calendar/dist/types/src/utils/page.js").CalendarDay, event: KeyboardEvent) => void;
            onDayClick: (day: import("v-calendar/dist/types/src/utils/page.js").CalendarDay, event: MouseEvent) => void;
            onDayMouseenter: (day: import("v-calendar/dist/types/src/utils/page.js").CalendarDay, event: MouseEvent) => void;
            onDayMouseleave: (day: import("v-calendar/dist/types/src/utils/page.js").CalendarDay, event: MouseEvent) => void;
            onDayFocusin: (day: import("v-calendar/dist/types/src/utils/page.js").CalendarDay, event: FocusEvent | null) => void;
            onDayFocusout: (day: import("v-calendar/dist/types/src/utils/page.js").CalendarDay, event: FocusEvent) => void;
            onWeeknumberClick: (week: import("v-calendar/dist/types/src/utils/page.js").CalendarWeek, event: MouseEvent) => void;
        }> & {} & import("vue").ComponentCustomProperties & {}) | null>; /*... 35 more elided ...*/
        disabledAttribute: import("vue").ComputedRef<import("v-calendar/dist/types/src/utils/attribute.js").Attribute>;
    }, /*... 17 more elided ...*/ any, any>;
    CalendarIcon: any;
    AppInput: any;
}, /*... 5 more elided ...*/ any, any>;
export default _default;
